<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class WebhookUrl extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:webhook-url';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $provider = $this->choice('Que paqueteria?', ['paquetexpress', 'estafeta']);

        switch ($provider) {

            case 'paquetexpress':
                $route = route('webhook.paquetexpress', ['token' => password_hash(config('paquetexpress.webhook_pass'), PASSWORD_BCRYPT)]);
                return $this->info("Webhook para PaquetExpress: $route");

            case 'estafeta':
                $apiKey = config('estafeta.webhook_pass');
                $route = route('webhook.estafeta');
                $this->info('Webhook para Estafeta: ');
                $this->info("ApiKey $apiKey");
                $this->info("Ruta: $route");
                return;
        }
    }
}
