<?php

namespace App\Enums;

abstract class OrderStatusEnum
{
    const PAYMENT_SUBMITTED = 'payment_submitted'; // Cuando el cliente ha realizado el pago pero aún no ha sido verificado
    const PENDING_PAYMENT = 'pending_payment'; // Cuando el cliente aún no ha realizado el pago
    const PENDING = 'pending'; // Puede ser usado para otros procesos pendientes
    const APPROVED = 'approved'; // Cuando la orden ha sido aprobada
    const CANCELLED = 'cancelled'; // Cuando la orden ha sido cancelada
    const WITH_GUIDE = 'with_guide'; // La orden pose una guía pero aun no no hay orden de recolecion
    const FINISHED = 'finished'; //Orden concluida
    const DELIVERED = 'delivered'; //Todos los productos han llegado al destinatario

    public static function catalog(){
        return [
            self::PAYMENT_SUBMITTED,
            self::PENDING_PAYMENT,
            self::PENDING,
            self::APPROVED,
            self::FINISHED,
            self::DELIVERED
        ];
    }
    public static function fullCatalog(bool $labels = false){
        return $labels ? [
            [
                'id' => self::PAYMENT_SUBMITTED,
                'name' => __('order.status-' . self::PAYMENT_SUBMITTED)
            ],
            [
                'id' => self::PENDING_PAYMENT,
                'name' => __('order.status-' . self::PENDING_PAYMENT)
            ],
            [
                'id' => self::PENDING,
                'name' => __('order.status-' . self::PENDING)
            ],
            [
                'id' => self::APPROVED,
                'name' => __('order.status-' . self::APPROVED)
            ],
            [
                'id' => self::CANCELLED,
                'name' => __('order.status-' . self::CANCELLED)
            ],
            [
                'id' => self::WITH_GUIDE,
                'name' => __('order.status-' . self::WITH_GUIDE)
            ],
            [
                'id' => self::FINISHED,
                'name' => __('order.status-' . self::FINISHED)
            ],
            [
                'id' => self::DELIVERED,
                'name' => __('order.status-' . self::DELIVERED)
            ]
        ] : [
            self::PAYMENT_SUBMITTED,
            self::PENDING_PAYMENT,
            self::PENDING,
            self::APPROVED,
            self::CANCELLED,
            self::WITH_GUIDE,
            self::FINISHED,
            self::DELIVERED
        ];
    }
}
