<?php

namespace App\Http\Controllers\CustomerSupport\Address;

use App\Http\Controllers\Controller;
use App\Http\Requests\CustomerSupport\Address\Update as AddressUpdate;
use App\Models\CustomerAddress;
use App\Models\State;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class Update extends Controller
{
    public function view(int $id){
        return view('customer_support.address.edit', [
            'address' => CustomerAddress::select(
                            'customer_addresses.id',
                            'customer_addresses.is_default',
                            'customer_addresses.street',
                            'customer_addresses.number_ext',
                            'customer_addresses.number_int',
                            'customer_addresses.neighborhood',
                            'customer_addresses.postal_code',
                            'customer_addresses.city',
                            'customer_addresses.contact_phone',
                            'customer_addresses.customer_id',
                            'customer_addresses.state',
                            DB::raw('customers.company_name AS customer'),
                            DB::raw('customers.company_name AS customer'))
                            ->join('customers', 'customers.id', '=', 'customer_addresses.customer_id')
                            ->findOrFail($id),
            'states' => State::get()
        ]);
    }
    public function handler(AddressUpdate $req){

        $customerAddress = CustomerAddress::findOrFail($req->input('id'));
        $customerAddress->street = $req->input('street');
        $customerAddress->number_ext = $req->input('number_ext');
        $customerAddress->number_int = $req->input('number_int');
        $customerAddress->neighborhood = $req->input('neighborhood');
        $customerAddress->postal_code = $req->input('postal_code');
        $customerAddress->city = $req->input('city');
        $customerAddress->contact_phone = $req->input('contact_phone');
        /**
         * Si es default actualizamos la direccion que previamente era la predeterminada
         */
        $isDefault = $req->input('is_default');
        if($isDefault){
            $customerAddress->is_default = $isDefault ? true : false;
            CustomerAddress::where('customer_id', $customerAddress->customer_id)
                ->where('is_default', true)
                ->limit(1)
                ->update([
                    'is_default' => false
                ]);
        }


        $customerAddress->save();

        session()->flash('message', __('Dirección actualizada'));

        return redirect()->route('admin.customers.index');
    }
}
