<?php

namespace App\Http\Controllers\CustomerSupport;

use App\Http\Controllers\Controller;
use App\Models\Shipment;
use App\Models\ShipmentCanceled;
use App\Services\ShippingServiceFactory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class CancelShipController extends Controller
{
    protected $shippingServiceFactory;

    public function __construct(ShippingServiceFactory $factory)
    {
        $this->shippingServiceFactory = $factory;
    }

    public function handle(int $shipment_id){
        $shipment = Shipment::findOrFail($shipment_id);

        $result = $shipment->cancel(Auth::id());

        if($result->value) return response()->json(['message' => __('alerts.admin-shipment-canceled')]);

        abort(422, $result->error);
    }
}
