<?php

namespace App\Http\Controllers\Webhook;

use App\Http\Controllers\Controller;
use App\Models\Shipment;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
/**
 * Weebhook para recibir notificaciones del estatus de un envio por parte de paquetexpress, ver su documentacion para
 * ver la estructura de la peticion
 */
class Paquetexpress extends Controller
{
    public function handler(Request $req){
        $token = $req->input('token');

        if(password_verify(config('paquetexpress.webhook_pass'), $token)){

            $rastreo = $req->input('rastreo');
            $estimatedDeliveryDate = Carbon::createFromFormat('d/m/Y', $req->input('promesa'));

            Shipment::where('master_tracking_number', $rastreo)
                ->limit(1)
                ->update([
                    'delivery_status' => $req->input('eventoId'),
                    'delivery_event' => $req->input('status'),
                    'estimated_delivery_date' => $estimatedDeliveryDate
                ]);

            return response()->json(['status' => 'OK']);

        }

        return response()->json(['status' => 'FAIL']);
    }
}
