<?php

namespace App\Http\Middleware\Customer;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Si el cliente no tiene productos en su carro, le bloqueamos el continuar
 */
class CartEmpty
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (auth()->check() && isset(auth()->user()->customer)){

            if(\Cart::isEmpty()){

                session()->flash('message', __('alerts.customer-cart-empty'));
                return redirect()->route('home');
            }

        }

        return $next($request);
    }
}
