<?php

namespace App\Http\Middleware\Customer;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\View;
/**
 * Verificar que un cliente tiene asignada una sucursal, si no es asi mandamos una variable a todas las vistas
 */
class HasLocation
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (auth()->check() && isset(auth()->user()->customer) && is_numeric(auth()->user()->customer->location_id) == false){

            View::share('without_location', true);

        }

        return $next($request);
    }
}
