<?php

namespace App\Http\Middleware\Webhook;

use App\Services\Estafeta\Objects\Webhook\Code;
use App\Services\Estafeta\Response\Webhook;
use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class Estafeta
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {

        if ($request->header('Apikey') !== config('estafeta.webhook_pass')) {

            $OutputPushTrackingItem = new Webhook(Code::AUTENTIFICACION_FALLIDA, Code::AUTENTIFICACION_FALLIDA->label());

            return response()->json(['OutputPushTrackingItem' => $OutputPushTrackingItem->array()]);
        }

        return $next($request);
    }
}
