<?php

namespace App\Http\Requests\CustomerSupport\Address;

use Illuminate\Foundation\Http\FormRequest;

class Update extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'id' => 'required|numeric',
            'street' => 'required|string',
            'number_ext' => 'required',
            'number_int' => 'nullable',
            'neighborhood' => 'required|string',
            'postal_code' => 'required|regex:/^\d{5}$/i',
            'city' => 'required|string',
            'contact_phone' => 'required|numeric',
        ];
    }
}
