<?php

namespace App\Http\Requests\CustomerSupport;

use App\Services\ShippingServiceFactory;
use Illuminate\Foundation\Http\FormRequest;

class UpdateShipment extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'carrier' => 'required|in:' . implode(",", ShippingServiceFactory::all()),
            'service_code' => 'required',
            'shipping_cost' => 'required|numeric',
            'reason' => 'required'
        ];
    }
}
