<?php

namespace App\Http\Resources\CustomerSupport;

use App\Helpers\Dates;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Address extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'customer_id' => $this->customer_id,
            'is_default' => $this->is_default,
            'street' => $this->street,
            'number_int' => $this->number_int,
            'number_ext' => $this->number_ext,
            'postal_code' => $this->postal_code,
            'neighborhood' => $this->neighborhood,
            'country' => $this->country,
            'contact_name' => $this->contact_name,
            'state' => $this->state,
            'contact_phone' => $this->contact_phone,
            'city' => $this->city,
            'complete_address' => $this->completeAddress(),
            'createdFormatted' => Dates::formatForUser($this->created_at),
            'links' => [
                'edit' =>route('admin.customer.address.update.view', ['id' => $this->id])
            ]
        ];
    }
}
