<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\WithProgressBar;
use Maatwebsite\Excel\Concerns\Importable;

class ProductsImport implements ToCollection, WithHeadingRow, WithProgressBar
{
    use Importable;

    public function __construct(private readonly Collection $products)
    {

    }

    public function collection(Collection $rows)
    {
        $count = 0;
        $productIds = [];
        $productsWithoutCoincidens = [];
        foreach ($rows as $row) {

            $productDB = $this->products->firstWhere('netsuite_id', $row['netsuite_id']);
            $productDB = $productDB ? $productDB : $this->products->firstWhere('name', $row['producto']);

            if ($productDB) {

                if (is_numeric($row['alto_cm']) && is_numeric($row['largo_cm']) && is_numeric($row['ancho_cm']) && $row['activo'] == 'SI') {

                    $productDB->update([
                        'height' => $row['alto_cm'],
                        'length' => $row['largo_cm'],
                        'width' => $row['ancho_cm'],
                        'weight' => $row['peso_kg'],
                    ]);
                    $productIds[] = $productDB->id;
                    $count++;
                }

            }else
                $productsWithoutCoincidens[] = $row['netsuite_item'];

        }
        $this->output->writeln("$count productos actualizados");
        \Log::info(implode(',', $productIds));
        \Log::info(implode(',', $productsWithoutCoincidens));
    }
}
