<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class AdditionalChargeApplied extends Model
{
    use HasFactory;
    protected $table = 'additional_charges_applied';
    protected $guarded = [];

    public static function full(){

        return AdditionalChargeApplied::select(
                    'additional_charges.id',
                    'additional_charges.amount',
                    'additional_charges.charge_type',
                    'additional_charges.description',
                    'charge_entities.entity_type',
                    'charge_entities.entity_id',
                    'additional_charges.key_name',
                    'additional_charges_applied.order_id',
                    DB::raw('charge_entities.id AS charge_entity_id'))
                ->join('charge_entities', 'additional_charges_applied.charge_entity_id', '=', 'charge_entities.id')
                ->join('additional_charges', 'additional_charges.id', '=', 'charge_entities.charge_id');
    }

    public static function byOrderId(int $orderId){
            return self::full()->where('additional_charges_applied.order_id', $orderId);
    }
}
