<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CustomerAddress extends Model
{
    use HasFactory;

    protected $fillable = [
        'customer_id',
        'is_default',
        'street',
        'postal_code',
        'neighborhood',
        'country',
        'state',
        'city',
    ];

    public function customer() : BelongsTo
    {
        return $this->belongsTo(Customer::class, 'customer_id');
    }

    /*
    */
    public function getFullAddressAttribute()
    {
        $fullAddress = "$this->street C.P. $this->postal_code, $this->neighborhood";
        return $fullAddress;
    }
    public function completeAddress(){
        return "$this->street $this->number_ext $this->number_int,
                $this->neighborhood, $this->postal_code, $this->city, $this->state";
    }
}
