<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Location extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'netsuite_id',
        'netsuite_name',
        'street',
        'postal_code',
        'neighborhood',
        'country',
        'state',
        'city',
    ];

    public function productStocks()
    {
        return $this->hasMany(ProductStock::class);
    }


    public function getFullAddressAttribute()
    {
        $fullAddress = "$this->street C.P. $this->postal_code, $this->neighborhood $this->state $this->city";
        return $fullAddress;
    }

}
