<?php

namespace App\Models;

use DVDoug\BoxPacker\PackedItemList;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Services\Shipments\Contracts\Product;

class OrderedItemInPackagesSent extends Model
{
    use HasFactory;
    protected $table = 'ordered_items_in_packages_sent';
    protected $guarded = [];

    public static function savePackedItems(int $packageSentId, PackedItemList $packedItemList){

        $insert = [];
        foreach ($packedItemList as $packedItem) {

            $item = $packedItem->getItem();

            if($item instanceof Product){

                $insert[] = [
                    'packages_sent_id' => $packageSentId,
                    'order_item_id' => $item->identification(),
                    'x' => $packedItem->getX(),
                    'y' => $packedItem->getY(),
                    'z' => $packedItem->getZ(),
                    'width' => $packedItem->getWidth(),
                    'length' => $packedItem->getLength(),
                    'depth' => $packedItem->getDepth(),
                    'created_at' => now(),
                    'updated_at' => now()
                ];

            }else{
                throw new \Exception("El item que esta en la caja no es un modelo de la clase Product", 1);
            }
        }

        return self::insert($insert);
    }
}
