<?php

namespace App\Notifications\Customer\Order;

use App\Models\Order;
use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class Canceled extends Notification
{
    use Queueable;
    /**
     * Create a new notification instance.
     */
    public function __construct(private readonly Order $order)
    {
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->subject(__('Orden cancelada'))
                    ->greeting('¡Saludos!')
                    ->line('Tu orden de pago con folio ' . $this->order->id . ' fue cancelada, si tienes dudas contacta a ventas con tu folio')
                    ->action('Ver', route('account.orders'));
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
