<?php

namespace App\Services\Cart;

use App\Models\AdditionalCharge;
use Illuminate\Support\Facades\DB;

class Factory{
    /**
     * Esta funcion carga descuentos y cargos extras en el carrito de compras que se encuentre activo, los obtiene desde la BD
     *
     * @return void
     */
    public static function chargeCartCondition(Rules $rules){

        $additionalCharges = AdditionalCharge::select(
                                'additional_charges.id',
                                'additional_charges.amount',
                                'additional_charges.charge_type',
                                'additional_charges.description',
                                'charge_entities.entity_type',
                                'charge_entities.entity_id',
                                'additional_charges.key_name',
                                DB::raw('charge_entities.id AS charge_entity_id'))
                                ->join('charge_entities', 'charge_entities.charge_id', '=', 'additional_charges.id')
                                ->whereIn('additional_charges.key_name', $rules->get())
                                ->get();
        $handler = new CartCondition($additionalCharges);
        return $handler->handle();
    }
}
