<?php
namespace App\Services\Contracts;

interface CancelShipment{
    /**
     * Resultado de la solicitud
     *
     * @return boolean
     */
    public function result(): bool;
    /**
     * Respuesta por parte de la paqueteria
     *
     * @return mixed
     */
    public function data(): mixed;
    /**
     * Si hubo un error aqui lo indicamos
     *
     * @return string|null
     */
    public function error(): string|null;
    /**
     * Si la cancelacion fue exitosa, aqui devolvemos el estatus de envio donde se vea este cambio reflejado
     *
     * @return string
     */
    public function code(): string;
}
