<?php
namespace App\Services\Contracts;

use App\Services\Shipments\Sent\ListPackages;

interface Shipment{
    /**
     * Identificador unico para rastrear el envio
     * (En caso de ser varios paquetes debera ser el master Tracking)
     *
     * @return string
     */
    public function getTrackingNumber(): string;
    /**
     * Respuesta del servidor
     *
     * @return string
     */
    public function getJSONResponse(): string;
    /**
     * Costo total del servicio de envio
     *
     * @return float
     */
    public function getTotalAmount(): ?float;
    /**
     * Moneda bajo la cual a sido cotizado el envio
     *
     * @return string|null
     */
    public function getCurrency(): ?string;
    /**
     * Caja donde serian o fueron enviados los productos
     *
     * @return ListPackages
     */
    public function getListPackagesSent(): ListPackages;
}
