<?php

namespace App\Services\Contracts;
/**
 * Contrato para darle estructura a una respuesta de una paqueteria independientemente de la estructura de la respuesta
 */
interface Tracking{
    /**
     * Codigo del estatus del envio
     *
     * @return string
     */
    public function getCode(): string;
    /**
     * Obtener una descripcion del estatus del envio, debe ser en el idioma del usuario se acepta un string sencillo o html
     *
     * @return string
     */
    public function getDescription(): string;
    /**
     * EN caso de existir un retraso aqui se indica el porque, si es nulo significa que no hay retraso,
     * se acepta un string sencillo o html
     *
     * @return string|null
     */
    public function getDelay(): ?string;
    /**
     * Fecha del ultimo estatus, si esta disponible y es un string no una fecha como tal sin embargo si debe
     * estar en el idioma del usuario, se acepta un string sencillo o html
     *
     * @return string|null
     */
    public function getDateTime(): ?string;
    /**
     * Fecha de la promesa de entrega, es un string, no una fecha como tal sin embargo
     * si debe estar en el idioma del usuario se acepta un string sencillo o html
     *
     * @return string|null
     */
    public function getPromiseDeliveryDateTime(): ?string;
    /**
     * Informacion adicional del envio, se acepta un string sencillo o html
     *
     * @return string|null
     */
    public function getAdditionalInfo(): ?string;
    /**
     * Todos los eventos que que ha sufrido envio desde que es creada la guia hasta que esta finaliza, se acepta un string o html
     *
     * @return string|null
     */
    public function getHistorical(): ?string;
}
