<?php
namespace App\Services\Estafeta\Objects\Shipment;

class Address{

    /**
     *
     *
     * @param string $externalNum Número exterior(No se permiten caracteres: $^|~)(Max: 20)
     * @param string $roadName Nombre del camino (No se permiten caracteres: $^|~ )(Max: 50)
     * @param string $roadTypeAbbName Abreviación del tipo de camino, es requerido cuando bUsedCode es FALSE (No se permiten caracteres: $^|~) (Max: 5)
     * @param string $settlementName Nombre del asentamiento
     * @param string settlementTypeAbbName Usamos el catalogo de Estafeta, de manera predeterminada usamos la colonia como valor de settlementName
     * @param string $zipCode
     * @param string $countryName
     * @param boolean $bUsedCode
     */
    public function __construct(
        public readonly string $externalNum,
        public readonly string $roadName,
        public readonly string $roadTypeAbbName,
        public readonly string $settlementName,
        public readonly string $zipCode,
        public readonly string $settlementTypeAbbName = 'Col',
        public readonly string $countryName = 'MEX',
        public readonly bool $bUsedCode = false)
    {

    }
    public function array(){
        return [
            'externalNum' => $this->externalNum,
            'roadName' => $this->roadName,
            'roadTypeAbbName' => $this->roadTypeAbbName,
            'settlementName' => $this->settlementName,
            'settlementTypeAbbName' => $this->settlementTypeAbbName,
            'zipCode' => $this->zipCode,
            'countryName' => $this->countryName,
            'bUsedCode' => $this->bUsedCode
        ];
    }
}
