<?php
namespace App\Services\Estafeta\Objects\Shipment;

class Contact{

    /**
     *
     *
     * @param string $corporateName Razón social de la empresa (No se permiten caracteres: $^|~)
     * @param string $contactName Nombre de la persona de contacto (No se permiten caracteres: $^|~)
     * @param string|null $cellPhone Teléfono celular o móvil
     * @param string|null $telephone Teléfono fijo
     */
    public function __construct(
        public readonly string $corporateName,
        public readonly string $contactName,
        public readonly ?string $cellPhone = null,
        public readonly ?string $telephone = null)
    {

    }
    public function array(){
        return [
            'corporateName' => $this->corporateName,
            'contactName' => $this->contactName,
            'cellPhone' => $this->cellPhone,
            'telephone' => $this->telephone ? $this->telephone : $this->cellPhone
        ];
    }
}
