<?php
namespace App\Services\Estafeta\Objects\Shipment;

class Merchandises{

    /**
     *
     * @param float $totalGrossWeight Suma del peso bruto total de los bienes o mercancías que se trasladan por transporte ferroviario y aéreo.
     * 6 enteros y 3 decimales
     * @param string $weightUnitCode Clave de unidad de medida estandarizada del peso de los bienes o mercancías que se trasladan vía férrea y aérea.
     * alfanumérico maximo 3
     * @param array $merchandise Colección de objetos Mercancia
     */
    public function __construct(
        public readonly float $totalGrossWeight,
        public readonly string $weightUnitCode,
        public readonly array $merchandise)
    {

    }

    public function array(){
        return [
            'totalGrossWeight' => number_format($this->totalGrossWeight, 2, '.', ''),
            'weightUnitCode' => $this->weightUnitCode,
            'merchandise' => array_map(fn(Merchandise $item) => $item->array(), $this->merchandise),
        ];
    }
}
