<?php
namespace App\Services\Estafeta\Objects\Shipment;

class ServiceConfiguration{

    /**
     *
     *
     * @param integer $quantityOfLabels
     * @param string $serviceTypeId
     * @param integer $salesOrganization
     * @param string $originZipCodeForRouting
     * @param boolean $isReturnDocument
     * @param boolean $isInsurance
     * @param string $type
     * @param string $serviceId
     * @param Insurance|null $insurance
     */
    public function __construct(
        public readonly int $quantityOfLabels,
        public readonly string $serviceTypeId,
        public readonly int $salesOrganization,
        public readonly string $originZipCodeForRouting,
        public readonly bool $isReturnDocument,
        public readonly bool $isInsurance = false)
    {

    }
    public function array(){
        return [
            'quantityOfLabels' => $this->quantityOfLabels,
            'serviceTypeId' => $this->serviceTypeId,
            'salesOrganization' => $this->salesOrganization,
            'originZipCodeForRouting' => $this->originZipCodeForRouting,
            'isReturnDocument' => $this->isReturnDocument,
            'isInsurance' => $this->isInsurance
        ];
    }
}
