<?php

namespace App\Services\Estafeta\Objects\Shipment;

class WaybillDocument{

    /**
     *
     *
     * @param string $content Contenido del envío max length (25)
     * @param Pallet $pallet Se requiere si servicio solicitado es LTL
     */
    public function __construct(
        public readonly string $content,
        public readonly int $referenceNumber,
        public readonly ?Pallet $pallet = null)
    {

    }
    public function array(){
        return $this->pallet ? [
            'content' => $this->content,
            'pallet' => $this->pallet->array(),
            'referenceNumber' => $this->referenceNumber
        ] : ['content' => $this->content, 'referenceNumber' => $this->referenceNumber];
    }
}
