<?php
namespace App\Services\Estafeta\Request;

use App\Services\Estafeta\Objects\Quote\Dimensions;
use App\Services\Estafeta\Objects\Quote\PackagingType;

class Quote{
    public function __construct(
        public readonly string $Origin,
        public readonly array $Destination,
        public readonly PackagingType $PackagingType,
        public readonly Dimensions $Dimensions,
        public readonly bool $IsInsurance = false)
    {

    }

    public function array(){
        return [
            'Origin' => $this->Origin,
            'Destination' => $this->Destination,
            'PackagingType' => $this->PackagingType->value,
            'Dimensions' => $this->Dimensions->array(),
            'IsInsurance' => $this->IsInsurance,
        ];
    }
}

