<?php
namespace App\Services\Estafeta\Request;

class ShipQueryParams{
    /**
     *
     *
     * @param string $outputType Tipos se salida para documento guía en formato PDF, secuencias escape, información de documento guía.
     * 1: FILE_PDF (papel bond tamaño carta, ver AnexoA y AnexoB)
     * 3: SECTION_DOCUMENT (En caso de que se requieran sólo los componentes de la guía)
     * @param string $outputGroup Agrupación de los documentos guía
     * 1: INDIVIDUAL (PDF / secuencia de escape, individualizado por guía)
     * 3: REQUEST (PDF / secuencia de escape, conteniendo todas las guías solicitadas)
     * @param string $responseMode Interacción en la respuesta
     * 1: SYNC_INLINE (Petición Síncrona)
     * 2: SYNC_REFERENCE (Petición Asíncrona que devuelve una referencia que permitirá imprimir la guía más tarde)
     */
    public function __construct(
        public readonly string $outputType,
        public readonly string $outputGroup,
        public readonly string $responseMode)
    {

    }
    public function array(){
        return [
            'outputType' => $this->outputType,
            'outputGroup' => $this->outputGroup,
            'responseMode' => $this->responseMode
        ];
    }
}
