<?php
namespace App\Services\Estafeta\Request;

use App\Services\Estafeta\Objects\Shipment\Identification;
use App\Services\Estafeta\Objects\Shipment\LabelDefinition;
use App\Services\Estafeta\Objects\Shipment\SystemInformation;

class Shipment{
    /**
     *
     *
     * @param ShipQueryParams $queryParams
     * @param Identification $identification
     * @param SystemInformation $systemInformation
     * @param LabelDefinition $labelDefinition
     */
    public function __construct(
        public readonly ShipQueryParams $queryParams,
        public readonly Identification $identification,
        public readonly SystemInformation $systemInformation,
        public readonly LabelDefinition $labelDefinition)
    {

    }
    public function array(){
        return [
            'identification' => $this->identification->array(),
            'systemInformation' => $this->systemInformation->array(),
            'labelDefinition' => $this->labelDefinition->array(),
        ];
    }
    public function queryParams(){
        return $this->queryParams->array();
    }
    public function isLTL(){
        return isset($this->labelDefinition->wayBillDocument->pallet);
    }
}
