<?php
namespace App\Services\Estafeta\Request;

use App\Services\Estafeta\Objects\Shipment\Identification;
use App\Services\Estafeta\Objects\Shipment\LabelDefinition;
use App\Services\Estafeta\Objects\Shipment\SystemInformation;

class ShipmentMultiple{
    /**
     *
     *
     * @param ShipQueryParams $queryParams
     * @param Identification $identification
     * @param SystemInformation $systemInformation
     * @param array $labelDefinitions
     */
    public function __construct(
        public readonly ShipQueryParams $queryParams,
        public readonly Identification $identification,
        public readonly SystemInformation $systemInformation,
        public readonly array $labelDefinitions)
    {

    }
    public function array(){

        $labels = [];

        foreach ($this->labelDefinitions as $label) {
            $labels[] = $label->array();
        }
        return [
            'identification' => $this->identification->array(),
            'systemInformation' => $this->systemInformation->array(),
            'labelDefinitions' => $labels,
        ];
    }
    public function queryParams(){
        return $this->queryParams->array();
    }
}
