<?php

namespace App\Services\Estafeta\Response;

use App\Services\Shipments\Address;

class QuotationMultiple{

    public  $cheapestQuote;

    public function __construct(
        public readonly object $response,
        public readonly Address $origin,
        public readonly Address $destination,)
    {
        $this->setCheapestQuote();
    }

    private function setCheapestQuote(){
        $this->cheapestQuote = array_reduce($this->response->MultipleQoutations[0]->LoadingQuotations, function($cheapestQuote, $quote){
            if($cheapestQuote->ServiceCost->TotalAmount > $quote->ServiceCost->TotalAmount) $cheapestQuote = $quote;
            return $cheapestQuote;
        }, $this->response->MultipleQoutations[0]->LoadingQuotations[0]);
    }
    public function cost(){
        return $this->cheapestQuote->ServiceCost->TotalAmount;
    }
    public function array(){

        return [
            'Quotation' => [
                [
                    'Service' => [
                        [
                            'ServiceCode' => $this->cheapestQuote?->ServiceCode,
                            'ServiceName' => $this->cheapestQuote?->ServiceName,
                            'Modality' => $this->cheapestQuote?->Modality,
                            'TotalAmount' => $this->cheapestQuote->ServiceCost->TotalAmount
                        ],
                    ],
                    'Origin' => [
                        'Postalcode' => $this->origin->cp,
                        'WarehouseCode' => 'N/A',
                        'TownshipName' => 'N/A', // No proporcionado
                        'StateName' => 'N/A', // No proporcionado
                    ],
                    'Destination' => [
                        'Postalcode' => $this->destination->cp,
                        'WarehouseCode' => 'N/A',
                        'TownshipName' => 'N/A', // No proporcionado
                        'StateName' => 'N/A', // No proporcionado
                    ],
                    'Message' => $this->data ?? 'Ok',
                ],
            ],
            'origin' => $this->origin,
            'destination' => $this->destination,
            'carrier' => 'estafeta'
        ];
    }
}
