<?php

namespace App\Services\Fedex\Helpers;

class Formatters{
    /**
     * Limite maximo de caracteres que se pueden enviar en una solicitud a FEDEX,
     * ver https://developer.fedex.com/api/es-us/catalog/ship/v1/docs.html#operation/Create%20Shipment en el apartado recipients
     */
    private const MAX_LENGTH = 35;

    public static function streetLines($address, $number_ext, $number_int){

        $streetLines = [$address, $number_ext];

        if(isset($number_int) && strlen($number_int) > 0) $streetLines[] = $number_int;

        $fullStreetLines = implode(',', $streetLines);

        return strlen($fullStreetLines) > self::MAX_LENGTH ? $streetLines : [$fullStreetLines];
    }
    public static function removeUnsupportedCharacters(string $text){
        $characters = array(
            'á' => 'a', 'é' => 'e', 'í' => 'i', 'ó' => 'o', 'ú' => 'u',
            'Á' => 'A', 'É' => 'E', 'Í' => 'I', 'Ó' => 'O', 'Ú' => 'U',
            'ñ' => 'n', 'Ñ' => 'N'
        );

        return strtr($text, $characters);
    }
}
