<?php
namespace App\Services\Fedex\Objects;

/**
 * This is the Declared Value - represents FedEx Maximum liability in connection with a shipment of that Package,
 * including but not limited to, any loss, damage, delay, misdelivery,
 * any failure to provide information, or misdelivery of information relating to the Shipment.
 */
class DeclaredValue{
    /**
     *
     *
     * @param float $amount Indicate the amount.
     * @param string $currency Indicate the three-character ISO currency code.
     * ver https://developer.fedex.com/api/es-mx/guides/api-reference.html#currencycodes
     */
    public function __construct(public readonly float $amount, public readonly string $currency = 'NMP')
    {

    }
    public function array(){
        return [
            'amount' => $this->amount,
            'currency' => $this->currency
        ];
    }
}
