<?php
namespace App\Services\Fedex\Objects\Shipment;

use App\Services\Fedex\Helpers\Formatters;

/**
 * https://developer.fedex.com/api/es-mx/catalog/ship/v1/docs.html
 */
class Address{

    public function __construct(
        public readonly array $streetLines,
        public readonly string $city,
        public readonly string $postalCode,
        public readonly string $countryCode = 'MX')
    {
        if(count($streetLines) === 0) throw new \Exception("Se requiere como minimo el numero y la calle", 1);

        array_map(function($streetLine){
            if(!is_string($streetLine)) throw new \Exception("Solo se aceptan string que debe ser una calle y las intersecciones", 1);

        }, $streetLines);
    }
    public function array(){
        return [
            'streetLines' => array_map(fn($item) => Formatters::removeUnsupportedCharacters($item), $this->streetLines),
            'city' => Formatters::removeUnsupportedCharacters($this->city),
            'postalCode' => $this->postalCode,
            'countryCode' => $this->countryCode
        ];
    }
}
