<?php
namespace App\Services\Fedex\Objects\Shipment;

use App\Services\Fedex\Helpers\Formatters;

class Contact{

    public function __construct(
        public readonly string $phoneNumber,
        public readonly string $companyName = '',
        public readonly string $personName = '',
        public readonly string $phoneExtension = '',
        public readonly string $emailAddress = '')
    {
        if(strlen($companyName) == 0 && strlen($personName) == 0) throw new \Exception('Debes proprocionar al menos uno de los campos $companyName o $personName', 1);

    }
    public function array(){
        return [
            'phoneNumber' => $this->phoneNumber,
            'companyName' => $this->companyName,
            'personName' => Formatters::removeUnsupportedCharacters($this->personName),
            'phoneExtension' => $this->phoneExtension,
            'emailAddress' => $this->emailAddress
        ];
    }
}
