<?php
namespace App\Services\Fedex\Objects\Shipment;

class EmailNotificationRecipient{

    /**
     *
     *
     * @param string $emailAddress
     * @param string $emailNotificationRecipientType Enum: "BROKER" "OTHER" "RECIPIENT" "SHIPPER" "THIRD_PARTY"
     * @param string $locale https://developer.fedex.com/api/es-mx/guides/api-reference.html#locales
     * @param array $notificationEventType https://developer.fedex.com/api/es-mx/guides/api-reference.html#notificationeventtypes
     */
    public function __construct(
        public readonly string $emailAddress,
        public readonly string $emailNotificationRecipientType = 'RECIPIENT',
        public readonly string $locale = 'es_MX',
        public readonly array $notificationEventType = [
            "ON_DELIVERY",
            "ON_EXCEPTION",
            "ON_SHIPMENT",
            "ON_TENDER",
            "ON_ESTIMATED_DELIVERY",
            "ON_PICKUP_DRIVER_ARRIVED",
            "ON_PICKUP_DRIVER_ASSIGNED",
            "ON_PICKUP_DRIVER_DEPARTED",
            "ON_PICKUP_DRIVER_EN_ROUTE"
        ]
    )
    {

    }
    public function array(){
        return [
            'emailAddress' => $this->emailAddress,
            'emailNotificationRecipientType' => $this->emailNotificationRecipientType,
            'locale' => $this->locale,
            'notificationEventType' => $this->notificationEventType
        ];
    }
}
