<?php
namespace App\Services\Fedex\Objects\Shipment;
/**
 * These are label specification details includes the image type, printer format, and label stock for label.
 * Can also specify specific details such as doc-tab content, regulatory labels, and masking data on the label.
 */
class LabelSpecification{
    /**
     *
     *
     * @param string $labelStockType Indicate the label stock type used. https://developer.fedex.com/api/es-mx/guides/api-reference.html#labelstocktypes
     * @param string $imageType Specify the image format used for a shipping document. https://developer.fedex.com/api/es-mx/guides/api-reference.html#labelstocktypes
     */
    public function __construct(
        public readonly string $labelStockType = 'PAPER_4X6',
        public readonly string $imageType = 'PDF')
    {

    }
    public function array(){
        return [
            'labelStockType' => $this->labelStockType,
            'imageType' => $this->imageType
        ];
    }
}
