<?php
namespace App\Services\Fedex\Objects\Shipment;

/**
 * Specifies the payment Type.
 * Note: This is required for Express, Ground and SmartPost shipments.
 * The payment type COLLECT is applicable only for Ground shipments.
 */
class PaymentType{

    public const SENDER = 'SENDER';
    public const RECIPIENT = 'RECIPIENT';
    public const THIRD_PARTY = 'THIRD_PARTY';
    public const COLLECT = 'COLLECT';

    public function __construct(public readonly string $value)
    {
        $reflection = new \ReflectionClass(__CLASS__);
        $const = $reflection->getConstants();

        if(in_array($value, $const)) return;

        throw new \Exception("El tipo no es válido, consulta la documentacion", 1);
    }
}
