<?php
namespace App\Services\Fedex\Objects\Track;

class AssociatedType{
    /**
     * OUTBOUND_LINK_TO_RETURN: is an RTRN relationship.Same concept as an MPS.
     * the OUTBOUND_LINK_TO_RETURN is the Master outbound package tracking number,
     * that when tracked with this indicator you can get all the child return pieces.
     */
    public const OUTBOUND_LINK_TO_RETURN= 'OUTBOUND_LINK_TO_RETURN';
    /**
     * Single shipment with multiple packages, where tracking number got assigned to all pieces,
     * one tracking number is treated as master tracking number while others are child tracking numbers.
     */
    public const STANDARD_MPS= 'STANDARD_MPS';
    /**
     * Behavior is just like standard MPS but it’s created differently.
     * The shipper must be enrolled for this by a particular reference type like ‘PO’ (purchase order).
     * Then any package order create on the same day going to the same place that has the reference
     * number will get grouped into GMPS relationships.
     */
    public const GROUP_MPS= 'GROUP_MPS';
}
