<?php
namespace App\Services\Fedex\Request;

use App\Services\Fedex\Objects\Quote\RequestedShipment;

/**
 * Cuerpo de una solicitud para solicitar una cotizacion
 * https://developer.fedex.com/api/es-mx/catalog/rate/v1/docs.html#operation/Rate%20and%20Transit%20times
 */
class Rate{

    public function __construct(
        public readonly string $accountNumber,
        public readonly RequestedShipment $requestedShipment
        ){}

    public function array(){
        return [
            'accountNumber' => [
                'value' => $this->accountNumber
            ],
            'requestedShipment' => $this->requestedShipment->array()
        ];
    }
}
