<?php
namespace App\Services\Fedex\Request;

use App\Services\Fedex\Objects\Shipment\RequestedShipment;

class ValidateShipment{
    /**
     * @param RequestedShipment $requestedShipment The descriptive data of the requested shipment.
     * @param string $accountNumber The account number associated with the shipment.
     */
    public function __construct(
        public readonly RequestedShipment $requestedShipment,
        public readonly string $accountNumber)
    {

    }
    public function array(){
        return [
            'requestedShipment' => $this->requestedShipment->array(),
            'accountNumber' => [
                'value' => $this->accountNumber
            ]
        ];
    }
}
