<?php
namespace App\Services\Fedex\Response;

use App\Services\Contracts\CancelShipment as Contract;
/**
 * Ver https://developer.fedex.com/api/es-us/catalog/track/v1/docs.html
 */
class Cancel implements Contract{

    public function __construct(public readonly object $response){}

    public function result(): bool{
        return $this->response->output->cancelledShipment;
    }
    public function data(): mixed{
        return $this->response;
    }
    public function error(): string|null{
        return null;
    }
    public function code(): string{
        return 'CA';
    }
}
