<?php
namespace App\Services\Helpers;
/**
 * Clase base para cuando necesitas devolver una respuesta compleja como resultado de
 * alguna operación
 */
class Result{
    /**
     *
     *
     * @param boolean $value Resultado del proceso, ya sea correcto o fallido
     * @param mixed $error Usa esta variable para responder a detalle el error, por ejemplo
     * un mensaje con el motivo de la falla
     */
    public function __construct(public readonly bool $value, public readonly mixed $error = null)
    {

    }
    /**
     *
     *
     * @param boolean $value
     * @param mixed $error
     * @return Result
     */
    public static function create(bool $value, mixed $error = null){
        return new self($value, $error);
    }
}
