<?php
namespace App\Services\Paquetexpress\Helpers;

use App\Services\Paquetexpress\Exceptions\Paquetexpress;

trait Request{

    private function errorResponse($response, $throw = true){

        $errors = [];

        if(is_object($response) && $response->messages && is_array($response->messages)){

            foreach ($response->messages as $message) {
                \Log::error('Code: ' . $message->code);
                \Log::error('Type: ' . $message->typeError);
                \Log::error('Description: ' . $message->description);

                if($message->code != 500) $errors[] = $message->description;
            }

            if($throw)
                throw new Paquetexpress('PaquetExpress respondió: <br>' . implode('</br>', $errors), 1);
        }

        if($throw)
            throw new Paquetexpress('PaquetExpress respondió: Error desconocido, contacta a soporte' . json_encode($response, JSON_PRETTY_PRINT), 1);
    }

}
