<?php
namespace App\Services\Paquetexpress\Objects\Quote;

class Services{

    /**
     *
     *
     * @param ServicesDlvyType $dlvyType Tipo de entrega (a domicilio, ocurre)
     * @param ServicesAckType $ackType Tipo de acuse de Recibo solicitado por el cliente
     * @param ServicesInvType $invType Mantiene la clave del seguro a aplicar
     * @param ServicesRadType $radType Servicio de recoleccion a domicilio (para clientes de documentacion en linea siempre se cargará RAD)
     * @param string $totlDeclVlue Valor total del envio (En la junta del dia 23-ago-2024 se acordo no usar el seguro)
     */
    public function __construct(
        public readonly ServicesDlvyType $dlvyType,
        public readonly ServicesAckType $ackType,
        public readonly ServicesInvType $invType,
        public readonly ServicesRadType $radType,
        public readonly string|null $totlDeclVlue = null
    )
    {

    }
    public function array(){
        return [
            'dlvyType' => $this->dlvyType->value,
            'ackType' => $this->ackType->value,
            'invType' => $this->invType->value,
            'radType' => $this->radType->value
        ];
    }
}
