<?php
namespace App\Services\Paquetexpress\Objects;

use App\Services\Paquetexpress\Exceptions\Paquetexpress;

/**
 * Configurar que tipo envio queremos cotizar, es posible seleccionar multiples tipos de envio o todos,
 * de manera predeterminada se cotiza TODOS
 */
class QuoteServices{
    /**
     * Todos
     *
     * @var string
     */
    public const ALL = 'ALL';
    /**
     * Envio estandar
     *
     * @var string
     */
    public const ST = 'ST';
    /**
     * Express 2 Day
     *
     * @var string
     */
    public const _2D = '2D';
    /**
     * Envio expres
     *
     * @var string
     */
    public const DS = 'DS';
    /**
     * Express MidDay
     *
     * @var string
     */
    public const A12 = 'A12';
    /**
     * Express SameDay
     *
     * @var string
     */
    public const MD = 'MD';

    /**
     * La api ofrece multiples cotizaciones segun el tipo de servicio, de manera predeterminada escogemos todas
     *
     * @param array $value
     */
    public function __construct(public readonly array $value)
    {

        $reflection = new \ReflectionClass(__CLASS__);
        $const = $reflection->getConstants();

        foreach ($this->value as $code) {
            if (!in_array($code, $const)) {
                throw new Paquetexpress("El código $code no es válido, consulta la documentación", 1);
            }
        }
    }
}
