<?php
namespace App\Services\Paquetexpress\Objects;
/**
 * Paquete que deseamos cotizar
 */
class Shipment{

    /**
     *
     *
     * @param integer $sequence consecutivo para objeto shipment actual
     * @param integer $quantity Numero de bultos enviados
     * @param Code $shpCode Tipo de bultos
     * @param float $weight peso acordado (si tiene tarifa fija) o peso de tarifa seleccionada (si es tarifa de piso), es requerido cuando el shpCode es = 2
     * @param float $longShip Unidad metros cúbicos (largo*ancho*alto)/Factor de conversion
     */
    public function __construct(
        public readonly int $sequence,
        public readonly int $quantity,
        public readonly Code $shpCode,
        public readonly float $weight,
        public readonly float $longShip,
        public readonly float $widthShip,
        public readonly float $highShip)
    {

    }
    public function array(){
        return [
            'sequence' => $this->sequence,
            'quantity' => $this->quantity,
            'shpCode' => $this->shpCode->value,
            'weight' => $this->weight,
            'longShip' => $this->longShip,
            'widthShip' => $this->widthShip,
            'highShip' => $this->highShip
        ];
    }
}
