<?php
namespace App\Services\Paquetexpress\Objects\Shipment;
/**
 * Direccion desde donde se envia o recibe un envio
 */
class Address{

    /**
     *
     *
     * @param string $country Pais (nombre)
     * @param string $state Estado (nombre)
     * @param string $city Ciudad (nombre)
     * @param string $town Poblacion (nombre)
     * @param string $colony Colonia
     * @param string $zipCode Codigo Postal
     * @param string $address Nombre de la calle
     * @param string $drnr Numero de domicilio
     * @param string $contactPhone Telefono
     * @param string $contactName Nombre del contacto
     * @param string $email Email de contacto
     * @param string $contacto CONTACTO QUIEN ENTREGA o QUIEN RECIBE, esto depende si la direccion es ORIGIN o DESTINATION
     * @param string $addrType Enum
     * REQUEST = Dirección de quien solicita.
     * ORIGIN = Dirección donde se recolectará.
     * DESTINATION= Dirección donde entregaremos.
     * FISCAL= Dirección para facturación
     */
    public function __construct(
        public readonly string $country,
        public readonly string $state,
        public readonly string $city,
        public readonly string $town,
        public readonly string $colony,
        public readonly string $zipCode,
        public readonly string $address,
        public readonly string $contactPhone,
        public readonly string $contactName,
        public readonly string $email,
        public readonly string $contacto,
        public readonly string $addrType,
        public readonly string $drnr)
    {

    }
    public function array(){
        return [
            'addrLin1' => $this->country,
            'addrLin3' => $this->state,
            'addrLin4' => $this->city,
            'addrLin5' => $this->town,
            'addrLin6' => $this->colony,
            'zipCode' => $this->zipCode,
            'strtName' => $this->address,
            'drnr' => $this->drnr,
            'phno1' => $this->contactPhone,
            'clntName' => $this->contactName,
            'email' => $this->email,
            'contacto' => $this->contacto,
            'addrType' => $this->addrType
        ];
    }
}
