<?php
namespace App\Services\Paquetexpress\Objects\Shipment;

use App\Services\Paquetexpress\Exceptions\Paquetexpress;

/**
 * Servicios solicitados, aqui se indica si el paquete es recolectado y entregado en los domicilios de origen y destino
 */
class ListSrvcItemDTO{

    public function __construct(public readonly array $services)
    {
        if(count($services) == 0) throw new Paquetexpress("Se requiere como mínimo un elemento", 1);

        array_walk($services, function($service) {
            if(get_class($service) != SrvcItem::class) throw new Paquetexpress("Es necesario que el item sea de la clase SrvcItem", 1);

        });
    }
    public function array(){
        return array_map(fn(SrvcItem $service) => $service->array(), $this->services);
    }
}
