<?php
namespace App\Services\Paquetexpress\Objects\Shipment;

class PackageItem{

    public const PACKETS = 'PACKETS';
    public const ENVELOPES = 'ENVELOPES';
    /**
     *
     *
     * @param string $srvcId Clave de servicio: PACKETS = Paquetes, ENVELOPES = Sobres
     * @param string $productIdSAT clave de producto/servicio SAT
     * @param float $weight Peso
     * @param float $volL Largo
     * @param float $volW Ancho
     * @param float $volH Alto
     * @param float $cont Contenido del envio
     * @param string $qunt Cantidad de bultos
     */
    public function __construct(
        public readonly string $srvcId,
        public readonly string $productIdSAT,
        public readonly float $weight,
        public readonly float $volL,
        public readonly float $volW,
        public readonly float $volH,
        public readonly string $cont,
        public readonly string $qunt)
    {

    }
    public function array(){
        return [
            'srvcId' => $this->srvcId,
            'productIdSAT' => $this->productIdSAT,
            'weight' => (string)$this->weight,
            'volL' => (string)$this->volL,
            'volW' => (string)$this->volW,
            'volH' => (string)$this->volH,
            'cont' => (string)$this->cont,
            'qunt' => $this->qunt
        ];
    }
}
