<?php
namespace App\Services\Paquetexpress\Objects\Shipment;

use App\Services\Paquetexpress\Exceptions\Paquetexpress;

/**
 * Paquetes que seran enviados
 */
class RadSrvcItemDTOList{

    public function __construct(public readonly array $packages)
    {
        if(count($packages) == 0) throw new Paquetexpress("Se requiere como mínimo un elemento", 1);

        array_walk($packages, function($package) {
            if(get_class($package) != PackageItem::class)
                throw new Paquetexpress("Es necesario que el item sea de la clase PackageItem", 1);
        });
    }
    public function array(){
        return array_map(fn(PackageItem $package) => $package->array(), $this->packages);
    }
}
