<?php
namespace App\Services\Paquetexpress\Objects\Shipment;

use App\Services\Paquetexpress\Exceptions\Paquetexpress;

/**
 * Tipo de envio solicitado
 */
class TypeSrvcId{
    /**
     * Estándar
     *
     * @var string
     */
    public const STD_T = 'STD-T';
    /**
     * Express segundo día
     *
     * @var string
     */
    public const SEG_2D = 'SEG-2D';
    /**
     * Express día siguiente
     *
     * @var string
     */
    public const SEG_DS = 'SEG-DS';
    /**
     * Express antes de las 12
     *
     * @var string
     */
    public const SEG_A12 = 'SEG-A12';
    /**
     * Express mismo día
     *
     * @var string
     */
    public const SEG_MD = 'SEG-MD';

    public function __construct(public readonly string $value)
    {
        $reflection = new \ReflectionClass(__CLASS__);
        $const = $reflection->getConstants();

        if(in_array($value, $const)) return;

        throw new Paquetexpress("El tipo no es válido, consulta la documentacion", 1);
    }
}
