<?php
namespace App\Services\Paquetexpress\Packaging;
/**
 * Representa una paleta doble con dimensiones ampliadas en comparación con una paleta estándar.
 * El peso máximo permitido para esta paleta es de 1500 kg. Si el peso supera este límite,
 * se debe contactar al equipo de ventas.
 * Nota: Las dimensiones y el peso están basados en las especificaciones de Estafeta;
 * es necesario confirmar con Paquetexpress si estas especificaciones son aplicables.
 */
class DoublePallet{

    /**
     * Peso máximo de la paleta doble en kilogramos.
     */
    public const WEIGHT = 1500; // kg

    /**
     * Longitud de la paleta doble en centímetros.
     */
    public const LENGTH = 240; // cm

    /**
     * Altura de la paleta doble en centímetros.
     */
    public const HEIGHT = 190; // cm

    /**
     * Ancho de la paleta doble en centímetros.
     */
    public const WIDTH = 130; // cm

    /**
     * Catálogo de la paleta doble.
     */
    public const CATALOG = 'Pallet';
}
