<?php
namespace App\Services\Paquetexpress\Request;

use App\Services\Paquetexpress\Objects\Address;
use App\Services\Paquetexpress\Objects\Quote\Device;
use App\Services\Paquetexpress\Objects\Quote\Security;
use App\Services\Paquetexpress\Objects\Quote\Services;
use App\Services\Paquetexpress\Objects\Quote\Target;
use App\Services\Paquetexpress\Objects\QuoteServices;
use App\Services\Paquetexpress\Objects\ShipmentDetails;

class Quotation {
    public function __construct(
        private readonly Security $security,
        private readonly Device $device,
        private readonly Target $target,
        private readonly Address $clientAddrOrig,
        private readonly Address $clientAddrDest,
        private readonly ShipmentDetails $shipmentDetail,
        private readonly Services $services,
        private readonly QuoteServices $quoteServices)
    {

    }
    public function array(): array {
        return [
            'header' => [
                'security' => $this->security->array(),
                'device' => $this->device->array(),
                'target' => $this->target->array(),
                'output' => 'JSON'
            ],
            'body' => [
                'request' => [
                    'data' => [
                        'clientAddrOrig' => $this->clientAddrOrig->array(),
                        'clientAddrDest' => $this->clientAddrDest->array(),
                        'services' => $this->services->array(),
                        'shipmentDetail' => [
                            'shipments' => $this->shipmentDetail->array()
                        ],
                        'quoteServices' => $this->quoteServices->value
                    ]
                ]
            ],
        ];
    }
}
