<?php
namespace App\Services\Paquetexpress\Response;

use App\Services\Contracts\CancelShipment as Contract;

class CancelShipment implements Contract{

    public function __construct(public readonly object $response)
    {

    }
    public function result(): bool
    {
        return $this->response->body->response->success;
    }
    public function data(): mixed
    {
        return $this->response;
    }
    public function error(): string|null
    {
        if($this->response->body->response->success) return null;

        if($this->response->messages){
            $errors = [];
            foreach ($this->response->messages as $message) {
                $errors[] = $message->description;
            }

            return implode(',', $errors);

        }
        return null;
    }
    public function code(): string{
        return 'CWB';
    }
}
