<?php
namespace App\Services\Paquetexpress\Response;

use App\Services\Shipments\Address;

class Quotation{

    public object $cheapestQuote;
    public object $shipmentDetail;

    public function __construct(
        public readonly object $data,
        public readonly Address $origin,
        public readonly Address $destination)
    {
        $this->getCheapestQuote();
        $this->shipmentDetail = $this->cheapestQuote ? $this->cheapestQuote?->shipmentDetail->shipments[0] : null;
    }
    public function cost(){
        return $this->cheapestQuote?->amount->totalAmnt;
    }
    public function array(){

        return [
            'Quotation' => [
                [
                    'Service' => [
                        [
                            'ServiceCode' => $this->cheapestQuote?->id,
                            'ServiceName' => $this->cheapestQuote?->serviceName,
                            'Modality' => $this->cheapestQuote?->idRef,
                            'TotalAmount' => $this->cheapestQuote?->amount->totalAmnt
                        ],
                    ],
                    'Origin' => [
                        'Postalcode' => $this->data->clientAddrOrig->zipCode,
                        'WarehouseCode' => $this->data->clientAddrOrig->branch,
                        'TownshipName' => 'N/A', // No proporcionado
                        'StateName' => 'N/A', // No proporcionado
                    ],
                    'Destination' => [
                        'Postalcode' => $this->data->clientAddrDest->zipCode,
                        'WarehouseCode' => $this->data->clientAddrDest->branch,
                        'TownshipName' => 'N/A', // No proporcionado
                        'StateName' => 'N/A', // No proporcionado
                    ],
                    'Message' => $this->data ?? 'Ok'
                ],
            ],
            'origin' => $this->origin,
            'destination' => $this->destination,
            'carrier' => 'paquetexpress'
        ];

    }

    private function getCheapestQuote(){

        $quotes = $this->data->quotations;

        if(count($quotes) === 0) return;

        $this->cheapestQuote = $quotes[0];

        foreach ($quotes as $quote) {
            if(isset($quote->amount) && $quote->amount->totalAmnt < $this->cheapestQuote->amount->totalAmnt) $this->cheapestQuote = $quote;
        }

    }
}
