<?php

namespace App\Services;

use App\Models\Product;
use Illuminate\Support\Facades\Log;

class ProductStockService
{
    public function getProductStockForProduct(Product $product, $locationId)
    {
        $localStock = null;
        $nationalStockQuantity = 0;

        foreach ($product->stocks as $stock) {
            if ($stock->quantity_available != 0) {

                if ($stock?->location?->id && $stock->location->id == $locationId) {
                    $localStock = [
                        'id' => $stock->location->id,
                        'name' => $stock->location->netsuite_name,
                        'quantity' => $stock->quantity_available,
                    ];
                } else {
                    $nationalStockQuantity += $stock->quantity_available;
                }
            }
        }

        $nationalStock = null;
        if ($nationalStockQuantity > 0) {
            $nationalStock = [
                'id' => 0, // Este ID es un identificador genérico para el stock nacional.
                'name' => 'Nacional',
                'quantity' => $nationalStockQuantity,
            ];
        }

        return [
            'localStock' => $localStock,
            'nationalStock' => $nationalStock,
        ];
    }

}
