<?php

namespace App\Services\Shipments\Contracts;
/**
 * Este contrato representa una caja contenedora de un envio, puede ser un contenedor como tal o autoembalaje
 */
interface Packaging{

    /**
     * El peso siempre vendrá en gramos
     *
     * @param integer $divisor
     * @return float
     */
    public function getWeight($divisor = 1): float;
    /**
     * Longitud en mm
     *
     * @param integer $divisor
     * @return float
     */
    public function getLength($divisor = 1): float;
    /**
     * Ancho en mm
     *
     * @param integer $divisor
     * @return float
     */
    public function getWidth($divisor = 1): float;
    /**
     * Profundidad o alto en mm
     *
     * @param integer $divisor
     * @return float
     */
    public function getDepth($divisor = 1): float;
    /**
     * Costo total del contenido del paquete
     *
     * @return float
     */
    public function getTotal(): float;
    /**
     * Items dentro del paquete (No se devuelven items repetidos)
     *
     * @return array
     */
    public function getItems(): array;

}
