<?php
namespace App\Services\Shipments\PerSend;

use App\Services\Shipments\Contracts\Packaging;
use App\Services\Shipments\Contracts\Product;
use DVDoug\BoxPacker\Item;

/**
 * Esta clase representa un contenedor por enviar, cuando el embalaje propio del producto es usado
 */
class SelfContainer implements Packaging{

    public function __construct(public readonly Item $item)
    {
    }
    public function getWeight($divisor = 1): float{
        return $this->item->getWeight() / $divisor;
    }
    public function getLength($divisor = 1): float{
        return $this->item->getLength() / $divisor;
    }
    public function getWidth($divisor = 1): float{
        return $this->item->getWidth() / $divisor;
    }
    public function getDepth($divisor = 1): float{
        return $this->item->getDepth() / $divisor;
    }
    public function getTotal(): float{
        if($this->item instanceof Product){
            return $this->item->cost();
        }else
            throw new \Exception("El objeto no es un elemento de la Product ", 1);
    }
    public function getOrderItemId(): float{
        if($this->item instanceof Product) {
            return $this->item->identification();
        }else
            throw new \Exception("El objeto no es un elemento de la Product ", 1);

    }
    public function getItems(): array{
        return [$this->item];
    }

}
