<?php
namespace App\Services\Shipments\Sent;

use App\Services\Shipments\Contracts\PackageSent as ContractsPackageSent;
use DVDoug\BoxPacker\PackedItemList;

/**
 * Esta clase representa un paquete enviado
 */
class RegularContainer implements ContractsPackageSent{

   /**
    *
    *
    * @param integer $shipmentId
    * @param integer $totalItems
    * @param string $trackingId
    * @param PackedItemList $items Solo si usamos un embalaje
    * @param integer $shipping_box_id
    */
    public function __construct(
        public readonly int $shipmentId,
        public readonly int $totalItems,
        public readonly string $trackingId,
        public readonly PackedItemList $items,
        public readonly int $shipping_box_id)
    {

    }
    public function getShipmentId(): int{
        return $this->shipmentId;
    }
    public function getTotalItems(): int{
        return $this->totalItems;
    }
    public function getTrackingId(): string{
        return $this->trackingId;
    }
}
