<?php
namespace App\Services\Shipments\Sent;

use App\Services\Shipments\Contracts\PackageSent as ContractsPackageSent;

/**
 * Esta clase representa un paquete enviado
 */
class SelfContainer implements ContractsPackageSent{
    /**
     *
     *
     * @param integer $shipmentId
     * @param integer $totalItems
     * @param string $trackingId
     * @param integer $orderItemId
     */
    public function __construct(
        public readonly int $shipmentId,
        public readonly int $totalItems,
        public readonly string $trackingId,
        public readonly int $orderItemId)
    {

    }
    public function getShipmentId(): int{
        return $this->shipmentId;
    }
    public function getTotalItems(): int{
        return $this->totalItems;
    }
    public function getTrackingId(): string{
        return $this->trackingId;
    }
}
