<?php
namespace App\Services\Teams;

use App\Models\Customer;
use App\Models\Order;
use GuzzleHttp\Client;

class Factory{

    public static function notificationOrderPaid(Customer $customer, Order $order, array $products){
        $notification = new OrderPaid(
                            new Client(),
                            config('notifications.teams.orders'),
                            $customer,
                            $order,
                            $products
                        );
        return $notification->send();
    }
    public static function notificationOrderPaidSellers(
        Customer $customer,
        Order $order,
        array $products,
        int $locationId){
        $webhooks = config('notifications.teams.sellers');
        $notification = new OrderPaid(
                            new Client(),
                            $webhooks[$locationId],
                            $customer,
                            $order,
                            $products
                        );
        return $notification->send();
    }
}
