<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('shipments', function (Blueprint $table) {
            $table->id();
            $table->foreignId('order_id')->constrained();
            $table->foreignId('customer_id')->constrained();
            $table->string('carrier')->nullable();
            $table->decimal('shipping_cost', 8, 2)->nullable();
            $table->decimal('weight', 8, 3);
            $table->decimal('length', 8, 2);
            $table->decimal('width', 8, 2);
            $table->decimal('height', 8, 2);
            $table->string('origin_postal_code', 5)->nullable();
            $table->string('origin_address')->nullable(); // De dónde sale la orden.
            $table->string('destination_postal_code', 5)->nullable();
            $table->string('destination_address')->nullable();
            $table->boolean('is_local_shipping'); // Indica si este envio fue tratado como local para el cliente.
            $table->string('tracking_number', 50)->index()->nullable();
            $table->string('delivery_status', 50)->nullable(); //NOTA: almacenar el status obtenido de la paquetería.
            $table->string('delivery_event', 140)->nullable();
            $table->date('estimated_delivery_date')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('shipments');
    }
};
