<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shipments', function (Blueprint $table) {
            $table->string('service_code', 100)->after('carrier');
            $table->unsignedBigInteger('customer_address_id')->nullable()->after('carrier'); // Corrección del nombre
            $table->unsignedBigInteger('location_id')->nullable()->after('carrier');

            $table->foreign('customer_address_id')->references('id')->on('customer_addresses');
            $table->foreign('location_id')->references('id')->on('locations');
        });

        Schema::table('customer_addresses', function (Blueprint $table) {
            $table->string('contact_phone', 20)->nullable()->after('state');
            $table->string('contact_name')->nullable()->after('country');
        });

        Schema::table('locations', function (Blueprint $table) {
            $table->string('contact_phone', 20)->nullable()->after('state');
            $table->string('contact_name')->nullable()->after('country');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shipments', function (Blueprint $table) {
            // Eliminar las restricciones de clave foránea
            $table->dropForeign(['customer_address_id']);
            $table->dropForeign(['location_id']);

            // Eliminar las columnas
            $table->dropColumn('service_code');
            $table->dropColumn('customer_address_id');
            $table->dropColumn('location_id');
        });

        Schema::table('customer_addresses', function (Blueprint $table) {
            $table->dropColumn('contact_phone');
            $table->dropColumn('contact_name');
        });

        Schema::table('locations', function (Blueprint $table) {
            $table->dropColumn('contact_phone');
            $table->dropColumn('contact_name');
        });
    }
};
