<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shipments', function (Blueprint $table) {

            $table->string('origin_neighborhood')->nullable()->after('origin_address');
            $table->string('origin_state')->nullable()->after('origin_address');
            $table->string('origin_contact_phone')->nullable()->after('origin_address');
            $table->string('origin_city')->nullable()->after('origin_address');
            $table->string('origin_country')->nullable()->after('origin_address');

            $table->string('destination_neighborhood')->nullable()->after('destination_address');
            $table->string('destination_state')->nullable()->after('destination_address');
            $table->string('destination_contact_phone')->nullable()->after('destination_address');
            $table->string('destination_city')->nullable()->after('destination_address');
            $table->string('destination_country')->nullable()->after('destination_address');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shipments', function (Blueprint $table) {
            $table->dropColumn('origin_neighborhood');
            $table->dropColumn('origin_state');
            $table->dropColumn('origin_contact_phone');
            $table->dropColumn('origin_city');
            $table->dropColumn('origin_country');

            $table->dropColumn('destination_neighborhood');
            $table->dropColumn('destination_state');
            $table->dropColumn('destination_contact_phone');
            $table->dropColumn('destination_city');
            $table->dropColumn('destination_country');
        });
    }
};
