<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shipments', function (Blueprint $table) {
            $table->string('origin_number_int')->nullable()->after('origin_address');
            $table->string('origin_number_ext')->nullable()->after('origin_address');
            $table->string('destination_number_int')->nullable()->after('destination_address');
            $table->string('destination_number_ext')->nullable()->after('destination_address');
        });

        Schema::table('customer_addresses', function (Blueprint $table) {
            $table->string('number_int')->nullable()->after('street');
            $table->string('number_ext')->nullable()->after('street');
        });

        Schema::table('locations', function (Blueprint $table) {
            $table->string('number_int')->nullable()->after('street');
            $table->string('number_ext')->nullable()->after('street');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shipments', function (Blueprint $table) {
            $table->dropColumn('origin_number_ext');
            $table->dropColumn('origin_number_int');
            $table->dropColumn('destination_number_ext');
            $table->dropColumn('destination_number_int');
        });

        Schema::table('customer_addresses', function (Blueprint $table) {
            $table->dropColumn('number_ext');
            $table->dropColumn('number_int');
        });

        Schema::table('locations', function (Blueprint $table) {
            $table->dropColumn('number_ext');
            $table->dropColumn('number_int');
        });
    }
};
