<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('shipping_boxes', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->double('outer_length')->comment('Longitud de la caja (mm)');
            $table->double('outer_width')->comment('Ancho de la caja (mm)');
            $table->double('outer_height')->comment('Alto de la caja (mm)');
            $table->double('inner_length')->comment('Longitud disponible de la caja (mm)');
            $table->double('inner_width')->comment('Ancho disponible de la caja (mm)');
            $table->double('inner_height')->comment('Alto disponible de la caja (mm)');
            $table->double('max_weight')->comment('Peso máximo soportado por la caja(g)');
            $table->double('weight')->comment('Peso propio de la caja(g)');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('shipping_boxes');
    }
};
