<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('shipping_boxes_used', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('shipping_box_id');
            $table->unsignedBigInteger('shipment_id');
            $table->integer('total_items');
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('shipment_id')->references('id')->on('shipments');
            $table->foreign('shipping_box_id')->references('id')->on('shipping_boxes');
        });

        Schema::create('shipping_order_item_in_box', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('shipping_box_used_id');
            $table->unsignedBigInteger('order_item_id');
            $table->integer('x');
            $table->integer('y');
            $table->integer('z');

            $table->timestamps();

            $table->foreign('shipping_box_used_id')->references('id')->on('shipping_boxes_used');
            $table->foreign('order_item_id')->references('id')->on('order_items');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('shipping_boxes_used');
        Schema::dropIfExists('shipping_order_item_in_box');
    }
};
