<?php

namespace Database\Seeders;

use App\Models\AdditionalCharge;
use App\Models\ChargeEntity;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class AdditionalChargesDefault extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $additionalCharge = AdditionalCharge::create([
            'amount' => 12,
            'key_name' => 'shipping_insurance',
            'charge_type' => 'fixed',
            'description' => 'Seguro de envío',
            'user_id' => 1
        ]);

        ChargeEntity::create([
            'charge_id' => $additionalCharge->id,
            'entity_type' => 'all',
            'entity_id' => null
        ]);

        $additionalChargeDouble = AdditionalCharge::create([
            'amount' => 24,
            'key_name' => 'shipping_insurance_x2',
            'charge_type' => 'fixed',
            'description' => 'Seguro de envío X2',
            'user_id' => 1
        ]);

        ChargeEntity::create([
            'charge_id' => $additionalChargeDouble->id,
            'entity_type' => 'all',
            'entity_id' => null
        ]);
    }
}
