<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Location;

class LocationsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $locations = [
            [
                'netsuite_name' => 'CHIHUAHUA',
                'street' => 'Complejo Industrial Oeste. Bodega 9 y 10',
                'postal_code' => '31450',
                'neighborhood' => 'Colonia Las Animas',
                'country' => NULL,
                'state' => 'Chihuahua',
                'city' => 'Chihuahua',
                'netsuite_id' => 8
            ],
            [
                'netsuite_name' => 'CIUDAD DE MEXICO',
                'street' => 'Av. Ceylán No. 489',
                'postal_code' => '02300',
                'neighborhood' => 'Col. Industrial Vallejo',
                'country' => NULL,
                'state' => 'CDMX',
                'city' => 'Delegación Azcapotzalco',
                'netsuite_id' => 6
            ],
            [
                'netsuite_name' => 'GUADALAJARA',
                'street' => 'C. Industria Eléctrica 43A',
                'postal_code' => '45645',
                'neighborhood' => 'Parque Industrial Bugambilias',
                'country' => NULL,
                'state' => 'Jalisco',
                'city' => 'Tlajomulco de Zúñiga',
                'netsuite_id' => 2
            ],
            [
                'netsuite_name' => 'MONTERREY',
                'street' => 'Av. Cazadores, Sierra Madre 225',
                'postal_code' => '66359',
                'neighborhood' => 'Parque Industrial',
                'country' => NULL,
                'state' => 'Nuevo León',
                'city' => 'Santa Catarina',
                'netsuite_id' => 3
            ],
            [
                'netsuite_name' => 'QUERETARO',
                'street' => 'Avenida Peñuelas #21 Bodega A5',
                'postal_code' => '76148',
                'neighborhood' => 'Fraccionamiento Industrial',
                'country' => NULL,
                'state' => 'Querétaro',
                'city' => 'Santiago de Querétaro',
                'netsuite_id' => 10
            ],
            [
                'netsuite_name' => 'CENTRO LOGISTICO',
                'street' => 'C. Industria Eléctrica 43A',
                'postal_code' => '45645',
                'neighborhood' => 'Parque Industrial Bugambilias',
                'country' => NULL,
                'state' => 'Jalisco',
                'city' => 'Tlajomulco de Zúñiga',
                'netsuite_id' => 9
            ],
            [
                'netsuite_name' => 'MERIDA',
                'street' => 'Carretera Periférico Km 44 No. 11910',
                'postal_code' => '97300',
                'neighborhood' => 'Periférico Poniente',
                'country' => NULL,
                'state' => 'Yucatán',
                'city' => 'Mérida',
                'netsuite_id' => 7
            ],
        ];

        foreach ($locations as $location) {
            Location::create($location);
        }
    }
}
