export const Addresses = {
    items: [],
    /**
     *
     * @param {*} address Conjunto de direcciones
     * @param {*} classDetail Clase que servira de disparador para mostrar la informacion
     */
    init: function(items, classDetail){
        Addresses.items = items;
        $(classDetail).on("click", Addresses.handler);
    },
    handler: function(){
        const customerId = this.dataset.customer;
        const customerAddress = Addresses.items.filter((customerAddress) => customerAddress.customer_id == customerId);

        Swal.fire({
            title: "Direcciones del cliente",
            html: Addresses.content(customerAddress),
            width: "80%",
            showConfirmButton: false,
            showCloseButton: true,
        })
    },
    content: function(customerAddress){
        return `
            <table class="table table-sm">
                <thead>
                    <tr class="table-info">
                        <th scope="col">Dirección</th>
                        <th scope="col">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    ${Addresses.addressRow(customerAddress)}
                </tbody>
            </table>
        `;
    },
    addressRow: function(customerAddress){
        return customerAddress.reduce((rows, address) => {
            rows += `
                <tr>
                    <td class="text-start fs-6">
                        ${address.complete_address}
                    </td>
                    <td>
                        <a href="${address.links.edit}" class="btn btn-info btn-sm">
                            Editar
                        </a>
                    </td>
                </tr>
            `;
            return rows;
        }, "")
    }
}
