export const Labels = {
    estafeta: (carrierInfo) => {
        return {
            title: "Confirmación requerida",
            html: Labels.generateTableHtml(
                    carrierInfo,
                    `Verifica que la información de envio sea correcta pues una vez solicitada la guía
                    a Estafeta ya no es posible actualizarla`),
            confirmButtonText: "Actualizar y solicitar guía",
            cancelButtonText: "Cancelar"
        }
    },
    paquetexpress: (carrierInfo) => {
        return {
            title: "Confirmación requerida",
            html: Labels.generateTableHtml(
                    carrierInfo,
                    `Verifica que la información de envio sea correcta pues una vez solicitada la guía
                    a PaquetExpress ya no es posible actualizarla y su cancelación tiene un costo.`),
            confirmButtonText: "Actualizar y solicitar guía",
            cancelButtonText: "Cancelar"
        }
    },
    fedex: (carrierInfo) => {
        return {
            title: "Confirmación requerida",
            html: Labels.generateTableHtml(
                    carrierInfo,
                    `Verifica que la información de envio sea correcta pues una vez solicitada la guía
                    a Fedex ya no es posible actualizarla`),
            confirmButtonText: "Actualizar y solicitar guía",
            cancelButtonText: "Cancelar"
        }
    },
    customer: (carrierInfo) => {
        return {
            title: "Confirmación requerida",
            html: Labels.generateTableHtml(
                    carrierInfo,
                    `Verifica que los productos de la orden ya estan listos para ser entregados al cliente, ya que se
                    le enviará un correro invitandolo a pasar por su compra.`),
            confirmButtonText: "Actualizar y notificar al cliente",
            cancelButtonText: "Cancelar"
        }
    },
    default: (carrierInfo) => {
        return {
            title: "Confirmación requerida",
            html: Labels.generateTableHtml(carrierInfo, `Verifica que la información de envio sea correcta
                pues una vez solicitada la guía ya no es posible actualizarla`),
            confirmButtonText: "Actualizar y solicitar guía",
            cancelButtonText: "Cancelar"
        }
    },
    byCarrier: function (carrierInfo){

        if(Labels.hasOwnProperty(carrierInfo.carrier)) return Labels[carrierInfo.carrier](carrierInfo);

        return Labels.default(carrierInfo);
    },
    carrierName: function(carrier){
        switch (carrier) {

            case 'estafeta':
                return 'Estafeta';

            case 'paquetexpress':
                return 'PaquetExpress';

            case 'fedex':
                return 'Fedex';

            case 'customer':
                return 'Cliente';


            default:
                return carrier;
        }
    },
    generateTableHtml(carrierInfo, additionalText) {
        return `
            <table class="table table-sm">
                <tr class="bg-primary">
                    <td colspan="2" class="bg-primary">
                        <strong>${Labels.carrierName(carrierInfo.carrier)}</strong>
                    </td>
                </tr>
                <tr>
                    <td class="bg-primary">Costo</td>
                    <td>${carrierInfo.cost}</td>
                </tr>
                <tr>
                    <td class="bg-primary">Servicio</td>
                    <td>${carrierInfo.serviceName}</td>
                </tr>
                <tr>
                    <td colspan="2" class="bg-primary">
                        ${additionalText}
                    </td>
                </tr>
            </table>`;
     }
}
