export const Shipment = {
    processResponse: (response, carrier) => {
        Swal.fire({
            title: 'Guía',
            html: Shipment.html(response, carrier),
            width: '80%',
            showCloseButton: true,
            showCancelButton: false,
            focusConfirm: true,
            confirmButtonText: 'Cerrar',
        }).then((result) => {
            location.reload();
        });
    },
    html: function(response, carrier){
        if(carrier == "customer"){
            return `<div class="alert alert-info">${response.message}</div>`;
        }
        return `
                <div>
                    Clave de rastreo: <strong>${response.trackingNumber}</strong>
                </div>
                <iframe src="${response.urlPdf}" width="100%" height="400px"></iframe>
            `
    },
    showShippingLabel: (e) => {

        Request.loadingAlert("Cargando documento", () => {
            // Realizar la solicitud para descargar el PDF
            fetch(e.target.dataset.url)
            .then(response => {
                if (response.ok) {
                    return response.blob(); // Obtener el PDF como un Blob
                }
                throw new Error('Error al descargar el PDF');
            })
            .then(blob => {
                const pdfURL = URL.createObjectURL(blob);

                Swal.fire({
                    html: `<iframe src="${pdfURL}" width="100%" height="600px"></iframe>`,
                    width: '90%',
                    showCloseButton: true,
                    showCancelButton: false,
                    showConfirmButton: false
                });
            })
            .catch(error => {
                Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: error.message,
                });
            });
        })
    }
}
