/**
 * Esta clase asigna colores intentando que constrasten, uno claro y uno oscuro de manera secuencial cada que es invocada
 */
export const BoxesColors = {
    lastUsed: -1,
    contrastColors: [
        "#0B3D91", "#AED6F1", // Azul oscuro y azul claro
        "#4A235A", "#D7BDE2", // Púrpura oscuro y lavanda claro
        "#1B4F72", "#85C1E9", // Azul marino oscuro y celeste claro
        "#641E16", "#F5B7B1", // Rojo oscuro y rosa claro
        "#145A32", "#82E0AA", // Verde oscuro y verde claro
        "#7D6608", "#F9E79F", // Ocre oscuro y amarillo claro
        "#873600", "#F7DC6F", // Marrón oscuro y amarillo pálido
        "#4D5656", "#D5DBDB", // Verde pino oscuro y verde agua claro
        "#1C2833", "#D4E6F1", // Azul índigo y azul cielo claro
        "#512E5F", "#EBDEF0", // Morado oscuro y violeta claro
        "#21618C", "#A9CCE3", // Azul petróleo oscuro y azul pastel claro
        "#7E5109", "#FDEBD0", // Marrón dorado oscuro y beige claro
        "#633974", "#E8DAEF", // Púrpura oscuro y lila claro
        "#1E8449", "#ABEBC6", // Verde bosque oscuro y verde pastel claro
        "#922B21", "#FADBD8", // Rojo borgoña y rosa pálido
        "#0E6251", "#A3E4D7", // Verde esmeralda oscuro y verde menta claro
        "#512E5F", "#D2B4DE", // Morado intenso y malva claro
        "#7B241C", "#F6DDCC", // Rojo teja oscuro y crema claro
        "#1C2833", "#A9CCE3", // Azul noche y azul suave claro
        "#943126", "#F5CBA7", // Rojo quemado y durazno claro
        "#154360", "#AED6F1", // Azul cobalto y azul cielo claro
        "#7B241C", "#FDEBD0", // Rojo óxido oscuro y beige claro
        "#0E6655", "#D1F2EB", // Verde esmeralda y verde agua
        "#512E5F", "#F5EEF8", // Violeta oscuro y lila claro
        "#78281F", "#F9E79F", // Rojo ladrillo oscuro y amarillo pastel claro
        "#1B4F72", "#EAF2F8", // Azul noche y azul muy claro
        "#9B59B6", "#E8DAEF", // Morado oscuro y violeta pastel claro
        "#117864", "#A3E4D7", // Verde bosque oscuro y verde menta
        "#7D6608", "#FCF3CF", // Dorado oscuro y amarillo claro pastel
        "#4A235A", "#D2B4DE", // Morado intenso y lavanda claro
        "#6C3483", "#D7BDE2", // Púrpura oscuro y rosa lavanda claro
        "#76448A", "#EBDEF0", // Violeta oscuro y malva claro
        "#7D6608", "#F7DC6F", // Mostaza oscuro y amarillo pálido
        "#1C2833", "#D5DBDB", // Azul acero oscuro y gris claro
        "#1F618D", "#A9CCE3", // Azul zafiro y azul pastel
        "#633974", "#D7BDE2", // Violeta oscuro y rosa suave
        "#4A235A", "#F2D7D5", // Púrpura y rosado claro
        "#943126", "#FADBD8", // Rojo oscuro y rosa pálido
        "#78281F", "#F5B7B1", // Rojo granate y rosa suave
        "#512E5F", "#EBDEF0", // Morado intenso y violeta pálido
        "#0B5345", "#A9DFBF", // Verde bosque y verde claro
        "#922B21", "#F9E79F", // Rojo borgoña y amarillo pastel
        "#1B4F72", "#85C1E9", // Azul marino oscuro y azul claro
        "#117864", "#D4EFDF", // Verde pino oscuro y verde agua claro
        "#6C3483", "#E8DAEF", // Violeta oscuro y lila pastel
        "#873600", "#F5CBA7", // Marrón ladrillo y beige claro
        "#154360", "#A9CCE3", // Azul oscuro y azul suave
        "#76448A", "#FADBD8", // Morado oscuro y rosa pastel
        "#0E6251", "#A3E4D7", // Verde oscuro y verde claro
        "#1C2833", "#EBF5FB", // Azul noche y azul muy claro
        "#943126", "#F5CBA7", // Rojo oscuro y durazno claro
        "#7D6608", "#F7DC6F", // Mostaza oscuro y amarillo claro
        "#512E5F", "#D2B4DE", // Violeta y lavanda claro
        "#78281F", "#F9E79F", // Rojo ladrillo y amarillo pastel
        "#145A32", "#82E0AA", // Verde bosque y verde claro
        "#1F618D", "#A9CCE3", // Azul marino y azul pastel claro
        "#7E5109", "#FDEBD0", // Marrón dorado y beige claro
        "#922B21", "#FADBD8", // Borgoña y rosa pálido
        "#4D5656", "#D5DBDB", // Verde oscuro y gris claro
        "#1B4F72", "#85C1E9", // Azul oscuro y celeste claro
        "#873600", "#F7DC6F", // Marrón y amarillo claro
        "#1C2833", "#D5DBDB", // Azul oscuro y gris pastel
        "#7B241C", "#FADBD8", // Rojo oscuro y rosa pastel
        "#512E5F", "#D2B4DE", // Morado oscuro y lila claro
        "#4A235A", "#EBDEF0", // Púrpura oscuro y lila pastel
        "#641E16", "#F5B7B1", // Rojo oscuro y rosa suave
        "#1C2833", "#EBF5FB", // Azul marino oscuro y azul claro
        "#145A32", "#A9DFBF", // Verde bosque oscuro y verde agua
        "#7D6608", "#F7DC6F", // Amarillo oscuro y amarillo claro
        "#512E5F", "#EBDEF0", // Morado oscuro y malva claro
    ],
    get: function(){
        BoxesColors.lastUsed++;
        console.log(BoxesColors.lastUsed);
        if(BoxesColors.lastUsed >= BoxesColors.contrastColors.length) BoxesColors.lastUsed = 0;

        return `${BoxesColors.contrastColors[BoxesColors.lastUsed]}`;
    },
    lightenColor: function(hex, percent) {
        // Convierte el color hexadecimal a formato RGB
        let r = parseInt(hex.slice(1, 3), 16);
        let g = parseInt(hex.slice(3, 5), 16);
        let b = parseInt(hex.slice(5, 7), 16);

        // Aclara el color aumentando los valores de r, g y b
        r = Math.min(255, Math.floor(r + (255 - r) * (percent / 100)));
        g = Math.min(255, Math.floor(g + (255 - g) * (percent / 100)));
        b = Math.min(255, Math.floor(b + (255 - b) * (percent / 100)));

        // Convierte de nuevo a formato hexadecimal
        return `#${r.toString(16).padStart(2, '0')}${g.toString(16).padStart(2, '0')}${b.toString(16).padStart(2, '0')}`;
    }
}
