import * as THREE from 'three';
import { BoxesColors } from './BoxesColors';
//SIN IMPLEMENTAR, SIN COMPLETAR, Y CON ERRORES AUN, TUVE QUE VOLVER AL EMPAQUETADO
export const Tooltip = {
    container: null,
    raycaster: null,
    mouse: null,
    previousIntersectedObject: null,
    previousIntersectedObjectColor: null,
    init: function(){
        Tooltip.createContainer();
    },
    createContainer: function(){
        Tooltip.container = document.createElement('div');
        Tooltip.container.style.position = 'fixed';
        Tooltip.container.style.padding = '5px';
        Tooltip.container.style.background = 'rgba(0, 0, 0, 0.5)';
        Tooltip.container.style.color = 'white';
        Tooltip.container.style.borderRadius = '3px';
        Tooltip.container.style.display = 'none';
        Tooltip.container.style.zIndex = "1070";
        document.body.appendChild(Tooltip.container);
    },
    setScene: function(scene, camera){
        Tooltip.scene = scene;
        Tooltip.camera = camera;
    },
    infoBox: function(event) {
        const raycaster = new THREE.Raycaster();
        const mouse = new THREE.Vector2();
        // Actualizar la posición del mouse normalizada
        const sceneContainer = document.getElementById("container-of-packaging");
        const boundingRect = sceneContainer.getBoundingClientRect();

        // Actualiza la posición del mouse normalizada respecto al contenedor del Swal
        mouse.x = ((event.clientX - boundingRect.left) / boundingRect.width) * 2 - 1;
        mouse.y = -((event.clientY - boundingRect.top) / boundingRect.height) * 2 + 1;

        // Configurar el raycaster con la cámara y la posición del mouse
        raycaster.setFromCamera(mouse, Tooltip.camera);

        // Calcular objetos intersectados por el rayo
        const intersects = raycaster.intersectObjects(Tooltip.scene.children, true);
        if(intersects.length == 0) Tooltip.close();
        // Recorrer todas las intersecciones
        for (let i = 0; i < intersects.length; i++) {
            const intersectedObject = intersects[i].object;

            // Aquí puedes verificar si es una caja interna (hija)
            if (intersectedObject.userData && intersectedObject.userData.isInnerBox) {
                Tooltip.changeAspect(intersectedObject);
                Tooltip.container.style.left = event.clientX + 'px';
                Tooltip.container.style.top = event.clientY + 'px';


                Tooltip.container.innerHTML = Tooltip.htmlInfo(intersectedObject);
                Tooltip.container.style.display = "block";
                break; // Detener la búsqueda después de encontrar la caja hija
            } else if (intersectedObject.userData && intersectedObject.userData.isContainer) {
            }
        }
    },
    close: function(){
        Tooltip.container.style.display = "none";
        if(Tooltip.previousIntersectedObject) Tooltip.previousIntersectedObject.material.opacity = 0.5;
    },
    htmlInfo: function(intersectedObject){
        return `<div>Producto: <strong>${intersectedObject.userData.name}</strong></div>
                <div>Dimensiones (Largo x Ancho x Alto cm)</div>
                <div>Empaquetado:
                    <strong>${intersectedObject.userData.boxGeometry.depth / 10}</strong>
                    x <strong>${intersectedObject.userData.boxGeometry.width / 10}</strong>
                    x <strong>${intersectedObject.userData.boxGeometry.height / 10}</strong>
                </div>
                <div>
                    Originales:
                    <strong>${intersectedObject.userData.metadata['length']}</strong>
                    x <strong>${intersectedObject.userData.metadata.width}</strong>
                    x <strong>${intersectedObject.userData.metadata.height}</strong>
                </div>`;
    },
    changeAspect: function(intersectedObject){
        if(Tooltip.previousIntersectedObject && Tooltip.previousIntersectedObject.userData.id !== intersectedObject.userData.id){
            Tooltip.previousIntersectedObject.material.opacity = 0.5;
            Tooltip.previousIntersectedObject = intersectedObject;
            intersectedObject.material.opacity = 1;
        }else{
            Tooltip.previousIntersectedObject = intersectedObject;
            //Actualizar el color
            intersectedObject.material.opacity = 1;
        }
    }
}
