@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white p-2">
                    <h5 class="fw-bold mt-2 text-center">Rellene los campos para solicitar registro</h5>
                </div>

                <div class="card-body bg-white">
                    <form method="POST" action="{{ route('customer-registration.store') }}">
                        @csrf
                        <div class="container">

                            <div class="row justify-content-center">
                                <div class="col-md-8">
                                    <div class="mb-3">
                                        <div class="form-floating @error('name') is-invalid @enderror"">
                                            <input
                                                id="name"
                                                type="text"
                                                class="form-control bg-white @error('name') is-invalid @enderror"
                                                name="name"
                                                value="{{ old('name') }}"
                                                required
                                                autocomplete="name"
                                                placeholder=""
                                                autofocus
                                            >
                                            <label for="name">Nombre de Contacto</label>
                                        </div>
                                        <div class="invalid-feedback">
                                            @error('name')
                                                <strong>{{$message}}</strong>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="mb-3">
                                        <div class="form-floating @error('email') is-invalid @enderror"">
                                            <input
                                                id="email"
                                                type="text"
                                                class="form-control bg-white @error('email') is-invalid @enderror"
                                                name="email"
                                                value="{{ old('email') }}"
                                                required
                                                autocomplete="email"
                                                placeholder=""
                                                autofocus
                                            >
                                            <label for="email">Correo Electrónico</label>
                                        </div>
                                        <div class="invalid-feedback">
                                            @error('email')
                                                <strong>{{$message}}</strong>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="mb-3">
                                        <div class="form-floating @error('company_name') is-invalid @enderror"">
                                            <input
                                                id="company-name"
                                                type="text"
                                                class="form-control bg-white @error('company_name') is-invalid @enderror"
                                                name="company_name"
                                                value="{{ old('company_name') }}"
                                                required
                                                autocomplete="company_name"
                                                placeholder=""
                                                autofocus
                                            >
                                            <label for="company-name">Razón Social</label>
                                        </div>
                                        <div class="invalid-feedback">
                                            @error('name')
                                                <strong>{{$message}}</strong>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="mb-3">
                                        <div class="form-floating @error('rfc') is-invalid @enderror"">
                                            <input
                                                id="rfc"
                                                type="text"
                                                class="form-control bg-white @error('rfc') is-invalid @enderror"
                                                name="rfc"
                                                value="{{ old('rfc') }}"
                                                required
                                                autocomplete="rfc"
                                                placeholder=""
                                                autofocus
                                            >
                                            <label for="company-name">RFC</label>
                                        </div>
                                        <div class="invalid-feedback">
                                            @error('name')
                                                <strong>{{$message}}</strong>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="d-flex justify-content-center">
                                        <button type="submit" class="btn btn-solar">
                                            Solicitar Registro
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection
