@extends('layouts.base')

@section('content')
<div class="container pb-5 mb-2 mb-md-4">
    <div class="row">
        <section class="col-lg-8">
            <!-- Steps-->
            <x-payment-steps :step="2" />
            <!-- Autor info-->

            <div class="container bg-secondary p-4 rounded-3 mb-grid-gutter text-center">
                <h3 class="fs-3 mb-2">
                    <i class="bi bi-list-check"></i>
                    Ten en cuenta esto
                </h3>
                <ul class="mx-auto text-start fs-5" style="max-width: 80%;">
                    <li>Deberás realizar el pago desde tu <b>aplicación bancaria</b></li>
                    <li>El sistema te indicará el <b>concepto de pago y la CLABE</b> que deberás ingresar al realizar el pago</li>
                    <li>Debes ingresar el <b>monto exacto</b> de la operación</li>
                    <li>Una vez realizado el pago debes presionar el botón <b>"Realicé Mi Pago"</b> o <b>"Pagar Después"</b></li>
                </ul>
            </div>

            <!-- Navigation (desktop)-->
            <div class="d-none d-lg-flex pt-4 mt-3">
                <div class="w-50 pe-3">
                    <a class="btn btn-secondary d-block w-100" href="{{route('cart.list')}}">
                        <i class="ci-arrow-left mt-sm-0 me-1"></i>
                        <span class="d-none d-sm-inline">Volver a Carrito</span>
                        <span class="d-inline d-sm-none">Volver</span></a>
                    </div>
                <div class="w-50 ps-2">
                    <a class="btn btn-primary d-block w-100" href="{{route('checkout.get-quote-shipping')}}">
                        <span class="d-none d-sm-inline">Continuar con el Envío</span>
                        <span class="d-inline d-sm-none">Continuar</span>
                        <i class="ci-arrow-right mt-sm-0 ms-1"></i>
                    </a>
                </div>
            </div>
        </section>
        {{-- Sidebar resumen de compra --}}
        <x-order-summary />
    </div>
    <!-- Navigation (mobile)-->
    <div class="row d-lg-none">
        <div class="col-lg-8">
            <div class="d-flex pt-4 mt-3">
                <div class="w-50 pe-3">
                    <a class="btn btn-secondary d-block w-100" href="#">
                        <i class="ci-arrow-left mt-sm-0 me-1"></i>
                        <span class="d-none d-sm-inline">Volver al carrito</span>
                        <span class="d-inline d-sm-none">Volver</span></a>
                    </div>
                <div class="w-50 ps-2">
                    <a class="btn btn-primary d-block w-100" href="#">
                        <span class="d-none d-sm-inline">Continuar</span>
                        <span class="d-inline d-sm-none">Siguiente</span>
                        <i class="ci-arrow-right mt-sm-0 ms-1"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@if (session('message'))
<script>
    Swal.fire({
        position: "center",
        icon: "{{ session('icon') }}",
        title: "{{ session('message') }}",
        showConfirmButton: false,
        timer: 2000,
    });
</script>
@endif

@endsection
