@extends('layouts.base')

@section('content')
<!-- Page Title-->
<div class="page-title-overlap bg-dark pt-4">
    <div class="container d-lg-flex justify-content-between py-2 py-lg-3">
    </div>
</div>

<div class="container pb-5 mb-2 mb-md-4">
    <div class="row">
        <section class="col-lg-8">
            <!-- Steps-->
            <x-payment-steps step="4" />

            <!-- Shipping address-->
            <div class="container bg-secondary p-4 rounded-3 mb-grid-gutter text-center">
                <h3 class="fs-3 mb-2">
                    <i class="bi bi-credit-card-2-back"></i>
                    Datos bancarios y concepto de pago
                </h3>
                <ul class="mx-auto text-start fs-5" style="max-width: 80%;">
                    <li class="align-items-center">
                        <span class="me-2 h6 fw-bold">Cuenta Bancaria:</span>
                        <span class="h6 fw-normal">4242 4242 4242 4242</span>
                    </li>
                    <li class="align-items-center">
                        <span class="me-2 h6 fw-bold">Banco: </span>
                        <span class="h6 fw-normal">Santander</span>
                    </li>
                    <li class="align-items-center">
                        <span class="me-2 h6 fw-bold">Nombre:</span>
                        <span class="h6 fw-normal">SOLAR CENTER</span>
                    </li>
                    <li class="align-items-center">
                        <span class="me-2 h6 fw-bold">Concepto</span>
                        <span class="h6 fw-normal"> {{$paymentConcept}} </span>
                    </li>
                </ul>
                <div class="bg-white w-50 mx-auto p-2 rounded shadow">
                    <p class="mb-0 fw-bold">Cantidad Exacta a Transferir:</p>
                    <h3 class="fw-normal text-center">
                        <x-amount-formatter :amount="$totalWithShippingUSD" /> <small class="text-accent">USD</small>
                    </h3>
                </div>
            </div>

            <!-- Navigation (desktop)-->
            <div class="d-none d-lg-flex pt-4 mt-3">
                <div class="w-100 ps-2">
                    <form action="{{ route('checkout.store') }}" method="POST" id="payment-form">
                        @csrf
                        <input type="hidden" name="payment_submitted" id="payment-submitted" value="1">
                        <input type="hidden" name="payment_concept" value="{{$paymentConcept}}">

                        @if ($localShippingDetails)
                            <input type="hidden" name="local_carrier" value="{{$localShippingDetails['carrier']}}">
                            <input type="hidden" name="local_service_code" value="{{$localShippingDetails['serviceCode']}}">
                            <input type="hidden" name="local_shipping_cost" value="{{$localShippingUSD}}">
                            <input type="hidden" name="local_warehouse_id" value="{{$localShippingDetails['origin']}}">
                            <input type="hidden" name="local_destination_address_id" value="{{$localShippingDetails['destination']}}">
                            <input type="hidden" name="local_productIds" value="{{$localShippingDetails['productIds']}}">
                        @endif

                        @if ($nationalShippingDetails)
                            <input type="hidden" name="national_carrier" value="{{$nationalShippingDetails['carrier']}}">
                            <input type="hidden" name="national_service_code" value="{{$nationalShippingDetails['serviceCode']}}">
                            <input type="hidden" name="national_shipping_cost" value="{{$nationalShippingUSD}}">
                            <input type="hidden" name="national_warehouse_id" value="{{$nationalShippingDetails['origin']}}">
                            <input type="hidden" name="national_destination_address_id" value="{{$nationalShippingDetails['destination']}}">
                            <input type="hidden" name="national_productIds" value="{{$nationalShippingDetails['productIds']}}">
                        @endif

                        <div class="row">
                            <div class="col-6">
                                <button type="button" class="btn btn-secundary btn-shadow d-block w-100" id="pay-later-button">
                                    <span class="d-none d-sm-inline">Pagar Después</span>
                                    <span class="d-inline d-sm-none">Pagar Después</span>
                                    <i class="ci-arrow-right mt-sm-0 ms-1"></i>
                                </button>
                            </div>
                            <div class="col-6">
                                <button id="already-pay" type="button" class="btn btn-primary btn-shadow d-block w-100">
                                    <span class="d-none d-sm-inline">Realicé Mi Pago</span>
                                    <span class="d-inline d-sm-none">Realicé Mi Pago</span>
                                    <i class="ci-arrow-right mt-sm-0 ms-1"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </section>

        {{-- Sidebar resumen de compra --}}
        <x-order-summary :totals="$totalDetails"/>
    </div>
    <!-- Navigation (mobile)-->
    <div class="row d-lg-none">
        <div class="col-lg-8">
            <div class="d-flex pt-4 mt-3">
                <div class="w-50 pe-3">
                    <a class="btn btn-secondary d-block w-100" href="shop-cart.html">
                        <i class="ci-arrow-left mt-sm-0 me-1"></i><span class="d-none d-sm-inline">Back to Cart</span><span class="d-inline d-sm-none">Back</span>
                    </a>
                </div>
                <div class="w-50 ps-2">
                    <a class="btn btn-primary d-block w-100" href="checkout-shipping.html">
                        <span class="d-none d-sm-inline">Proceed to Shipping</span><span class="d-inline d-sm-none">Next</span><i class="ci-arrow-right mt-sm-0 ms-1"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

<script>
    document.getElementById('pay-later-button').addEventListener('click', function() {
        document.getElementById('payment-submitted').value = '0';
        document.getElementById('payment-form').submit();
    });
    document.getElementById('already-pay').addEventListener('click', function(e) {
        e.target.disabled = true;
        document.getElementById('payment-form').style.display = 'none';
        Swal.fire({
            title: 'Cargando',
            text: 'Por favor, espere y no recargue la página, sera redireccionado en unos momentos',
            allowOutsideClick: false,
            didOpen: () => Swal.showLoading(),
            allowEscapeKey: false
        });
        document.getElementById('payment-form').submit();
    });
</script>

@if (session('message'))
    <script>
        Swal.fire({
            position: "center",
            icon: "{{ session('icon') }}",
            title: "{{ session('message') }}",
            showConfirmButton: false,
            timer: 3000,
        });
    </script>
@endif

@endsection
