@extends('layouts.base')

@section('content')
<!-- Page Title-->
<div class="page-title-overlap bg-dark pt-4">
    <div class="container d-lg-flex justify-content-between py-2 py-lg-3">
    </div>
</div>

<div class="container pb-5 mb-2 mb-md-4">
    <div class="row">
        <section class="col-lg-8">
                <!-- Steps-->
                <x-payment-steps step="3" />

                <!-- Shipping address-->
                <h2 class="h6 pb-3 mb-2">Cotización de Envío</h2>
                <div id="quote-shipment" class="table-responsive">
                    <table class="table table-hover fs-sm border-top">
                        <thead>
                            <tr>
                                <th class="align-middle">Sucursal</th>
                                <th class="align-middle">Dirección</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($locations as $location => $data)
                            <tr>
                                <td>{{$location}}</td>
                                <td>
                                    <select name="shipping_type[{{ $location }}]" class="form-select selectLocation" autocomplete="off">
                                        <option value="" disabled selected>Elige una Dirección</option>
                                        @foreach ($delivery_addresses as $address)
                                            <option value="{{$address->id}}">{{$address->fullAddress}}</option>
                                        @endforeach
                                    </select>
                                </td>
                            </tr>
                            <tr id="subtable-{{ $location }}" class="d-none">
                                <td colspan="3">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Selecciona Transportista</th>
                                                <th>Envío</th>
                                                <th>Servicio</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <!-- Se pinta subtabla dinamicamente -->
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

                <!-- Navigation (desktop)-->
                <div class="d-none d-lg-flex pt-4 mt-3">
                    <div class="w-50 pe-3">
                        <a class="btn btn-secondary d-block w-100" href="{{route('checkout.index')}}">
                            <i class="ci-arrow-left mt-sm-0 me-1"></i>
                            <span class="d-none d-sm-inline">Volver</span>
                            <span class="d-inline d-sm-none">Volver</span>
                        </a>
                    </div>
                    <div class="w-50 ps-2">
                        <form id="shipping-form" action="{{ route('checkout.process-payment') }}" method="POST">
                            @csrf
                            <input type="hidden" name="local_shipping_data" id="localShippingData">
                            <input type="hidden" name="national_shipping_data" id="nationalShippingData">
                            <button type="submit" id="proceedToPayment" class="btn btn-primary w-100" style="display: none">
                                <span class="d-none d-sm-inline">Proceder al pago</span>
                                <span class="d-inline d-sm-none">Siguiente</span>
                                <i class="ci-arrow-right mt-sm-0 ms-1"></i>
                            </button>
                        </form>
                    </div>
                </div>
        </section>
        {{-- Sidebar resumen de compra --}}
        <x-order-summary />
    </div>
    <!-- Navigation (mobile)-->
    <div class="row d-lg-none">
        <div class="col-lg-8">
            <div class="d-flex pt-4 mt-3">
                <div class="w-50 pe-3"><a class="btn btn-secondary d-block w-100" href="shop-cart.html"><i class="ci-arrow-left mt-sm-0 me-1"></i><span class="d-none d-sm-inline">Back to Cart</span><span class="d-inline d-sm-none">Back</span></a></div>
                <div class="w-50 ps-2"><a class="btn btn-primary d-block w-100" href="checkout-shipping.html"><span class="d-none d-sm-inline">Proceed to Shipping</span><span class="d-inline d-sm-none">Next</span><i class="ci-arrow-right mt-sm-0 ms-1"></i></a></div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('loader')
    @include('partials.loader')
@endsection

@section('scripts')
    @vite('resources/js/shipping.js')
    @if (session('message'))
        <script>
            Swal.fire({
                position: "center",
                icon: "{{ session('icon') }}",
                title: "{{ session('message') }}",
                showConfirmButton: false,
                timer: 5000,
            });
        </script>
    @endif
@endsection
