<div class="modal fade" id="order-details-{{$order->id}}" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">No. de Orden - {{$order->folio()}}</h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body pb-0">
                @foreach ($order->shipments as $shipment)
                    <div class="shipment-details mb-4 pb-3 border-bottom">
                        <h6 class="mb-3">Envío #{{ $loop->iteration }}</h6>
                        <div class="fs-sm">
                            <div>
                                <span class="text-muted me-2">Transportista:</span>
                                <img src="{{asset("storage/carriers_logo/$shipment->carrier-logo.png")}}" alt="Paqueteria {{__('shipment.' . $shipment->carrier )}}">
                            </div>
                            <div>
                                <span class="text-muted me-2">Dirección de Origen:</span>
                                {{ $shipment->origin_address }}, {{ $shipment->origin_city }},
                                {{ $shipment->origin_state }}, {{ $shipment->origin_country }}
                            </div>
                            <div>
                                <span class="text-muted me-2">Dirección de Destino:</span>
                                {{ $shipment->destination_address }}, {{ $shipment->destination_city }},
                                {{ $shipment->destination_state }}, {{ $shipment->destination_country }}
                            </div>
                        </div>
                    </div>
                @endforeach

                <h6 class="mt-4">Items en esta orden:</h6>
                @foreach ($order->items as $item)
                    <!-- Item-->
                    <div class="d-sm-flex justify-content-between mb-4 pb-3 pb-sm-2 border-bottom">
                        <div class="d-sm-flex text-center text-sm-start">
                            <div>
                                @if (Storage::exists($item->product->featured))
                                    <img src="{{ Storage::url($item->product->featured) }}" alt="Img" width="120">
                                @endif
                            </div>
                            <div class="ps-sm-4 pt-2">
                                <h3 class="product-title fs-base mb-2">
                                    <a>{{ $item->product->name }}</a>
                                </h3>
                                <div class="fs-sm"><span class="text-muted me-2">Marca:</span>{{ $item->product->brand }}</div>
                                <div class="fs-lg text-accent pt-2">
                                    <x-amount-formatter :amount="$item->price" />
                                </div>
                            </div>
                        </div>
                        <div class="pt-2 ps-sm-3 mx-auto mx-sm-0 text-center">
                            <div class="text-muted mb-2">Cantidad:</div>{{ $item->quantity }}
                        </div>
                        <div class="pt-2 ps-sm-3 mx-auto mx-sm-0 text-center">
                            <div class="text-muted mb-2">Subtotal</div>
                            <x-amount-formatter :amount="$item->price * $item->quantity" />
                        </div>
                    </div>
                @endforeach
                @if (count($order->additionalChargesApplied) > 0)
                    <h6 class="mt-4">
                        Cargos adicionales
                    </h6>
                    <table class="table table-sm">
                        <tbody>
                            @foreach ($order->additionalChargesApplied as $additionalCharge)
                                <div class="d-flex justify-content-between">
                                    <div>
                                        {{ $additionalCharge->description }}
                                    </div>
                                    <div class="text-accent">
                                        $ {{$additionalCharge->charge_type == 'fixed' ? '' : '%' }} {{ $additionalCharge->amount }}
                                    </div>
                                </div>
                            @endforeach
                        </tbody>
                    </table>
                @endif
                @if (count($order->tracking_info) > 0)
                    <h6>Envío</h6>
                    @foreach ($order->tracking_info as $info)
                        <div class="border-bottom mt-1">
                            @if ($info->tracking)
                                @include('customer_support.orders.tracking', [
                                    'tracking' => $info->tracking,
                                    'shipment' => $info->shipment
                                ])
                            @else
                                Sin datos
                            @endif
                        </div>
                    @endforeach
                @endif
            </div>
            <!-- Footer-->
            <div class="modal-footer flex-wrap justify-content-between bg-secondary fs-md">
                <div class="px-2 py-1">
                    @if ($order->invoice)
                        <span>
                            <a href="{{ Storage::url($order->invoice) }}" class="btn btn-outline-accent float-end" download="">
                                Descargar Factura
                            </a>
                        </span>
                    @endif
                </div>
                <div class="px-2 py-1">
                    <span class="text-muted">Total:&nbsp;</span>
                    <span class="fs-lg">
                        <x-amount-formatter :amount="$order->total" />
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
