<!-- Sidebar-->
<aside class="col-lg-4 pt-4 pt-lg-0 ps-xl-5">
    <div class="bg-white rounded-3 shadow-lg p-4 ms-lg-auto">
    <div class="py-2 px-xl-2">
        <div class="widget mb-3">
            <h2 class="widget-title text-center">Resumen de Orden</h2>
            @foreach (Cart::getContent() as $item)
                <div class="d-flex align-items-center pb-2 border-bottom">
                    <img src="{{Storage::url($item->attributes->featured)}}" width="64" alt="Product">
                    <div class="ps-2">
                        <h6 class="widget-product-title">
                            {{$item->name}}
                        </h6>
                        <div class="widget-product-meta">
                            <x-amount-formatter :amount="$item->price" />
                            <span class="text-muted">x {{$item->quantity}}</span>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
        @if (isset($totals) && !is_null($totals))
            <ul class="list-unstyled fs-sm pb-2 border-bottom">
                @if ($totals['localShippingUSD'])
                <li class="d-flex justify-content-between align-items-center">
                    <span class="me-2">Envío local:</span>
                    <x-amount-formatter :amount="$totals['localShippingUSD']" />
                </li>
                @endif
                @if ($totals['nationalShippingUSD'])
                <li class="d-flex justify-content-between align-items-center">
                    <span class="me-2">Envío nacional:</span>
                    <x-amount-formatter :amount="$totals['nationalShippingUSD']" />
                </li>
                @endif
                @foreach (\Cart::getConditions() as $cartCondition)
                    <li>
                        @include('components.order.cart-condition', ['condition' => $cartCondition])
                    </li>
                @endforeach
            </ul>
            @if ($totals['totalWithShippingUSD'])
                <h3 class="fw-normal text-center my-4">
                    <x-amount-formatter :amount="$totals['totalWithShippingUSD']" /> <small class="text-accent">USD</small>
                </h3>
            @else
            <h3 class="fw-normal text-center my-4">
                <x-amount-formatter :amount="Cart::getTotal()" /> <small class="text-accent">USD</small>
            </h3>
            @endif
        @else
            <h3 class="fw-normal text-center my-4">
                <x-amount-formatter :amount="Cart::getTotal()" /> <small class="text-accent">USD</small>
            </h3>
        @endif
    </div>
    </div>
</aside>
