<div class="col-lg-3 col-md-4 col-sm-6 px-2 mb-4 pt-3">
    <div class="card product-card">
        <a href="{{route('products-by-filter', $product->id)}}">
            @if (Storage::disk('public')->exists($product->featured))
                <img src="{{Storage::url($product->featured)}}" alt="Product">
            @endif
        </a>
        <div class="card-body py-2">
            {{-- Componente stock --}}
            <x-product.product-stock :product="$product" />

            <h3 class="product-title fs-sm pt-1">
                <a href="{{route('products-by-filter', $product->id)}}"> {{$product->name}} </a>
            </h3>
            @auth
                <div class="d-flex justify-content-between">
                    <div class="product-price">
                        <x-amount-formatter :amount="$product->defaultPrice"/>
                    </div>
                </div>
            @endauth
        </div>
        <div class="card-body {{Auth::check()? 'card-body-hidden': ''}}">
            @auth
                <x-product.product-form :product="$product" />
            @endauth
            <div class="text-center">
                <a class="nav-link-style fs-ms" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#quick-view-{{$product->id}}">
                    <i class="bi bi-eye"></i> Vista Rápida
                </a>
            </div>
        </div>
    </div>
    <hr class="d-sm-none">
</div>

<div class="modal fade modal-quick-view" id="quick-view-{{$product->id}}" tabindex="-1" aria-labelledby="quickViewLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title product-title" id="quickViewLabel">
                    <a href="{{route('products-by-filter', $product->id)}}" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="Go to product page">
                        {{$product->name}}
                    </a>
                </h4>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <!-- Product gallery-->
                    <div class="col-lg-7 pe-lg-0">
                        <div class="product-gallery">
                            <div class="product-gallery-preview order-sm-2">
                                <div class="product-gallery-preview-item active">
                                    <img src="{{$product->featured_url}}" alt="Product">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Product details-->
                    <div class="col-lg-5 pt-4 pt-lg-0 image-zoom-pane">
                        <x-product.product-details :product="$product"/>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="assistanceModal" tabindex="-1" aria-labelledby="assistanceModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="assistanceModalLabel">Solicitar Asistencia de un Asesor</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p class="text-muted fs-sm">
                    En este momento no hay stock del producto que seleccionaste.
                    Puedes solicitar asistencia personalizada de un asesor Enviando este formulario
                </p>
                <form id="assistanceForm">
                    @csrf
                    <input type="hidden" name="product_id" value="{{ $product->id }}">
                    <label class="form-label">Cantidad</label>
                    <input type="number" class="form-control" name="quantity" value="1" min="1">
                    <label class="form-label">Producto</label>
                    <input type="text" class="form-control" name="name" value="{{$product->name}}" disabled>
                    <div class="mb-3">
                        <label for="message" class="form-label">Mensaje</label>
                        <textarea class="form-control" id="message" name="message" rows="3" required></textarea>
                    </div>
                    <button type="submit" class="btn btn-primary">Enviar</button>
                </form>
            </div>
        </div>
    </div>
</div>
