<div class="product-details ms-auto pb-3">
    <!-- Product panels-->
    <div class="accordion mb-4" id="productPanels">
        <div class="accordion-item">
            <h3 class="accordion-header">
                <a class="accordion-button" href="#productInfo" role="button" data-bs-toggle="collapse" aria-expanded="true" aria-controls="productInfo">
                <i class="ci-announcement text-muted fs-lg align-middle mt-n1 me-2"></i>Información del Producto</a>
            </h3>
            <div class="accordion-collapse collapse show" id="productInfo" data-bs-parent="#productPanels">
                <div class="accordion-body">
                    <p>{{$product->description}}</p>
                    <ul class="fs-sm ps-4">
                        <li>Fabricante: {{$product->brand}}</li>
                        <li>Categoría: {{$product->category}}</li>
                    </ul>
                    @auth
                        <div class="mb-3">
                            <x-amount-formatter :amount="$product->defaultPrice" />
                        </div>
                        <div class="fs-sm mb-4">
                            <x-product.product-stock :product="$product" />
                        </div>
                        <x-product.product-form :product="$product" />
                    @endauth
                </div>
            </div>
        </div>
    </div>
    @if (!is_null($product->data_sheet_url))
        <a
            href="{{$product->data_sheet_url}}"
            class="btn btn-outline-accent float-end"
            target="_blank">
            Ficha Técnica
        </a>
    @endif
</div>

<div class="modal fade" id="assistanceModal" tabindex="-1" aria-labelledby="assistanceModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="assistanceModalLabel">Solicitar Asistencia de un Asesor</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p class="text-muted fs-sm">
                    En este momento no hay stock del producto que seleccionaste.
                    Puedes solicitar asistencia personalizada de un asesor Enviando este formulario
                </p>
                <form id="assistanceForm">
                    @csrf
                    <input type="hidden" name="product_id" value="{{ $product->id }}">
                    <label class="form-label">Cantidad</label>
                    <input type="number" class="form-control" name="quantity" value="1" min="1">
                    <label class="form-label">Producto</label>
                    <input type="text" class="form-control" name="name" value="{{$product->name}}" disabled>
                    <div class="mb-3">
                        <label for="message" class="form-label">Mensaje</label>
                        <textarea class="form-control" id="message" name="message" rows="3" required></textarea>
                    </div>
                    <button type="submit" class="btn btn-primary">Enviar</button>
                </form>
            </div>
        </div>
    </div>
</div>
