@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-xxl-10 col-xl-10-col-lg-11 col-12">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white">
                    <h5>Actualizar Dirección de Cliente</h5>
                    <h6 class="text-info">
                        {{$address->customer}}
                    </h6>
                </div>
                <div class="card-body bg-white">
                    <form action="{{route('admin.customer.address.update')}}" method="POST">
                        @csrf
                        <input type="hidden" name="id" value="{{$address->id}}">
                        @include('partials.validation-errors')
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-12">
                                    @if ($address->is_default == false)
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox"
                                                value="true" id="is_default" name="is_default"
                                                {{$address->is_default ?  'checked' : ''}}>
                                            <label class="form-check-label" for="is_default">
                                                Predeterminada
                                            </label>
                                        </div>
                                    @else
                                        <div class="text-info">
                                            Predeterminada
                                        </div>
                                    @endif
                                </div>
                                <div class="col-12"></div>
                                <div class="col-xxl-8 col-xl-8 col-lg-8 col-8 mb-1">
                                    <label for="street" class="form-label">Calle</label>
                                    <input type="text" class="form-control" id="street" name="street" value="{{$address->street}}">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="number_ext" class="form-label">No: Ext</label>
                                    <input type="text" class="form-control" id="number_ext" name="number_ext" value="{{$address->number_ext}}">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="number_int" class="form-label">No: Int</label>
                                    <input type="text" class="form-control" id="number_int" name="number_int" value="{{$address->number_int}}">
                                </div>
                                <div class="col-xxl-8 col-xl-8 col-lg-8 col-8">
                                    <label for="neighborhood" class="form-label">Colonia</label>
                                    <input type="text" class="form-control" id="neighborhood" name="neighborhood" value="{{$address->neighborhood}}">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="postal_code" class="form-label">C.P</label>
                                    <input type="text" class="form-control" id="postal_code" name="postal_code" value="{{$address->postal_code}}">
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="city" class="form-label">Ciudad</label>
                                    <input type="text" class="form-control" id="city" name="city" value="{{$address->city}}">
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="state" class="form-label">Estado</label>
                                    <select class="form-select" name="state" id="state" autocomplete="off">
                                        @foreach ($states as $state)
                                            <option value="{{ $state->name }}"
                                                {{$state->name == $address->state ?  'selected' : ''}}>
                                                {{ $state->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="contact_phone" class="form-label">Teléfono de contacto</label>
                                    <input type="text" class="form-control" id="contact_phone" name="contact_phone" value="{{$address->contact_phone}}">
                                    <div id="emailHelp" class="form-text text-info">
                                        Solo números, evita otros caracteres
                                    </div>
                                </div>
                                <div class="col-12 mt-3 mb-1">
                                    <div class="alert alert-warning">
                                        Importante: Los cambios realizados en esta sección tienen un impacto directo en las direcciones
                                        de envío. Ten en cuenta que cualquier modificación aplicada afectará únicamente a los envíos
                                        futuros. Los envíos que ya están en proceso no se verán afectados por estos ajustes.
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <button type="submit" class="btn btn-primary">
                                        Actualizar
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
