@extends('layouts.app')

@section('styles')
<style>
    table.dataTable thead th:nth-child(1) .dt-column-order {
    display: none;
}
</style>
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div class="card border border-0 shadow-sm">
                <div class="card-header bg-white border-0 pb-0">
                    <div class="d-flex flex-column flex-md-row justify-content-between align-items-center">
                        <h4 class="fw-bold mt-2">Listado de Clientes</h4>
                    </div>
                </div>
                <div class="card-body bg-white pt-0">
                    <table class="table table-striped" id="customers">
                        <thead class="table-light">
                            <tr class="text-center">
                                <th scope="col">Empresa</th>
                                <th scope="col">Nombre</th>
                                <th scope="col">RFC</th>
                                <th scope="col">Status</th>
                                <th scope="col">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<form id="form-delete" action="" method="POST"class="d-none">
    @csrf
    @method('DELETE')
</form>
@endsection

@section('scripts')
<script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
<script src="https://cdn.datatables.net/v/dt/dt-2.1.2/af-2.7.0/b-3.1.0/b-colvis-3.1.0/b-html5-3.1.0/cr-2.0.3/date-1.5.3/fc-5.0.1/fh-4.0.1/kt-2.12.1/r-3.0.2/rg-1.5.0/rr-1.5.0/sc-2.4.3/sb-1.7.1/sp-2.3.1/sl-2.0.3/sr-1.4.1/datatables.min.js"></script>

@vite(['resources/js/CustomerSupport/Customers/List/app.js'])

<script type="module">
        const customers = {{ Js::from($customers) }};
        const address = {{ Js::from($address) }};
        List.init('customers', customers, address);
</script>

<script>
function confirmDelete(button, link) {
    Swal.fire({
        title: '¿Estás seguro?',
        text: "Esta acción no se puede deshacer.",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Sí, eliminar',
        cancelButtonText: 'Cancelar'
    }).then((result) => {
        if (result.isConfirmed) {
            const form = document.getElementById("form-delete");
            form.action = link;
            form.submit();
        }
    });
}
</script>
@endsection
