<div class="col-xxl-4 col-xl-4 col-lg-4 col-12">
    <div class="table-responsive p-2">
        <table class="table table-borderless">
            <tbody>
                <tr>
                    <td class="text-center">
                        <h6>
                            <img src="{{asset("storage/carriers_logo/$shipment->carrier-logo.png")}}" alt="Paqueteria {{__('shipment.' . $shipment->carrier )}}">
                        </h6>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span>Costo cotizado: </span> <strong>${{$shipment->shipping_cost}}</strong>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span>Servicio: </span>
                        <strong>
                            @include('components.shipment.service_name', [
                                'carrier' => $shipment->carrier,
                                'service_code' => $shipment->service_code
                            ])
                        </strong>
                    </td>
                </tr>
                @isset ($tracking)
                    <tr>
                        <td>
                            @include('customer_support.orders.tracking')
                        </td>
                    </tr>
                @endisset
                @if ($shipment->master_tracking_number)
                    <tr>
                        <td>
                            <span>Número maestro de rastreo: </span> <strong>{{$shipment->master_tracking_number}}</strong>
                        </td>
                    </tr>
                    @if ($shipment->isCanceled())
                        <tr>
                            <td>
                                <strong class="text-danger">
                                    Guía cancelada
                                </strong>
                            </td>
                        </tr>
                    @else
                        <tr>
                            <td>
                                @if ($shipment->carrier !== \App\Services\ShippingServiceFactory::CUSTOMER_CARRIER)
                                    <button type="button"
                                        class="btn btn-info btnShowShippingLabel"
                                        data-url="{{route('admin.orders.shipment.label', ['shipment_id' => $shipment->id])}}">
                                        Ver guía
                                    </button>
                                @endif
                                @if ($can_update && $shipment->canCancel())
                                    <button type="button" class="btn btn-danger btnAskToCancelShipment" data-shipment="{{$shipment->id}}">
                                        Cancelar envio
                                    </button>
                                @endif
                            </td>
                        </tr>
                    @endif
                @else
                    @if ($can_update)
                        <tr>
                            <td>
                                <div class="btn-group" role="group">
                                    <button type="button"
                                        class="btn btn-primary btnAskToShip"
                                        data-shipment="{{$shipment->id}}"
                                        data-carrier="{{$shipment->carrier}}">
                                        @if ($shipment->carrier == \App\Services\ShippingServiceFactory::CUSTOMER_CARRIER)
                                            Listo para su recolección
                                        @else
                                            Generar guía
                                        @endif
                                    </button>
                                    <button type="button"
                                        class="btn btn-warning btnQuoteOthers"
                                        data-shipment="{{$shipment->id}}"
                                        data-carrier="{{$shipment->carrier}}">
                                        Cambiar paquetería
                                    </button>
                                </div>
                            </td>
                        </tr>
                    @endif
                @endif
                @if ($shipment->shipment_carrier_log_reason)
                    <tr>
                        <td>
                            @include('customer_support.orders.shipment.carrier_change_log')
                        </td>
                    </tr>
                @endif
            </tbody>
        </table>
    </div>
</div>
