@extends('layouts.base')

@section('content')
    <div class="container fs-6 fw-light text-black">
        <h5 class="mt-5 text-black">POLÍTICA DE GARANTÍA</h5>
        <p>En Solar Center nos preocupamos por la satisfacción de nuestros clientes al trabajar con los productos que
            ofrecemos, es por ello que hacemos de su conocimiento nuestra Política y condiciones generales de garantía:</p>
        <h6 class="text-black mb-0 mt-4">Tiempo de la garantía</h6>
        <p>Cada producto que ofrecemos tiene un tiempo de garantía determinado contra defectos de fabricación y materiales.
            El tiempo de garantía dependerá de la póliza de cada tipo de producto y de cada fabricante, este tiempo
            comenzará a partir de la fecha de la factura emitida por Solar Center, independientemente si el equipo fue
            instado o no.</p>
        <h6 class="text-black mb-0 mt-4">Cobertura de la garantía</h6>
        <p>Todos los productos están garantizados contra defectos de fabricación y materiales, siempre y cuando se hayan
            utilizado, operado e instalado en condiciones normales para su funcionamiento, respetando las indicaciones de
            los manuales de instalación y las recomendaciones establecidas por el fabricante. Los manuales pueden ser
            solicitados con el asesor comercial o con el equipo de ingeniería.</p>
        <h6 class="text-black mb-0 mt-4">Solicitud de la garantía</h6>
        <p>Para solicitar una garantía deberá comunicarse al Departamento de Soporte Técnico y Garantías para reportar la
            falla o el problema que presente el equipo a través de los siguientes medios de contacto y horarios:</p>
        <ul>
            <li>Línea Solar Center: 33 3804 2122</li>
            <li>Correo electrónico: garantias@solar-center.mx</li>
            <li>Ingeniero encargado de la zona: Solicitar contacto directamente con su asesor de ventas.</li>
            <li>Horarios de atención: lunes a viernes de 9:00 a 18:00 hrs y sábados de 9:00 a 13:00 hrs.</li>
        </ul>
        <p>Un ingeniero especializado le apoyará en la apertura del caso mediante una serie de procedimientos para tratar de
            solucionar el problema en sitio.</p>
        <p>En caso de que el problema no pueda solucionarse aún con el asesoramiento de nuestros ingenieros, se realizará
            una revisión más detallada directamente con el fabricante. Para ello, se le solicitará la siguiente información
            como requisito para iniciar el proceso de revisión y garantía en caso de que sea necesario (deberá mandarse la
            información completa solicitada por el fabricante y las lecturas y evidencia deberá ser tomada en su totalidad
            en sitio):</p>
        <ul>
            <li>Factura original emitida por Solar Center</li>
            <li>Reporte de investigación (mediciones, mantenimientos, información de la instalación y otros datos
                solicitados por el fabricante). Puede solicitarse con el equipo de Soporte Técnico y Garantías.</li>
            <li>Fotos y videos de la instalación, mediciones y puntos específicos de la falla.</li>
        </ul>
        <p>De ser necesario, Solar Center solicitará que el equipo sea enviado a nuestras oficinas principales en Av.
            Industria Eléctrica, No. 43 A, Nueva Galicia Residencial, Tlajomulco de Zúñiga, Jalisco, C.P. 45645, para
            realizar una revisión más detallada del equipo. El envío del equipo debe ser pagado por el remitente. En caso de
            que aplique la garantía el envío de regreso será cubierto por Solar Center.</p>
        <h6 class="text-black mb-0 mt-4">Equipos que no hayan sido reportados para envío</h6>
        <p>Si un equipo es enviado a las oficinas de Solar Center sin previa autorización de un ingeniero de soporte
            técnico, no será aceptado. Es necesario seguir el procedimiento mencionado anteriormente.</p>
        <h6 class="text-black mb-0 mt-4">Validación del fabricante</h6>
        <p>Toda garantía será validada única y exclusivamente por el fabricante. Solar Center enviará la información
            solicitada para que sea analizada y se pueda notificar el resultado de la garantía. Solar Center no puede
            validar una garantía sin el respaldo del fabricante.</p>
        <h6 class="text-black mb-0 mt-4">Tiempos de respuesta</h6>
        <p>El tiempo de respuesta y validación de una garantía o no garantía depende directamente de los tiempos del
            fabricante, pero no debe ser mayor a 7 días hábiles después de haber enviado la información completa por parte
            del cliente.</p>
        <p>En Solar Center somos conscientes de la importancia del tiempo de cada proyecto, es por ello que daremos
            prioridad y haremos todo lo que esté en nuestras manos para que cada solicitud sea atendida en el menor tiempo
            posible.</p>
        <h6 class="text-black mb-0 mt-4">Garantía aplicada</h6>
        <p>Cuando una garantía sea aplicada, el fabricante ofrecerá, a discreción alguna de las siguientes opciones:</p>
        <ul>
            <li>Cambio completo del equipo por uno totalmente nuevo (las condiciones de garantía quedarán conforme al equipo
                original).</li>
            <li>Cambio por un equipo seminuevo funcional.</li>
            <li>Reparación del mismo equipo.</li>
        </ul>
        <p>Cuando se realice un cambio de equipo, este corresponderá al mismo modelo y marca reportado, salvo que el
            fabricante indique lo contrario.</p>
        <p>Para clientes locales a nuestras sucursales tendrán un plazo máximo de 2 días para recolectar los equipos de
            garantía posterior a notificar la aprobación de la garantía, de lo contrario será almacenado. Los clientes que
            se requiera enviar los equipos se tendrá un plazo máximo de 24 horas posterior a la notificación de la garantía
            para enviar los pedidos.</p>
        <p>Los tiempos de entrega pueden variar dependiendo de la disponibilidad del equipo tanto de Solar Center como del
            fabricante, la notificación será con anticipación por el equipo de Soporte Técnico y Garantías.</p>
        <p>Si la garantía es aplicada a un equipo que está fuera de línea o descontinuado por el fabricante, Solar Center
            ofrecerá una nota de crédito con el valor del equipo en caso de que ni el proveedor ni el fabricante tengan
            stock del equipo.</p>
        <h6 class="text-black mb-0 mt-4">Garantía no aplicada</h6>
        <p>Cuando una garantía no proceda, el fabricante emitirá por escrito el dictamen y el reporte del porque se ha
            denegado la garantía del equipo. Tenga en cuenta que una mala instalación, un manejo inapropiado del equipo
            conforme al manual de operación y/o un daño provocado puede ser motivo para que una garantía no sea aplicada.
            Ante cualquier duda técnica se recomienda consultar con el equipo de Ingeniería de Solar Center antes de
            instalar o adquirir el equipo.</p>
        <h6 class="text-black mb-0 mt-4">Envíos y maniobras adicionales</h6>
        <p class="mb-0">Las garantías cubren:</p>
        <ul>
            <li>Envío del equipo Solar Center - Cliente</li>
        </ul>
        <p class="mb-0">Las garantías no cubren:</p>
        <ul class="mb-5">
            <li>Maniobras de instalación y/o desinstalación</li>
            <li>Daños ocasionados en el transporte</li>
            <li>Envío de equipo Cliente - Solar Center</li>
        </ul>
    </div>
@endsection
