<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('favicon/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('favicon/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('favicon/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('favicon/site.webmanifest')}}">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Solar Center</title>

    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700&display=swap" rel="stylesheet">

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <link href="https://cdn.datatables.net/v/dt/dt-2.1.2/af-2.7.0/b-3.1.0/b-colvis-3.1.0/b-html5-3.1.0/cr-2.0.3/date-1.5.3/fc-5.0.1/fh-4.0.1/kt-2.12.1/r-3.0.2/rg-1.5.0/rr-1.5.0/sc-2.4.3/sb-1.7.1/sp-2.3.1/sl-2.0.3/sr-1.4.1/datatables.min.css" rel="stylesheet">

    @vite(['resources/sass/base.scss', 'resources/js/app.js', 'resources/js/theme.js'])

    @yield('styles')

</head>
<body>
    <div id="app">
        <header class="shadow-sm">
            @php
                $route_name = Route::currentRouteName();
            @endphp
            <!-- Topbar-->
            <div class="navbar-sticky bg-light">
                <div class="navbar navbar-expand-lg navbar-light">
                    <div class="container">
                        <a class="navbar-brand d-none d-sm-block me-3 flex-shrink-0" href="/">
                            <img src="{{ asset('images/logo.webp') }}" width="142" alt="Solar Center">
                        </a>
                        <a class="navbar-brand d-sm-none me-2" href="/">
                            <img src="{{ asset('images/logo.webp') }}" width="74" alt="Solar Center">
                        </a>
                        <!-- Toolbar-->
                        <div class="navbar-toolbar d-flex flex-shrink-0 align-items-center">
                            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                                data-bs-target="#navbarCollapse">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <a class="navbar-tool navbar-stuck-toggler" href="#">
                                <span class="navbar-tool-tooltip">Toggle menu</span>
                                <div class="navbar-tool-icon-box">
                                    <i class="navbar-tool-icon ci-menu"></i>
                                </div>
                            </a>

                            @auth
                                <div class="navbar-tool dropdown">

                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="userDropdown">
                                        <div class="dropdown mega-dropdown">
                                            <a class="dropdown-item" href="{{ route('logout') }}"
                                                onclick="event.preventDefault();
                                                document.getElementById('logout-form').submit();">
                                                <div class="d-flex">
                                                    <div class="ms-2">
                                                        <span class="d-block text-heading">Cerrar Sesión</span>
                                                    </div>
                                                </div>
                                            </a>
                                            <form id="logout-form" action="{{ route('logout') }}"
                                                method="POST" class="d-none">
                                                @csrf
                                            </form>
                                        </div>
                                    </div>

                                    <div class="navbar-tool-text ms-n3">
                                        <small>Hola</small> {{ auth()->user()->name }}
                                    </div>
                                </div>
                            @endauth
                        </div>
                    </div>
                </div>
                <div class="navbar navbar-expand-lg navbar-light navbar-stuck-menu mt-n2 pt-0 pb-2">
                    <div class="container">
                        <div class="collapse navbar-collapse" id="navbarCollapse">
                            <!-- Search-->
                            <div class="input-group d-lg-none my-3 filter-products">
                                <i class="bi bi-search search-m z-1 position-absolute top-50 start-0 translate-middle-y ms-3"
                                    style="opacity: .5;"></i>
                                <input class="form-control rounded-start w-100" type="text"
                                    id="search-products-m" placeholder="">
                                <div class="position-absolute" id="autocomplete-list-m"
                                    style="z-index: 1000; width: 100%;">
                                </div>
                            </div>

                            <ul class="navbar-nav navbar-mega-nav pe-lg-2 me-lg-2 d-lg-none">
                                <li class="nav-item dropdown">
                                    <a class="nav-link dropdown-toggle ps-lg-0" href="#"
                                        data-bs-toggle="dropdown" data-bs-auto-close="outside">
                                        <i class="ci-menu align-middle mt-n1 me-2"></i>
                                        Mi cuenta
                                    </a>
                                    <ul class="dropdown-menu">
                                        @role('customer')
                                            <li class="dropdown mega-dropdown">
                                                {{-- <a class="dropdown-item dropdown-toggle" href="#" data-bs-toggle="dropdown"> --}}
                                                <a class="dropdown-item" href="{{ route('account.profile') }}">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1"><i class="ci-book"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">
                                                                Perfil de usuario
                                                            </span>
                                                            <small class="d-block text-muted">Mis datos y
                                                                preferencias</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                            <li class="dropdown mega-dropdown">
                                                <a class="dropdown-item" href="{{ route('account.orders') }}">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1"><i class="ci-edit"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">Mis Ordenes
                                                            </span>
                                                            <small class="d-block text-muted">Historial de
                                                                ordenes
                                                            </small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                        @endrole
                                        <li class="dropdown mega-dropdown">
                                            <a class="dropdown-item" href="{{ route('logout') }}"
                                                onclick="event.preventDefault();
                                                document.getElementById('logout-form').submit();">
                                                <div class="d-flex">
                                                    <div class="lead text-muted pt-1"><i class="ci-help"></i>
                                                    </div>
                                                    <div class="ms-2">
                                                        <span class="d-block text-heading">Cerrar Sesión</span>
                                                    </div>
                                                </div>
                                            </a>
                                            <form id="logout-form" action="{{ route('logout') }}"
                                                method="POST" class="d-none">
                                                @csrf
                                            </form>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                            <!-- Primary menu-->
                            <ul class="navbar-nav">
                                <li class="nav-item dropdown {{ request()->routeIs('index') ? 'active' : '' }}">
                                    <a class="nav-link" href="/">Inicio</a>
                                </li>
                                <li
                                    class="nav-item dropdown {{ request()->routeIs('about-us.index') || request()->routeIs('about-us.branches') ? 'active' : '' }}">
                                    <a class="nav-link" href="#"> Nosotros </a>
                                </li>
                                @role('administration|operator')
                                    <li class="nav-item dropdown {{ request()->routeIs('services.index') || request()->routeIs('services.offer') ? 'active' : '' }}">
                                        <a class="nav-link" href="#"> Usuarios </a>
                                    </li>
                                @endrole
                                @role('customer_support|operator')
                                    <li class="nav-item dropdown {{ request()->routeIs('admin.customers.index') || request()->routeIs('admin.customers.edit') ? 'active' : '' }}">
                                        <a class="nav-link" href="{{route('admin.customers.index')}}" >
                                            Clientes
                                        </a>
                                    </li>
                                @endrole
                                @role('marketing|operator')
                                    <li class="nav-item dropdown {{ request()->routeIs('admin.products.index') || request()->routeIs('admin.products.edit') ? 'active' : '' }}">
                                        <a
                                            class="nav-link" href="{{route('admin.products.index')}}"
                                        >
                                            Productos
                                        </a>
                                    </li>
                                @endrole
                                @role('marketing|operator')
                                    <li class="nav-item dropdown {{ request()->routeIs('admin.orders.index') || request()->routeIs('admin.orders.edit') ? 'active' : '' }}">
                                        <a class="nav-link" href="{{route('admin.orders.index')}}" >
                                            Ordenes
                                        </a>
                                    </li>
                                @endrole
                                @auth
                                    <li class="nav-item dropdown">
                                        @php
                                            $isActive = (request()->routeIs('admin.hero-slider.index') || request()->routeIs('admin.banner-group.index')) ||
                                                (request()->routeIs('admin.hero-slider.create') || request()->routeIs('admin.banner-group.create')) ? 'active' : '';
                                        @endphp
                                        <a
                                            class="nav-link dropdown-toggle {{ $isActive }}"
                                            href="#"
                                            data-bs-toggle="dropdown"
                                        >
                                            Carousel
                                        </a>
                                        <ul class="dropdown-menu">
                                            <li>
                                                <a href="{{ route('admin.hero-slider.index') }}"
                                                    class="dropdown-item {{ request()->routeIs('admin.hero-slider.index') || request()->routeIs('admin.hero-slider.create') ? 'active' : '' }}">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-book"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">Sliders</span>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                            <li class="dropdown-divider"></li>
                                            <li>
                                                <a href="{{ route('admin.banner-group.index') }}"
                                                    class="dropdown-item {{ request()->routeIs('admin.banner-group.index') ? 'active' : '' }}">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-server"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">
                                                                Banner Group
                                                            </span>
                                                            <small class="d-block text-muted">Grupo de Productos</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                @endauth
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <main class="py-4">
            @isset($without_location)
                @include('partials.customer-without-location')
            @endisset
            @yield('content')
        </main>
    </div>


    @if (session('message'))
        <script>
            Swal.fire({
                position: "center",
                icon: "{{ session('icon') }}",
                title: "{{ session('message') }}",
                showConfirmButton: false,
                timer: 4000,
            });
        </script>
    @endif

    @yield('scripts')
</body>
</html>
