@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white">
                    <h4 class="fw-bold mt-2">Crear Banner</h4>
                </div>
                <div class="card-body bg-white">
                    <form action="{{route('admin.banner-group.store')}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="container">
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('image') is-invalid @enderror">
                                        <input
                                            class="form-control @error('image') is-invalid @enderror"
                                            type="file"
                                            id="image"
                                            name="image"
                                        >
                                        <label for="image">Imagen</label>
                                    </div>
                                    <small class="text-muted fs-xs ms-1">123 x 150 px</small>
                                    <div class="invalid-feedback">
                                        @error('image')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('product_url') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('product_url') is-invalid @enderror"
                                            id="product-url"
                                            name="product_url"
                                            placeholder=""
                                            value="{{ old('product_url') }}"
                                        >
                                        <label for="product-url">URL del producto</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('product_url')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 mb-3">
                                    <label for="banner_text">Texto del Banner</label>
                                    <div class="@error('banner_text') is-invalid @enderror">
                                        <textarea
                                            class="form-control @error('banner_text') is-invalid @enderror"
                                            name="banner_text"
                                            id="editor"
                                            placeholder=""
                                        >{{ old('banner_text') }}</textarea>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('banner_text')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">Guardar</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script src="https://cdn.ckeditor.com/ckeditor5/41.0.0/classic/ckeditor.js"></script>
<script>
    // Initialize CKEditor
    ClassicEditor
        .create(document.querySelector('#editor'))
        .then(editor => {
            console.log('Editor was initialized', editor);
        })
        .catch(error => {
            console.error('Error during initialization of the editor', error);
        });
</script>
@endsection
