@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white">
                    <h4 class="fw-bold mt-2">Crear Slider</h4>
                </div>
                <div class="card-body bg-white">
                    <form action="{{route('admin.hero-slider.store')}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="container">
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('image') is-invalid @enderror">
                                        <input
                                            class="form-control @error('image') is-invalid @enderror"
                                            type="file"
                                            id="image"
                                            name="image"
                                        >
                                        <label for="image">Imagen</label>
                                    </div>
                                    <small class="text-muted fs-xs ms-1">420 x 430 px</small>
                                    <div class="invalid-feedback">
                                        @error('image')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('text_small') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('text_small') is-invalid @enderror"
                                            id="text_small"
                                            name="text_small"
                                            placeholder=""
                                            value="{{ old('text_small') }}"
                                        >
                                        <label for="text_small">Texto 1</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('text_small')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('text_medium') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('text_medium') is-invalid @enderror"
                                            id="text_medium"
                                            name="text_medium"
                                            placeholder=""
                                            value="{{ old('text_medium') }}"
                                        >
                                        <label for="text_medium">Texto 2</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('text_medium')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('text_large') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('text_large') is-invalid @enderror"
                                            id="text_large"
                                            name="text_large"
                                            placeholder=""
                                            value="{{ old('text_large') }}"
                                        >
                                        <label for="text_large">Texto 3</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('text_large')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('button_text') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('button_text') is-invalid @enderror"
                                            id="button_text"
                                            name="button_text"
                                            placeholder=""
                                            value="{{ old('button_text') }}"
                                        >
                                        <label for="button_text">Texto Botón</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('button_text')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating @error('button_url') is-invalid @enderror">
                                        <input
                                            type="text"
                                            class="form-control @error('button_url') is-invalid @enderror"
                                            id="button_url"
                                            name="button_url"
                                            placeholder=""
                                            value="{{ old('button_url') }}"
                                        >
                                        <label for="button_url">URL Botón</label>
                                    </div>
                                    <div class="invalid-feedback">
                                        @error('button_url')
                                            <strong>{{$message}}</strong>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">Guardar</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
