<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Your E-commerce</title>
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="assets/css/fonts.css">
    <link rel="stylesheet" href="assets/css/style.min.css?111">
    <style>
        .chat-home-sicrea-contenedor {
            position: fixed;
            right: 1vw;
            bottom: 103px;
            z-index: 999;
        }

        @media (device-width: 1024px) and (device-height:600px) {
            .chat-home-sicrea-contenedor {
                zoom:.8;
            }
        }

        .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar {
            margin-top: 15px;
            background-color: #fff;
            padding: 10px;
            border-radius: 15px;
        }

        @media (min-width: 768px) {
            .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar {
                box-shadow:0 7px 12px -1px rgba(61,18,18,.4);
            }
        }

        @media (max-width: 380px) {
            .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar {
                height:530px;
                width: 600px;
            }
        }

        .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar span {
            font-size: 20px;
            color: red;
            display: block;
            text-align: right;
            margin-right: 1vw;
            margin-bottom: 1vh;
            cursor: pointer;
        }

        .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar .box-chat-sicrea-objeto {
            width: 500px;
            height: 471px;
            margin-top: 0;
            margin-left: 9px;
            margin-right: -8px;
        }

        @media (max-width: 280px) {
            .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar .box-chat-sicrea-objeto {
                margin-right:-5em;
            }
        }

        @media (max-width: 380px) {
            .chat-home-sicrea-contenedor .box-chat-sicrea-mostrar .box-chat-sicrea-objeto {
                margin-right:-1em;
                margin-top: 0;
                margin-left: 2em;
            }
        }

        .chat-home-sicrea-contenedor .box-chat-sicrea {
            display: none;
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea:hover:after {
            content: "";
            position: absolute;
            right: 0;
            width: 0;
            height: 0;
            top: 63%;
            right: -15px;
            margin-top: -11px;
            border-color: transparent transparent transparent #d62828;
            border-style: solid;
            border-width: 45px 0 0 48px;
            transition: .35s;
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea {
            background-color: #d62828;
            padding: 6px;
            color: #fff;
            border-radius: 50px;
            border: none;
            box-shadow: none;
            display: flex;
            flex-direction: row-reverse;
            align-items: center;
            cursor: pointer;
            position: relative;
            width: -moz-fit-content;
            width: fit-content;
            box-shadow: 0 0 5px 3px rgba(61,18,18,.12);
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea .btn-chat-home-sicrea-span {
            display: none;
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea .btn-chat-home-sicrea-img {
            width: 80px;
            height: 80px;
            border-radius: 50%;
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea .touch-chat-sicrea,
        .chat-home-sicrea-contenedor .btn-chat-home-sicrea:hover {
            transition: .35s;
            transform: translateY(0);
            color: #fff;
            background-color: #d62828;
            padding: 6px 40px 6px 6px;
            border: none;
            border-radius: 50px 50px;
            border-bottom-right-radius: 7px;
            display: flex;
            flex-direction: row-reverse;
            align-items: center;
            cursor: pointer;
            text-transform: uppercase;
            box-shadow: 0 0 5px 3px rgba(61,18,18,.12);
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea .touch-chat-sicrea .btn-chat-home-sicrea-img,
        .chat-home-sicrea-contenedor .btn-chat-home-sicrea:hover .btn-chat-home-sicrea-img {
            margin-left: 0;
            margin-right: 30px;
            flex-direction: column;
        }

        .chat-home-sicrea-contenedor .btn-chat-home-sicrea .touch-chat-sicrea .btn-chat-home-sicrea-span,
        .chat-home-sicrea-contenedor .btn-chat-home-sicrea:hover .btn-chat-home-sicrea-span {
            display: block;
            margin-left: 30px;
            margin-right: 25px;
            font-size: 20px;
            line-height: 1.5;
        }
    </style>
</head>

<body>
    <div class="page text-center">
        <div class="chat-home-sicrea-contenedor">
            <button class="btn-chat-home-sicrea" id="openChatButton">
                <span class="btn-chat-home-sicrea-span">Habla con <br> un asesor</span>
                <img class="btn-chat-home-sicrea-img" src="./assets/img/SICREAChat.jpg">
            </button>
            <div class="box-chat-sicrea" id="chatBox">
                <span class="box-chat-sicrea-span" id="closeChatButton">x</span>
                <object class="box-chat-sicrea-objeto" id="chatIframe" type="text/html" data="https://cwkolob215.nuxiba.com/chatjs/?domain=solarcenter.com"></object>
            </div>
        </div>
        <footer>
            <!-- Codigo del footer -->
        </footer>
    </div>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            var isOpen = false;
            var openChatButton = document.getElementById('openChatButton');
            var chatBox = document.getElementById('chatBox');
            var closeChatButton = document.getElementById('closeChatButton');

            openChatButton.addEventListener('click', function() {
                if (isOpen) {
                    chatBox.style.display = 'block';
                    chatBox.classList.add('box-chat-sicrea-mostrar');
                    openChatButton.style.display = 'none';
                } else {
                    var chatContainer = document.querySelector('.chat-home-sicrea-contenedor');
                    if (chatContainer) {
                        chatContainer.classList.add('touch-chat-sicrea');
                        isOpen = true;
                    } else {
                        console.error('El elemento .chat-home-sicrea-contenedor no se encontró en el DOM.');
                    }
                }
            });

            closeChatButton.addEventListener('click', function() {
                openChatButton.style.display = 'block';
                chatBox.style.display = 'none';
                var chatContainer = document.querySelector('.chat-home-sicrea-contenedor');
                chatContainer.classList.remove('touch-chat-sicrea');
            });
        });
    </script>
</body>
</html>
