@if ($paginator->hasPages())
    <div class="d-flex justify-content-center align-items-center">
        <!-- Previous Page Link -->
        @if ($paginator->onFirstPage())
            <span class="nav-link-style me-3 disabled" aria-disabled="true" aria-label="@lang('pagination.previous')">
                <i class="bi bi-chevron-left"></i>
            </span>
        @else
            <a class="nav-link-style me-3" href="{{ $paginator->previousPageUrl() }}" rel="prev" aria-label="@lang('pagination.previous')">
                <i class="bi bi-chevron-left"></i>
            </a>
        @endif

        <!-- Pagination Elements -->
        @php
            $start = max(1, $paginator->currentPage() - 2);
            $end = min($paginator->lastPage(), $paginator->currentPage() + 2);
        @endphp

        <!-- Pagination Numbers -->
        @for ($page = $start; $page <= $end; $page++)
            @if ($page == $paginator->currentPage())
                <span class="nav-link-style active mx-1">{{ $page }}</span>
            @else
                <a class="nav-link-style mx-1" href="{{ $paginator->url($page) }}">{{ $page }}</a>
            @endif
        @endfor

        <!-- Next Page Link -->
        @if ($paginator->hasMorePages())
            <a class="nav-link-style ms-3" href="{{ $paginator->nextPageUrl() }}" rel="next" aria-label="@lang('pagination.next')">
                <i class="bi bi-chevron-right"></i>
            </a>
        @else
            <span class="nav-link-style ms-3 disabled" aria-disabled="true" aria-label="@lang('pagination.next')">
                <i class="bi bi-chevron-right"></i>
            </span>
        @endif
    </div>
@endif
