<div class="modal fade" id="order-details-<?php echo e($order->id); ?>" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">No. de Orden - <?php echo e($order->folio()); ?></h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body pb-0">
                <?php $__currentLoopData = $order->shipments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="shipment-details mb-4 pb-3 border-bottom">
                        <h6 class="mb-3">Envío #<?php echo e($loop->iteration); ?></h6>
                        <div class="fs-sm">
                            <div>
                                <span class="text-muted me-2">Transportista:</span>
                                <img src="<?php echo e(asset("storage/carriers_logo/$shipment->carrier-logo.png")); ?>" alt="Paqueteria <?php echo e(__('shipment.' . $shipment->carrier )); ?>">
                            </div>
                            <div>
                                <span class="text-muted me-2">Dirección de Origen:</span>
                                <?php echo e($shipment->origin_address); ?>, <?php echo e($shipment->origin_city); ?>,
                                <?php echo e($shipment->origin_state); ?>, <?php echo e($shipment->origin_country); ?>

                            </div>
                            <div>
                                <span class="text-muted me-2">Dirección de Destino:</span>
                                <?php echo e($shipment->destination_address); ?>, <?php echo e($shipment->destination_city); ?>,
                                <?php echo e($shipment->destination_state); ?>, <?php echo e($shipment->destination_country); ?>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <h6 class="mt-4">Items en esta orden:</h6>
                <?php $__currentLoopData = $order->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <!-- Item-->
                    <div class="d-sm-flex justify-content-between mb-4 pb-3 pb-sm-2 border-bottom">
                        <div class="d-sm-flex text-center text-sm-start">
                            <div>
                                <?php if(Storage::exists($item->product->featured)): ?>
                                    <img src="<?php echo e(Storage::url($item->product->featured)); ?>" alt="Img" width="120">
                                <?php endif; ?>
                            </div>
                            <div class="ps-sm-4 pt-2">
                                <h3 class="product-title fs-base mb-2">
                                    <a><?php echo e($item->product->name); ?></a>
                                </h3>
                                <div class="fs-sm"><span class="text-muted me-2">Marca:</span><?php echo e($item->product->brand); ?></div>
                                <div class="fs-lg text-accent pt-2">
                                    <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $item->price] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="pt-2 ps-sm-3 mx-auto mx-sm-0 text-center">
                            <div class="text-muted mb-2">Cantidad:</div><?php echo e($item->quantity); ?>

                        </div>
                        <div class="pt-2 ps-sm-3 mx-auto mx-sm-0 text-center">
                            <div class="text-muted mb-2">Subtotal</div>
                            <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $item->price * $item->quantity] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php if(count($order->additionalChargesApplied) > 0): ?>
                    <h6 class="mt-4">
                        Cargos adicionales
                    </h6>
                    <table class="table table-sm">
                        <tbody>
                            <?php $__currentLoopData = $order->additionalChargesApplied; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $additionalCharge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between">
                                    <div>
                                        <?php echo e($additionalCharge->description); ?>

                                    </div>
                                    <div class="text-accent">
                                        $ <?php echo e($additionalCharge->charge_type == 'fixed' ? '' : '%'); ?> <?php echo e($additionalCharge->amount); ?>

                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                <?php endif; ?>
                <?php if(count($order->tracking_info) > 0): ?>
                    <h6>Envío</h6>
                    <?php $__currentLoopData = $order->tracking_info; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="border-bottom mt-1">
                            <?php if($info->tracking): ?>
                                <?php echo $__env->make('customer_support.orders.tracking', [
                                    'tracking' => $info->tracking,
                                    'shipment' => $info->shipment
                                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <?php else: ?>
                                Sin datos
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </div>
            <!-- Footer-->
            <div class="modal-footer flex-wrap justify-content-between bg-secondary fs-md">
                <div class="px-2 py-1">
                    <?php if($order->invoice): ?>
                        <span>
                            <a href="<?php echo e(Storage::url($order->invoice)); ?>" class="btn btn-outline-accent float-end" download="">
                                Descargar Factura
                            </a>
                        </span>
                    <?php endif; ?>
                </div>
                <div class="px-2 py-1">
                    <span class="text-muted">Total:&nbsp;</span>
                    <span class="fs-lg">
                        <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $order->total] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/components/modal-order-detail.blade.php ENDPATH**/ ?>