<?php $__env->startSection('head'); ?>
<?php echo app('Illuminate\Foundation\Vite')([
    'resources/js/sliders.js',
]); ?>
<style>
.background-image-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 110px;
    height: 110px;
    background-size: cover;
    background-position: center;
    text-align: center;
}

.overlay-text {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
}
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php if(!request()->has('category_id') && !request()->has('brand')): ?>
<section class="bg-secondary py-4 pt-md-5">
    <div class="container py-xl-2">
        <div class="row">
            <!-- Slider -->
            <div class="col-xl-9 pt-xl-4 order-xl-2">
                <div class="tns-carousel">
                    <div class="tns-carousel-hero">
                    <?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div>
                        <div class="row align-items-center">
                            <div class="col-md-6 order-md-2">
                                <img class="d-block mx-auto img-fluid" src="<?php echo e(Storage::url($slider->image)); ?>" alt="VR Collection">
                            </div>
                            <div class="col-lg-5 col-md-6 offset-lg-1 order-md-1 pt-4 pb-md-4 text-center text-md-start">
                                <h2 class="fw-light pb-1 from-bottom"><?php echo e($slider->text_small); ?></h2>
                                <h1 class="display-4 from-bottom delay-1"><?php echo e($slider->text_medium); ?></h1>
                                <h5 class="fw-light pb-3 from-bottom delay-2">
                                    <?php echo e($slider->text_large); ?>

                                </h5>
                                <div class="d-table scale-up delay-4 mx-auto mx-md-0">
                                    <a class="btn btn-primary btn-shadow" href="<?php echo e($slider->button_url); ?>">
                                        <?php echo e($slider->button_text); ?><i class="bi bi-chevron-right ms-2 me-n1"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
            <!-- Banner group-->
            <div class="col-xl-3 order-xl-1 pt-4 mt-3 mt-xl-0 pt-xl-0">
                <div class="table-responsive" data-simplebar>
                    <div class="d-flex d-xl-block">
                        <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <a class="d-flex align-items-center rounded-3 pt-2 ps-2 mb-4 me-4 me-xl-0 banner-group-item" href="<?php echo e($banner->product_url); ?>">
                                <img src="<?php echo e(Storage::url($banner->image)); ?>" alt="Banner">
                                <div class="py-4 px-2">
                                    <h5 class="mb-2 fw-normal lh-1">
                                        <?php echo $banner->banner_text; ?>

                                    </h5>
                                    <div class="text-white fs-sm">Ver<i class="bi bi-plus fs-xs ms-1"></i></div>
                                </div>
                            </a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>

<div class="container">

    <div class="d-flex flex-wrap justify-content-between align-items-center pt-1 mb-2">
        <h2 class="h3 mb-0 pt-3 me-2">Productos</h2>
        <div class="pt-3">
            <a class="btn btn-outline-blue-gray btn-sm" href="<?php echo e(route('product-filter')); ?>">
                Más Productos <i class="bi bi-chevron-right ms-1 me-n1"></i>
            </a>
        </div>
    </div>

    <div class="d-none d-lg-flex align-items-center flex-wrap">
        <a href="productos/?category_id=1">
            <div class="background-image-container border border-1 rounded me-2" style="background-image: url('<?php echo e(asset('images/categories/1.png')); ?>');">
                <div class="overlay-text fs-sm sc-gray">Paneles</div>
            </div>
        </a>
        <a href="productos/?category_id=2">
            <div class="background-image-container border border-1 rounded me-2" style="background-image: url('<?php echo e(asset('images/categories/2.png')); ?>');">
                <div class="overlay-text fs-sm sc-gray">Inversores</div>
            </div>
        </a>
        <a href="productos/?category_id=3">
            <div class="background-image-container border border-1 rounded me-2" style="background-image: url('<?php echo e(asset('images/categories/3.png')); ?>');">
                <div class="overlay-text fs-sm sc-gray">Microinversores</div>
            </div>
        </a>
        <a href="productos/?category_id=4">
            <div class="background-image-container border border-1 rounded me-2" style="background-image: url('<?php echo e(asset('images/categories/5.png')); ?>');">
                <div class="overlay-text fs-sm sc-gray">Monitoreo</div>
            </div>
        </a>
        <a href="productos/?category_id=5">
            <div class="background-image-container border border-1 rounded" style="background-image: url('<?php echo e(asset('images/categories/4.png')); ?>');">
                <div class="overlay-text fs-sm sc-gray">Estructuras</div>
            </div>
        </a>
    </div>

    <div class="row justify-content-center align-items-md-center" id="grid-products">
        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if (isset($component)) { $__componentOriginale9129871ccdf773913e24bffd6c30fba = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginale9129871ccdf773913e24bffd6c30fba = $attributes; } ?>
<?php $component = App\View\Components\Product\ProductCard::resolve(['product' => $product] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('product.product-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Product\ProductCard::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginale9129871ccdf773913e24bffd6c30fba)): ?>
<?php $attributes = $__attributesOriginale9129871ccdf773913e24bffd6c30fba; ?>
<?php unset($__attributesOriginale9129871ccdf773913e24bffd6c30fba); ?>
<?php endif; ?>
<?php if (isset($__componentOriginale9129871ccdf773913e24bffd6c30fba)): ?>
<?php $component = $__componentOriginale9129871ccdf773913e24bffd6c30fba; ?>
<?php unset($__componentOriginale9129871ccdf773913e24bffd6c30fba); ?>
<?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <div class="row justify-content-center mb-3">
        <div class="tns-carousel pt-3">
            
            <div class="tns-carousel-brands">
                <div>
                    <a href="#" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/longi.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="#" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/solis.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="#" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/risen.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="#" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/s5.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="#" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/huawei.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/victron.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/trina.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/growatt.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/znshine.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/unirac.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/tw-solar.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/fronius.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/soluna.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/gosolar.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/srne.webp')); ?>" class="d-block mx-auto" style="max-width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/yassion.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/zbeny.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/parts-master.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/ultrastart.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/yassion.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
                <div>
                    <a href="" class="d-block bg-white border py-4 py-sm-5 px-2">
                        <img src="<?php echo e(asset('brands/zbeny.webp')); ?>" class="d-block img-fluid mx-auto" style="width: 165px;" alt="Alt text">
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal de Selección Cantidad x Ubicación -->
<?php echo $__env->make('partials.select-quantity-by-location', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<?php if(session('message')): ?>
<script>
    Swal.fire({
        position: "center",
        icon: "<?php echo e(session('icon')); ?>",
        title: "<?php echo e(session('message')); ?>",
        showConfirmButton: false,
        timer: 2000,
    });
</script>
<?php endif; ?>

<script>
    function formattedAmount(amount) {
        const formatter = new Intl.NumberFormat('es-ES', {
            style: 'currency',
            currency: 'MXN', // Ajusta esto a tu moneda local
            minimumFractionDigits: 2
        });

        // Extraemos la parte entera y decimal del monto formateado
        const parts = formatter.formatToParts(amount);
        let whole = '';
        let decimal = '';

        parts.forEach(part => {
            if (part.type === 'integer' || part.type === 'group') {
                whole += part.value;
            } else if (part.type === 'decimal') {
                decimal = part.value;
            } else if (part.type === 'fraction') {
                decimal += part.value;
            }
        });

        // Devuelve un objeto con las partes entera y decimal
        return {
            whole: whole,
            decimal: decimal
        };
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/index.blade.php ENDPATH**/ ?>