<div class="col-xxl-4 col-xl-4 col-lg-4 col-12">
    <div class="table-responsive p-2">
        <table class="table table-borderless">
            <tbody>
                <tr>
                    <td class="text-center">
                        <h6>
                            <img src="<?php echo e(asset("storage/carriers_logo/$shipment->carrier-logo.png")); ?>" alt="Paqueteria <?php echo e(__('shipment.' . $shipment->carrier )); ?>">
                        </h6>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span>Costo cotizado: </span> <strong>$<?php echo e($shipment->shipping_cost); ?></strong>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span>Servicio: </span>
                        <strong>
                            <?php echo $__env->make('components.shipment.service_name', [
                                'carrier' => $shipment->carrier,
                                'service_code' => $shipment->service_code
                            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </strong>
                    </td>
                </tr>
                <?php if(isset($tracking)): ?>
                    <tr>
                        <td>
                            <?php echo $__env->make('customer_support.orders.tracking', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </td>
                    </tr>
                <?php endif; ?>
                <?php if($shipment->master_tracking_number): ?>
                    <tr>
                        <td>
                            <span>Número maestro de rastreo: </span> <strong><?php echo e($shipment->master_tracking_number); ?></strong>
                        </td>
                    </tr>
                    <?php if($shipment->isCanceled()): ?>
                        <tr>
                            <td>
                                <strong class="text-danger">
                                    Guía cancelada
                                </strong>
                            </td>
                        </tr>
                    <?php else: ?>
                        <tr>
                            <td>
                                <?php if($shipment->carrier !== \App\Services\ShippingServiceFactory::CUSTOMER_CARRIER): ?>
                                    <button type="button"
                                        class="btn btn-info btnShowShippingLabel"
                                        data-url="<?php echo e(route('admin.orders.shipment.label', ['shipment_id' => $shipment->id])); ?>">
                                        Ver guía
                                    </button>
                                <?php endif; ?>
                                <?php if($can_update && $shipment->canCancel()): ?>
                                    <button type="button" class="btn btn-danger btnAskToCancelShipment" data-shipment="<?php echo e($shipment->id); ?>">
                                        Cancelar envio
                                    </button>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endif; ?>
                <?php else: ?>
                    <?php if($can_update): ?>
                        <tr>
                            <td>
                                <div class="btn-group" role="group">
                                    <button type="button"
                                        class="btn btn-primary btnAskToShip"
                                        data-shipment="<?php echo e($shipment->id); ?>"
                                        data-carrier="<?php echo e($shipment->carrier); ?>">
                                        <?php if($shipment->carrier == \App\Services\ShippingServiceFactory::CUSTOMER_CARRIER): ?>
                                            Listo para su recolección
                                        <?php else: ?>
                                            Generar guía
                                        <?php endif; ?>
                                    </button>
                                    <button type="button"
                                        class="btn btn-warning btnQuoteOthers"
                                        data-shipment="<?php echo e($shipment->id); ?>"
                                        data-carrier="<?php echo e($shipment->carrier); ?>">
                                        Cambiar paquetería
                                    </button>
                                </div>
                            </td>
                        </tr>
                    <?php endif; ?>
                <?php endif; ?>
                <?php if($shipment->shipment_carrier_log_reason): ?>
                    <tr>
                        <td>
                            <?php echo $__env->make('customer_support.orders.shipment.carrier_change_log', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
</div>
<?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/customer_support/orders/shipment/carrier.blade.php ENDPATH**/ ?>