<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-between">
        <h1 class="col-12">
            Orden <?php echo e($order->id); ?>

        </h1>
        <div class="col-xxl-8 col-xl-8 col-lg-8 col-auto">
            <div class="card bg-white">
                <div class="d-flex flex-row p-2">
                    <div class="mt-2 text-end">
                        <span class="fw-bold me-2">Status</span>
                        <?php echo $__env->make('components.order-status',['status' => $order->status], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php if(isset($order->cancellationRequest)): ?>
                            <br><span class="badge text-bg-danger">Solicitud de cancelación</span>
                        <?php endif; ?>
                    </div>
                </div>
                <hr>
                <div class="table-responsive p-2">
                    <table class="table table-borderless">
                        <tbody>
                            <tr class="add">
                                <td clas>Cliente</td>
                                <td>Fecha de Orden</td>
                            </tr>
                            <tr class="content">
                                <td>
                                    <span class="fw-bold">Razón Social: </span><?php echo e($order->customer->company_name); ?> <br>
                                    <span class="fw-bold">Contacto: </span> <?php echo e($order->customer->user->name); ?><br>
                                    <span class="fw-bold">Correo: </span> <?php echo e($order->customer->user->email); ?><br>
                                </td>
                                <td>
                                    <span class="fw-bold"><?php echo e(\App\Helpers\Dates::formatForUser($order->created_at)); ?></span> <br>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <hr>
                <div class="table-responsive p-2">
                    <table class="table table-borderless">
                        <tbody>
                            <tr class="fw-bold text-center">
                                <th>Imagen</th>
                                <td>Netsuit Item</td>
                                <th>Producto</th>
                                <th>Cantidad</th>
                                <th>Precio</th>
                                <th>Total</th>
                            </tr>
                            <?php $__currentLoopData = $shipments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="6" class="bg-primary text-center">
                                        <strong><?php echo e($shipment->is_local_shipping ?  'Local' : 'Nacional'); ?></strong>
                                    </td>
                                </tr>
                                <?php $__currentLoopData = $itemsGroupedByShipping[$shipment->id]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="content">
                                        <td>
                                            <?php if(Storage::exists($item->featured)): ?>
                                                <img src="<?php echo e(Storage::url($item->featured)); ?>" class="rounded"  width="100">
                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo e($item->netsuite_item); ?></td>
                                        <td><?php echo e($item->name); ?></td>
                                        <td><?php echo e($item->quantity); ?></td>
                                        <td>$<?php echo e($item->price); ?></td>
                                        <td class="text-center">
                                            $<?php echo e($item->price * $item->quantity); ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <hr>
                <div class="table-responsive p-2">
                    <table class="table table-borderless">
                        <tbody>
                            <?php if(count($additionalCharges) > 0): ?>
                                <tr>
                                    <td colspan="4" class="text-center">
                                        <strong>
                                            Cargos extra
                                        </strong>
                                    </td>
                                </tr>
                                <?php $__currentLoopData = $additionalCharges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $additionalCharge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td colspan="3">
                                            <?php echo e($additionalCharge->description); ?>

                                        </td>
                                        <td class="text-end">
                                            $ <?php echo e($additionalCharge->charge_type == 'fixed' ? '' : '%'); ?> <?php echo e($additionalCharge->amount); ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <tr class="add">
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-end fw-bold">Total</td>
                            </tr>
                            <tr class="content">
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-end fw-bold">
                                    <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $order->total] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-xxl-4 col-xl-4 col-lg-4 col-12">
            <div class="row">
                
                <?php if($can_update): ?>
                    <div class="col-md-12 mb-3">
                        <div class="card border border-0 shadow-sm">
                            <div class="card-header border-0 bg-white">
                                <h5>Actualizar Status</h5>
                            </div>
                            <div class="card-body bg-white">
                                <form action="<?php echo e(route('admin.orders.update.status', $order)); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <div class="container">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <div class="form-floating <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                                        <select
                                                            class="form-select <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                            id="status"
                                                            name="status">
                                                            <option value="">Selecciona una opción</option>
                                                            <?php $__currentLoopData = App\Enums\OrderStatusEnum::catalog(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option
                                                                        value="<?php echo e($status); ?>"
                                                                        <?php if($order->status == $status): echo 'selected'; endif; ?>
                                                                    >
                                                                    <?php echo e(__('order.status-' . $status)); ?>

                                                                </option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                        <label for="company-name">Status de la orden</label>
                                                    </div>
                                                    <div class="invalid-feedback">
                                                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <strong><?php echo e($message); ?></strong>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>
                                                </div>
                                                <button type="submit" class="btn btn-primary text-center">Actualizar</button>
                                                <?php if($can_cancel): ?>
                                                    <button type="button" class="btn btn-danger btnAskForCancelOrder"
                                                        data-cancellation="<?php echo e($order->cancellationRequest); ?>">
                                                        Cancelar y cerrar orden
                                                    </button>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($can_update): ?>
                    
                    <div class="col-md-12 mb-3">
                        <div class="card border border-0 shadow-sm">
                            <div class="card-header border-0 bg-white">
                                <h5>Actualizar Factura</h5>
                            </div>
                            <div class="card-body bg-white">
                                <form action="<?php echo e(route('admin.orders.update.invoice', $order)); ?>" method="POST" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <div class="container">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <div class="form-floating <?php $__errorArgs = ['invoice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                                        <input
                                                            class="form-control <?php $__errorArgs = ['invoice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                            type="file"
                                                            id="invoice"
                                                            name="invoice"
                                                        >
                                                        <label for="name">Ficha técnica</label>
                                                    </div>
                                                    <div class="invalid-feedback">
                                                        <?php $__errorArgs = ['invoice'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <strong><?php echo e($message); ?></strong>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>
                                                </div>
                                                <button type="submit" class="btn btn-primary text-center">Actualizar</button>
                                                <?php if($order->invoice): ?>
                                                    <a
                                                        href="<?php echo e(Storage::url($order->invoice)); ?>"
                                                        class="btn btn-outline-accent float-end"
                                                        download="">
                                                        Descargar
                                                    </a>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-12">
            <div class="card bg-white mt-2">
                <h5 class="text-center mt-2">Envio</h5>
                <div class="accordion accordion-flush" >
                    <?php $__currentLoopData = $shipments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $item = $trackings->firstWhere('shipment_id', $shipment->id);
                        ?>
                        <?php if (isset($component)) { $__componentOriginalae34688602e3d72e895c4f1713217c02 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalae34688602e3d72e895c4f1713217c02 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.accordion.item','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('accordion.item'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                             <?php $__env->slot('title', null, []); ?> 
                                <strong class="<?php echo e($shipment->isCanceled() ? 'text-danger' : ''); ?>">
                                    <?php echo e($shipment->is_local_shipping ?  'Local' : 'Nacional'); ?> <?php echo e($shipment->isCanceled() ? '(Cancelado)' : ''); ?>

                                </strong>
                             <?php $__env->endSlot(); ?>
                             <?php $__env->slot('key', null, []); ?> shipment-<?php echo e($shipment->id); ?> <?php $__env->endSlot(); ?>
                             <?php $__env->slot('content', null, []); ?> 
                                <?php echo $__env->make('customer_support.orders.shipment', [
                                    'shipment' => $shipment,
                                    'tracking' => $item['tracking'],
                                    'can_update' => $can_update,
                                    'packagesSent' => array_filter($packagesView, fn($item) => $item->shipmentId == $shipment->id),
                                    'proposePackages' => array_filter($proposePackagesView, fn($item) => $item->shipmentId == $shipment->id),
                                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                             <?php $__env->endSlot(); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalae34688602e3d72e895c4f1713217c02)): ?>
<?php $attributes = $__attributesOriginalae34688602e3d72e895c4f1713217c02; ?>
<?php unset($__attributesOriginalae34688602e3d72e895c4f1713217c02); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalae34688602e3d72e895c4f1713217c02)): ?>
<?php $component = $__componentOriginalae34688602e3d72e895c4f1713217c02; ?>
<?php unset($__componentOriginalae34688602e3d72e895c4f1713217c02); ?>
<?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        window.$clearPathDefault = function (string){
            string = string.replace(/\/0/, '');
            if(string.match(/\/0/) == null)
                return string;
            return window.$clearPathDefault(string);
        }
        window.$routes = {
            "orders.ship": window.$clearPathDefault("<?php echo e(route('admin.orders.ship', ['shipment_id' => 0])); ?>"),
            "orders.quote": window.$clearPathDefault("<?php echo e(route('admin.orders.quote', ['shipment_id' => 0])); ?>"),
            "orders.update.ship": window.$clearPathDefault("<?php echo e(route('admin.orders.update.ship', ['shipment_id' => 0])); ?>"),
            "orders.ship.cancel": window.$clearPathDefault("<?php echo e(route('admin.orders.ship.cancel',  ['shipment_id' => 0])); ?>"),
            "orders.cancel": window.$clearPathDefault("<?php echo e(route('admin.orders.cancel', ['id' => $order->id])); ?>")
        }
    </script>
    <?php echo app('Illuminate\Foundation\Vite')('resources/js/CustomerSupport/Orders/Edit/app.js'); ?>
    <script type="module">
        document.addEventListener('DOMContentLoaded', () => {

            ViewerPackaging.init(<?php echo e(Js::from(array_merge($packagesView, $proposePackagesView))); ?>);

            document.querySelectorAll(".btnAskToShip").forEach(element => element.addEventListener('click', Ship.askToShip))
            document.querySelectorAll(".btnQuoteOthers").forEach(element => element.addEventListener('click', Quotations.quote))
            document.querySelectorAll(".btnShowShippingLabel").forEach(element => element.addEventListener("click", Shipment.showShippingLabel))
            document.querySelectorAll(".btnAskToCancelShipment").forEach(element => element.addEventListener("click", Cancel.ask))
            document.querySelectorAll(".btnAskForCancelOrder").forEach(element => element.addEventListener("click", CancelOrder.ask))
            document.querySelectorAll(".btnHowToPack").forEach(element => element.addEventListener("click", ViewerPackaging.show))

        });

    </script>
    <?php if(session('message')): ?>
        <script>
            Swal.fire({
                position: "center",
                icon: "<?php echo e(session('icon')); ?>",
                title: "<?php echo e(session('message')); ?>",
                showConfirmButton: false,
                timer: 5000,
            });
        </script>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/customer_support/orders/edit.blade.php ENDPATH**/ ?>