<?php $__env->startSection('content'); ?>
<!-- Page Title-->
<div class="page-title-overlap bg-dark pt-4">
    <div class="container d-lg-flex justify-content-between py-2 py-lg-3">
        <div class="order-lg-1 pe-lg-4 text-center text-lg-start">
            <h1 class="h3 text-light mb-0"><?php echo e($product->name); ?></h1>
        </div>
    </div>
</div>

<div class="container">
    <!-- Gallery + details-->
    <div class="bg-light shadow-lg rounded-3 px-4 py-3 mb-5">
        <div class="px-lg-3">
            <div class="row">
                <!-- Product gallery-->
                <div class="col-lg-7 pe-lg-0 pt-lg-4">
                    <img src="<?php echo e(Storage::url($product->featured)); ?>" alt="Product">
                </div>
                <!-- Product details-->
                <div class="col-lg-5 pt-4 pt-lg-0">

                    <?php if (isset($component)) { $__componentOriginal41d3a28b7d162e244b48208f2bdc4e54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal41d3a28b7d162e244b48208f2bdc4e54 = $attributes; } ?>
<?php $component = App\View\Components\Product\ProductDetails::resolve(['product' => $product] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('product.product-details'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Product\ProductDetails::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal41d3a28b7d162e244b48208f2bdc4e54)): ?>
<?php $attributes = $__attributesOriginal41d3a28b7d162e244b48208f2bdc4e54; ?>
<?php unset($__attributesOriginal41d3a28b7d162e244b48208f2bdc4e54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal41d3a28b7d162e244b48208f2bdc4e54)): ?>
<?php $component = $__componentOriginal41d3a28b7d162e244b48208f2bdc4e54; ?>
<?php unset($__componentOriginal41d3a28b7d162e244b48208f2bdc4e54); ?>
<?php endif; ?>

                </div>
            </div>
        </div>
    </div>
</div>

<!-- Product carousel (You may also like)-->
<?php if(count($relatedProducts)): ?>
<div class="container py-5 my-md-3">
    <h2 class="h3 text-center pb-4">Productos Relacionados</h2>
    <div class="tns-carousel pt-3">
        <div class="tns-carousel-inner">
        <?php $__currentLoopData = $relatedProducts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="card product-card card-static">
                <a href="/producto/<?php echo e($product->id); ?>" class="d-block bg-white py-4 py-sm-5 px-2">
                    <img src="<?php echo e(Storage::url($product->featured)); ?>" class="d-block mx-auto" style="width: 165px;" alt="Alt text">
                </a>
                <div class="card-body py-2">
                    <?php if(auth()->guard()->check()): ?>
                        <a class="product-meta d-block fs-xs pb-1" href="#">stock: <?php echo e($product->netsuite_stock); ?></a>
                    <?php endif; ?>
                    <h3 class="product-title fs-sm">
                        <a href="#"><?php echo e($product->name); ?></a>
                    </h3>
                    <?php if(auth()->guard()->check()): ?>
                    <div class="d-flex justify-content-between">
                        <div class="product-price text-accent">
                            <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $product->price] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</div>
<?php endif; ?>

<?php echo $__env->make('partials.select-quantity-by-location', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<script>
document.addEventListener('DOMContentLoaded', function () {
    // Tiny Slider:
    var slider = tns({
        container: '.tns-carousel-inner',
        nav: false, // Desactiva los puntos de navegación inferiores
        controls: true, // Desactiva los botones de anterior/siguiente
        mouseDrag: true,
        autoplay: true, // Activa el autoplay
        autoplayButtonOutput: false,
        autoplayTimeout: 3000, // Establece el intervalo de autoplay a 4000ms (4 segundos)
        loop: true, // Permite que el slider se repita infinitamente
        responsive: {
            "0": {"items": 1},
            "360": {"items": 2},
            "600": {"items": 3},
            "991": {"items": 4},
            "1200": {"items": 4} // A partir de 1200px, muestra 4 elementos
        },
        controlsText: ['Anterior', 'Siguiente'] // Textos personalizados para los botones de control
    });

    document.querySelector('[data-controls="prev"]').innerHTML = '<i class="bi bi-chevron-left"></i>'
    document.querySelector('[data-controls="next"]').innerHTML = '<i class="bi bi-chevron-right"></i>'
})
</script>

<?php if(session('message')): ?>
<script>
    Swal.fire({
        position: "center",
        icon: "<?php echo e(session('icon')); ?>",
        title: "<?php echo e(session('message')); ?>",
        showConfirmButton: false,
        timer: 2000,
    });
</script>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/product.blade.php ENDPATH**/ ?>