<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-xxl-10 col-xl-10-col-lg-11 col-12">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white">
                    <h5>Actualizar Dirección de Cliente</h5>
                    <h6 class="text-info">
                        <?php echo e($address->customer); ?>

                    </h6>
                </div>
                <div class="card-body bg-white">
                    <form action="<?php echo e(route('admin.customer.address.update')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="id" value="<?php echo e($address->id); ?>">
                        <?php echo $__env->make('partials.validation-errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-12">
                                    <?php if($address->is_default == false): ?>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox"
                                                value="true" id="is_default" name="is_default"
                                                <?php echo e($address->is_default ?  'checked' : ''); ?>>
                                            <label class="form-check-label" for="is_default">
                                                Predeterminada
                                            </label>
                                        </div>
                                    <?php else: ?>
                                        <div class="text-info">
                                            Predeterminada
                                        </div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-12"></div>
                                <div class="col-xxl-8 col-xl-8 col-lg-8 col-8 mb-1">
                                    <label for="street" class="form-label">Calle</label>
                                    <input type="text" class="form-control" id="street" name="street" value="<?php echo e($address->street); ?>">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="number_ext" class="form-label">No: Ext</label>
                                    <input type="text" class="form-control" id="number_ext" name="number_ext" value="<?php echo e($address->number_ext); ?>">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="number_int" class="form-label">No: Int</label>
                                    <input type="text" class="form-control" id="number_int" name="number_int" value="<?php echo e($address->number_int); ?>">
                                </div>
                                <div class="col-xxl-8 col-xl-8 col-lg-8 col-8">
                                    <label for="neighborhood" class="form-label">Colonia</label>
                                    <input type="text" class="form-control" id="neighborhood" name="neighborhood" value="<?php echo e($address->neighborhood); ?>">
                                </div>
                                <div class="col-xxl-2 col-xl-2 col-lg-2 col-2">
                                    <label for="postal_code" class="form-label">C.P</label>
                                    <input type="text" class="form-control" id="postal_code" name="postal_code" value="<?php echo e($address->postal_code); ?>">
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="city" class="form-label">Ciudad</label>
                                    <input type="text" class="form-control" id="city" name="city" value="<?php echo e($address->city); ?>">
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="state" class="form-label">Estado</label>
                                    <select class="form-select" name="state" id="state" autocomplete="off">
                                        <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($state->name); ?>"
                                                <?php echo e($state->name == $address->state ?  'selected' : ''); ?>>
                                                <?php echo e($state->name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-6">
                                    <label for="contact_phone" class="form-label">Teléfono de contacto</label>
                                    <input type="text" class="form-control" id="contact_phone" name="contact_phone" value="<?php echo e($address->contact_phone); ?>">
                                    <div id="emailHelp" class="form-text text-info">
                                        Solo números, evita otros caracteres
                                    </div>
                                </div>
                                <div class="col-12 mt-3 mb-1">
                                    <div class="alert alert-warning">
                                        Importante: Los cambios realizados en esta sección tienen un impacto directo en las direcciones
                                        de envío. Ten en cuenta que cualquier modificación aplicada afectará únicamente a los envíos
                                        futuros. Los envíos que ya están en proceso no se verán afectados por estos ajustes.
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <button type="submit" class="btn btn-primary">
                                        Actualizar
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/customer_support/address/edit.blade.php ENDPATH**/ ?>