<?php if($paginator->hasPages()): ?>
    <div class="d-flex justify-content-center align-items-center">
        <!-- Previous Page Link -->
        <?php if($paginator->onFirstPage()): ?>
            <span class="nav-link-style me-3 disabled" aria-disabled="true" aria-label="<?php echo app('translator')->get('pagination.previous'); ?>">
                <i class="bi bi-chevron-left"></i>
            </span>
        <?php else: ?>
            <a class="nav-link-style me-3" href="<?php echo e($paginator->previousPageUrl()); ?>" rel="prev" aria-label="<?php echo app('translator')->get('pagination.previous'); ?>">
                <i class="bi bi-chevron-left"></i>
            </a>
        <?php endif; ?>

        <!-- Pagination Elements -->
        <?php
            $start = max(1, $paginator->currentPage() - 2);
            $end = min($paginator->lastPage(), $paginator->currentPage() + 2);
        ?>

        <!-- Pagination Numbers -->
        <?php for($page = $start; $page <= $end; $page++): ?>
            <?php if($page == $paginator->currentPage()): ?>
                <span class="nav-link-style active mx-1"><?php echo e($page); ?></span>
            <?php else: ?>
                <a class="nav-link-style mx-1" href="<?php echo e($paginator->url($page)); ?>"><?php echo e($page); ?></a>
            <?php endif; ?>
        <?php endfor; ?>

        <!-- Next Page Link -->
        <?php if($paginator->hasMorePages()): ?>
            <a class="nav-link-style ms-3" href="<?php echo e($paginator->nextPageUrl()); ?>" rel="next" aria-label="<?php echo app('translator')->get('pagination.next'); ?>">
                <i class="bi bi-chevron-right"></i>
            </a>
        <?php else: ?>
            <span class="nav-link-style ms-3 disabled" aria-disabled="true" aria-label="<?php echo app('translator')->get('pagination.next'); ?>">
                <i class="bi bi-chevron-right"></i>
            </span>
        <?php endif; ?>
    </div>
<?php endif; ?>
<?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/vendor/pagination/products.blade.php ENDPATH**/ ?>