<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card border border-0 shadow-sm">
                <div class="card-header border-0 bg-white">
                    <h5>Actualizar Cliente</h5>
                </div>
                <div class="card-body bg-white">
                    <form action="<?php echo e(route('admin.customers.update', $customer)); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div class="container">
                            <div class="row">
                                <?php if(is_numeric($customer->location_id) === false): ?>
                                    <div class="col-12">
                                        <div class="alert alert-danger">
                                            <?php echo e(__('alerts.admin-customer-without-location-details')); ?>

                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="company-name" class="form-label">Nombre de la Empresa</label>
                                        <input
                                            type="text"
                                            class="form-control"
                                            id="company-name"
                                            name="company_name"
                                            value="<?php echo e($customer->company_name); ?>"
                                            disabled readonly
                                        >
                                    </div>
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Nombre de Contacto</label>
                                        <input
                                            type="text"
                                            class="form-control"
                                            id="name"
                                            name="name"
                                            value="<?php echo e($customer->user->name); ?>"
                                            disabled readonly
                                        >
                                    </div>
                                    <div class="mb-3">
                                        <label for="email" class="form-label">Correo Electrónico</label>
                                        <input
                                            type="email"
                                            class="form-control"
                                            id="email"
                                            name="email"
                                            value="<?php echo e($customer->user->email); ?>"
                                            disabled readonly
                                        >
                                    </div>
                                    <div class="mb-3">
                                        <label for="rfc" class="form-label">RFC</label>
                                        <input
                                            type="text"
                                            class="form-control"
                                            id="rfc"
                                            name="rfc"
                                            value="<?php echo e($customer->rfc); ?>"
                                            disabled readonly
                                        >
                                    </div>
                                    <div class="mb-3">
                                        <label for="delivery-address" class="form-label">Dirección de Envío</label>
                                        <input
                                            type="text"
                                            class="form-control"
                                            id="delivery-address"
                                            name="delivery_address"
                                            value="<?php echo e($customer->delivery_address); ?>"
                                            disabled readonly
                                        >
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="netsuite-key" class="form-label">Clave de NetSuite</label>
                                        <input
                                            type="text"
                                            class="form-control"
                                            id="netsuite-key"
                                            name="netsuite_key"
                                            value="<?php echo e($customer->netsuite_key); ?>"
                                        >
                                    </div>
                                    <div class="mb-3">
                                        <label for="password" class="form-label">Asignar Contraseña</label>
                                        <input
                                            type="password"
                                            class="form-control"
                                            id="password"
                                            name="password"
                                            value="<?php echo e($customer->password); ?>"
                                        >
                                    </div>
                                    <?php if(is_numeric($customer->location_id) === false): ?>
                                        <div class="mb-3">
                                            <label for="password" class="form-label">Asignar sucursal</label>
                                            <select name="location_id" id="location_id" class="form-select" autocomplete="off" required>
                                                <option disabled selected>
                                                    Selecciona una opción
                                                </option>
                                                <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($location->id); ?>">
                                                        <?php echo e($location->netsuite_name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    <?php endif; ?>
                                    <button type="submit" class="btn btn-primary text-center">Actualizar</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/customer_support/customers/edit.blade.php ENDPATH**/ ?>