<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('favicon/solar-center-favicon_32x32.webp')); ?>">
    <link rel="icon" type="image/webp" sizes="32x32" href="<?php echo e(asset('favicon/solar-center-favicon_32x32.webp')); ?>">
    <link rel="icon" type="image/webp" sizes="16x16" href="<?php echo e(asset('favicon/solar-center-favicon_32x32.webp')); ?>">
    <link rel="manifest" href="<?php echo e(asset('favicon/site.webmanifest')); ?>">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Solar Center</title>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700&display=swap" rel="stylesheet">

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.4/tiny-slider.css">
    <style>
        #sideDiv {
            transition: all 0.5s ease;
        }

        .hidden {
            right: -500px; /* Oculto al lado derecho */
            opacity: 0;
            z-index: -1;
            position: relative;
        }

        .visible-right {
            right: 0; /* Visible al lado derecho */
            opacity: 1;
            z-index: 1;
        }

    </style>

    <!-- Scripts -->
    <?php echo app('Illuminate\Foundation\Vite')(['resources/sass/base.scss', 'resources/js/app.js', 'resources/js/theme.js']); ?>
    <style>
        .filter-products {
            position: relative;
            /* Hace que el posicionamiento absoluto del hijo se base en este contenedor */
        }

        #autocomplete-list,
        #autocomplete-list-m {
            position: absolute;
            top: 100%;
            /* Sitúa el div justo debajo del input */
            left: 0;
            width: 100%;
            /* Iguala el ancho del input */
            z-index: 1000;
            /* Asegura que se muestre sobre otros elementos */
            background-color: white;
            /* O cualquier color de fondo que prefieras */
            /* border: 1px solid #ccc; */
            border-top: none;
            /* Elimina el borde superior para una transición suave desde el input */
        }

        .list-group-item {
            padding: 10px;
            /* Ajusta el padding según sea necesario */
            cursor: pointer;
            /* Indica que los elementos son clicable */
        }

        .list-group-item:hover {
            background-color: #f8f9fa;
            /* Cambia el color de fondo al pasar el ratón por encima para mejorar la interactividad */
        }
    </style>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/simplebar@latest/dist/simplebar.css" />

    <?php echo $__env->yieldContent('head'); ?>
</head>

<body class="bg-white">
    <div id="app" style="flex: 1 0 auto;">
        <header class="shadow-sm">
            <?php
                $route_name = Route::currentRouteName();
            ?>
            <!-- Topbar-->
            <?php if($route_name != 'login'): ?>
                <!-- Remove "navbar-sticky" class to make navigation bar scrollable with the page.-->
                <div class="navbar-sticky bg-light">

                    <div class="navbar navbar-expand-lg navbar-light">
                        <div class="container">
                            <a class="navbar-brand d-none d-sm-block me-3 flex-shrink-0" href="/">
                                <img src="<?php echo e(asset('images/logo.webp')); ?>" width="142" alt="Solar Center">
                            </a>
                            <a class="navbar-brand d-sm-none me-2" href="/">
                                <img src="<?php echo e(asset('images/logo.webp')); ?>" width="74" alt="Solar Center">
                            </a>
                            <!-- Search-->
                            <div class="input-group d-none d-lg-flex flex-nowrap mx-4" class="filter-products">
                                
                                <i class="bi bi-search z-1 position-absolute top-50 start-0 translate-middle-y ms-3" style="opacity: .5;"></i>
                                <input class="form-control rounded-start w-100" type="text" id="search-products" placeholder="">
                                <div class="position-absolute" id="autocomplete-list" style="z-index: 1000; width: 100%;"></div>
                                
                                <select class="form-select flex-shrink-0" id="category-id" name="category_id"
                                    style="width: 10.5rem;">
                                    <option value="">Categoría</option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>" <?php if(request('category_id') == $category->id): echo 'selected'; endif; ?>>
                                            <?php echo e($category->name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                
                                <select class="form-select flex-shrink-0" id="brand" name="brand" style="width: 10.5rem;">
                                    <option value="">Marca</option>
                                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($brand->value); ?>" <?php if(request('brand') == $brand->value): echo 'selected'; endif; ?>>
                                            <?php echo e($brand->value); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <!-- Toolbar-->
                            <div class="navbar-toolbar d-flex flex-shrink-0 align-items-center">
                                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#navbarCollapse">
                                    <span class="navbar-toggler-icon"></span>
                                </button>
                                <a class="navbar-tool navbar-stuck-toggler" href="#">
                                    <span class="navbar-tool-tooltip">Toggle menu</span>
                                    <div class="navbar-tool-icon-box">
                                        <i class="navbar-tool-icon ci-menu"></i>
                                    </div>
                                </a>
                                <?php if(auth()->guard()->check()): ?>
                                    <div class="navbar-tool dropdown">

                                        <div class="dropdown-menu dropdown-menu-end" aria-labelledby="userDropdown">
                                            <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'customer')): ?>
                                                <div class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('account.profile')); ?>">
                                                        <div class="d-flex">
                                                            <div class="ms-2">
                                                                <span class="d-block text-heading">Perfil de
                                                                    usuario</span>
                                                                <small class="d-block text-muted">Mis datos y
                                                                    preferencias</small>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </div>

                                                <div><hr class="dropdown-divider"></div>

                                                <div class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('account.orders')); ?>">
                                                        <div class="d-flex">
                                                            <div class="ms-2">
                                                                <span class="d-block text-heading">Mis Ordenes
                                                                </span>
                                                                <small class="d-block text-muted">Historial de
                                                                    ordenes</small>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </div>

                                                <div><hr class="dropdown-divider"></div>
                                            <?php endif; ?>

                                            <div class="dropdown mega-dropdown">
                                                <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                                    onclick="event.preventDefault();
                                                    document.getElementById('logout-form').submit();">
                                                    <div class="d-flex">
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">Cerrar Sesión</span>
                                                        </div>
                                                    </div>
                                                </a>
                                                <form id="logout-form" action="<?php echo e(route('logout')); ?>"
                                                    method="POST" class="d-none">
                                                    <?php echo csrf_field(); ?>
                                                </form>
                                            </div>
                                        </div>

                                        <div class="navbar-tool-text ms-n3">
                                            <small>Hola</small> <?php echo e(auth()->user()->name); ?>

                                        </div>
                                    </div>
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'customer')): ?>
                                        <div class="navbar-tool dropdown ms-3">
                                            <a class="navbar-tool-icon-box bg-secondary dropdown-toggle"
                                                href="<?php echo e(route('cart.list')); ?>">
                                                <?php if(Cart::getTotalQuantity() > 0): ?>
                                                    <span class="navbar-tool-label"><?php echo e(Cart::getTotalQuantity()); ?></span>
                                                <?php endif; ?>
                                                <i class="navbar-tool-icon bi bi-cart3"></i>
                                            </a>
                                            <a class="navbar-tool-text" href="<?php echo e(route('cart.list')); ?>">
                                                <small>Carrito</small>$<?php echo e(Cart::getTotal()); ?>

                                            </a>
                                            <!-- Cart dropdown-->
                                            <?php if(count(Cart::getContent())): ?>
                                                <div class="dropdown-menu dropdown-menu-end">
                                                    <div class="widget widget-cart px-3 pt-2 pb-3" style="width: 20rem;">
                                                        <div style="height: 15rem;" data-simplebar
                                                            data-simplebar-auto-hide="false">
                                                            <?php $__currentLoopData = Cart::getContent(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="widget-cart-item pb-2 border-bottom">
                                                                    <form action="<?php echo e(route('cart.remove')); ?>" method="post">
                                                                        <?php echo csrf_field(); ?>
                                                                        <input type="hidden" name="item_id"
                                                                            value="<?php echo e($item->id); ?>">
                                                                        <button class="btn-close text-danger" type="submit"
                                                                            aria-label="Remove">
                                                                            <span aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </form>
                                                                    <div class="d-flex align-items-center">
                                                                        <a class="d-block flex-shrink-0"
                                                                            href="<?php echo e(route('products-by-filter', $item->id)); ?>">
                                                                            <img src="<?php echo e(Storage::url($item->attributes->featured)); ?>"
                                                                                width="64" alt="Product">
                                                                        </a>
                                                                        <div class="ps-2">
                                                                            <h6 class="widget-product-title">
                                                                                <a href="<?php echo e(route('products-by-filter', $item->id)); ?>">
                                                                                    <?php echo e($item->name); ?>

                                                                                </a>
                                                                            </h6>
                                                                            <div class="widget-product-meta">
                                                                                <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => $item->price] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                                                                                <span class="text-muted">x
                                                                                    <?php echo e($item->quantity); ?></span>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </div>
                                                        <div
                                                            class="d-flex flex-wrap justify-content-between align-items-center py-3">
                                                            <div class="fs-sm me-2 py-2">
                                                                <span class="text-muted">Subtotal:</span>
                                                                <span class="text-accent fs-base ms-1">
                                                                    <?php if (isset($component)) { $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8 = $attributes; } ?>
<?php $component = App\View\Components\AmountFormatter::resolve(['amount' => Cart::getTotal()] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('amount-formatter'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AmountFormatter::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $attributes = $__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__attributesOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8)): ?>
<?php $component = $__componentOriginal36f2bc93589d1b9783176ebb652d8ab8; ?>
<?php unset($__componentOriginal36f2bc93589d1b9783176ebb652d8ab8); ?>
<?php endif; ?>
                                                                </span>
                                                            </div>
                                                            <a class="btn btn-outline-secondary btn-sm"
                                                                href="<?php echo e(route('cart.list')); ?>">
                                                                Expandir carrito<i class="ci-arrow-right ms-1 me-n1"></i>
                                                            </a>
                                                        </div>
                                                        <a class="btn btn-primary btn-sm d-block w-100"
                                                            href="<?php echo e(route('checkout.index')); ?>">
                                                            <i class="ci-card me-2 fs-base align-middle"></i>
                                                            Proceso de Compra
                                                        </a>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="navbar navbar-expand-lg navbar-light navbar-stuck-menu mt-n2 pt-0 pb-2">
                        <div class="container">
                            <div class="collapse navbar-collapse" id="navbarCollapse">
                                <!-- Search-->
                                <div class="input-group d-lg-none my-3 filter-products">
                                    <i class="bi bi-search search-m z-1 position-absolute top-50 start-0 translate-middle-y ms-3"
                                        style="opacity: .5;"></i>
                                    <input class="form-control rounded-start w-100" type="text"
                                        id="search-products-m" placeholder="">
                                    <div class="position-absolute" id="autocomplete-list-m"
                                        style="z-index: 1000; width: 100%;"></div>
                                </div>
                                <!-- Departments menu-->
                                <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'operator')): ?>
                                    <ul class="navbar-nav navbar-mega-nav pe-lg-2 me-lg-2">
                                        <li class="nav-item dropdown">
                                            <a class="nav-link dropdown-toggle ps-lg-0" href="#"
                                                data-bs-toggle="dropdown" data-bs-auto-close="outside">
                                                <i class="ci-menu align-middle mt-n1 me-2"></i>
                                                Admin
                                            </a>
                                            <ul class="dropdown-menu">
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('admin.orders.index')); ?>">
                                                        <i class="ci-laptop opacity-60 fs-lg mt-n1 me-2"></i>
                                                        Ordenes
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('admin.customers.index')); ?>">
                                                        <i class="ci-laptop opacity-60 fs-lg mt-n1 me-2"></i>
                                                        Clientes
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('admin.products.index')); ?>">
                                                        <i class="ci-monitor opacity-60 fs-lg mt-n1 me-2"></i>
                                                        Productos
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="">
                                                        <i class="ci-monitor opacity-60 fs-lg mt-n1 me-2"></i>
                                                        Usuarios
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="">
                                                        <i class="ci-monitor opacity-60 fs-lg mt-n1 me-2"></i>
                                                        Dashboard
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>
                                <?php endif; ?>

                                <?php if(Auth::check() && Auth::user()->hasRole('customer')): ?>
                                    <ul class="navbar-nav navbar-mega-nav pe-lg-2 me-lg-2 d-lg-none">
                                        <li class="nav-item dropdown">
                                            <a class="nav-link dropdown-toggle ps-lg-0" href="#"
                                                data-bs-toggle="dropdown" data-bs-auto-close="outside">
                                                <i class="ci-menu align-middle mt-n1 me-2"></i>
                                                Mi cuenta
                                            </a>
                                            <ul class="dropdown-menu">
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('account.profile')); ?>">
                                                        <div class="d-flex">
                                                            <div class="lead text-muted pt-1"><i class="ci-book"></i>
                                                            </div>
                                                            <div class="ms-2">
                                                                <span class="d-block text-heading">Perfil de
                                                                    usuario</span>
                                                                <small class="d-block text-muted">Mis datos y
                                                                    preferencias</small>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('account.orders')); ?>">
                                                        <div class="d-flex">
                                                            <div class="lead text-muted pt-1"><i class="ci-edit"></i>
                                                            </div>
                                                            <div class="ms-2">
                                                                <span class="d-block text-heading">Mis Ordenes
                                                                </span>
                                                                <small class="d-block text-muted">Historial de
                                                                    ordenes</small>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </li>
                                                <li class="dropdown mega-dropdown">
                                                    <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                                        <div class="d-flex">
                                                            <div class="lead text-muted pt-1"><i class="ci-help"></i>
                                                            </div>
                                                            <div class="ms-2">
                                                                <span class="d-block text-heading">Cerrar Sesión</span>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <form id="logout-form" action="<?php echo e(route('logout')); ?>"
                                                        method="POST" class="d-none">
                                                        <?php echo csrf_field(); ?>
                                                    </form>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>
                                <?php endif; ?>


                                <!-- Primary menu-->
                                <ul class="navbar-nav">
                                    <li class="nav-item dropdown <?php echo e(request()->routeIs('index') ? 'active' : ''); ?>">
                                        <a class="nav-link" href="/">Inicio</a>
                                    </li>
                                    <li
                                        class="nav-item dropdown <?php echo e(request()->routeIs('about-us.index') || request()->routeIs('about-us.branches') ? 'active' : ''); ?>">
                                        <a class="nav-link dropdown-toggle" href="#"
                                            data-bs-toggle="dropdown">Conócenos</a>
                                        <ul class="dropdown-menu">
                                            <li>
                                                <a href="<?php echo e(route('about-us.index')); ?>"
                                                    class="dropdown-item <?php echo e(request()->routeIs('about-us.index') ? 'active' : ''); ?>">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-book"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">Nosotros</span>
                                                            <small class="d-block text-muted">Nuestra cultura</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                            <li class="dropdown-divider"></li>
                                            <li>
                                                <a href="<?php echo e(route('about-us.branches')); ?>"
                                                    class="dropdown-item <?php echo e(request()->routeIs('about-us.branches') ? 'active' : ''); ?>">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-server"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">
                                                                Sucursales
                                                            </span>
                                                            <small class="d-block text-muted">Centros de
                                                                distribución</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                            <li class="dropdown-divider"></li>
                                            <li>
                                                <a href="<?php echo e(route('about-us.contact')); ?>"
                                                    class="dropdown-item <?php echo e(request()->routeIs('about-us.contact') ? 'active' : ''); ?>">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-edit"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">
                                                                Contacto
                                                            </span>
                                                            <small class="d-block text-muted">Ubicación y
                                                                atención</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    <li
                                        class="nav-item dropdown <?php echo e(request()->routeIs('services.index') || request()->routeIs('services.offer') ? 'active' : ''); ?>">
                                        <a class="nav-link dropdown-toggle" href="#"
                                            data-bs-toggle="dropdown">Servicios</a>
                                        <ul class="dropdown-menu">
                                            <li>
                                                <a href="<?php echo e(route('services.index')); ?>"
                                                    class="dropdown-item <?php echo e(request()->routeIs('services.index') ? 'active' : ''); ?>">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-book"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">Servicios
                                                                Fundamentales</span>
                                                            <small class="d-block text-muted">Crecemos juntos</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                            <li class="dropdown-divider"></li>
                                            <li>
                                                <a href="<?php echo e(route('services.offer')); ?>"
                                                    class="dropdown-item <?php echo e(request()->routeIs('services.offer') ? 'active' : ''); ?>">
                                                    <div class="d-flex">
                                                        <div class="lead text-muted pt-1">
                                                            <i class="ci-server"></i>
                                                        </div>
                                                        <div class="ms-2">
                                                            <span class="d-block text-heading">
                                                                Oferta especializada
                                                            </span>
                                                            <small class="d-block text-muted">Programas y
                                                                Herramientas</small>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    <?php if(auth()->guard()->guest()): ?>
                                        <li class="nav-item dropdown">
                                            <a class="nav-link dropdown-toggle"
                                                href="<?php echo e(route('login')); ?>">Acceder</a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </header>

        <main class="">
            <?php if(isset($without_location)): ?>
                <?php echo $__env->make('partials.customer-without-location', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endif; ?>
            <?php echo $__env->yieldContent('content'); ?>
        </main>

        <footer class="footer bg-blue-gray pt-5">
            <div class="container">
                <div class="row pb-2 justify-content-center">
                    <div class="col-md-2 col-sm-6">
                        <div class="widget widget-links widget-light">
                            <a class="d-none d-sm-block me-3 flex-shrink-0" href="/">
                                <img src="<?php echo e(asset('images/logo-secundario.webp')); ?>" width="160"
                                    alt="Solar Center">
                            </a>
                            <a class="d-sm-none me-2" href="/">
                                <img src="<?php echo e(asset('images/logo-secundario.webp')); ?>" width="74"
                                    alt="Solar Center">
                            </a>
                        </div>
                        <div class="my-1">
                            <a href="https://www.instagram.com/solarcentermx/" target="_blank"
                                rel="noopener noreferrer"><i class="bi bi-instagram social-icon"></i></a>
                            <a href="https://www.facebook.com/SolarCenterMX" target="_blank"
                                rel="noopener noreferrer"><i class="bi bi-facebook social-icon"></i></a>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <div class="widget widget-links widget-light pb-2 mb-4">
                            <h3 class="widget-title text-light">Atención a Clientes</h3>
                            <ul class="widget-list">
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('faqs.howToBuy')); ?>">¿Cómo comprar?</a></li>
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('faqs.questions')); ?>">Preguntas Frecuentes</a></li>
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(asset('catalogo/solar-center-24.pdf')); ?>" download>Descargar el
                                        Catálogo</a></li>
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('about-us.contact')); ?>">Contacto</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <div class="widget widget-links widget-light pb-2 mb-4">
                            <h3 class="widget-title text-light">Cuenta e Información de Envíos</h3>
                            <ul class="widget-list">
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Tu cuenta</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Tárifas de envío y Políticas</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Reembolsos y reemplazos</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Seguimiento de orden</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Información de envío</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <div class="widget widget-links widget-light pb-2 mb-4">
                            <h3 class="widget-title text-light">Sobre Nosotros</h3>
                            <ul class="widget-list">
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Sobre Solar Center</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Nuestro equipo</a>
                                </li>
                                <li class="widget-list-item">
                                    <a class="widget-list-link" href="#">Bolsa de Trabajo</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <div class="widget widget-links widget-light pb-2 mb-4">
                            <h3 class="widget-title text-light">Informacion</h3>
                            <ul class="widget-list">
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('information.generalPolicies')); ?>">Políticas
                                        generales</a></li>
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('information.warrantyPolicies')); ?>">Política de
                                        garantía</a></li>
                                <li class="widget-list-item"><a class="widget-list-link"
                                        href="<?php echo e(route('information.noticePrivacy')); ?>">Aviso de
                                        privacidad</a></li>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pt-5 bg-darker">
                <div class="container">
                    <div class="pb-4 fs-xs text-light opacity-50 text-center text-md-start">
                        © Todos los derechos reservados.
                    </div>
                </div>
            </div>
        </footer>
            <div id="sideDiv" class="hidden">
                <object
                style="
                    margin-top: 0;
                    margin-left: 0px;
                    margin-right: 0px;
                    position:fixed;
                    right:20px;
                    bottom:80px;
                    border:0;
                    width: 500px;
                    height: 600px;
                    z-index: 1000;"
                    id="chatObject"
                    type="text/html"
                    data="https://cwkolob215.nuxiba.com/chatjs/?domain=solarcenter.com"
                >
                </object>
            </div>
            
        <?php echo $__env->yieldContent('loader'); ?>
    </div>
    <script>
        document.getElementById("show-chat").addEventListener("click", function () {
            const sideDiv = document.getElementById("sideDiv");

            if (sideDiv.classList.contains("hidden")) {
                sideDiv.classList.remove("hidden");
                sideDiv.classList.add("visible-right");
            } else if (sideDiv.classList.contains("visible-right")) {
                sideDiv.classList.remove("visible-right");
                sideDiv.classList.add("hidden");
            }
        });
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/simplebar@latest/dist/simplebar.min.js"></script>
    <?php echo $__env->yieldContent('scripts'); ?>
</body>

</html>
<?php /**PATH /home/osvaldo/projects/e-commerce/resources/views/layouts/base.blade.php ENDPATH**/ ?>